About the Program

The program was created for the creation, editing, and formatting of geodetic description information. It is designed for Microsoft Windows Operating Systems, and has been tested on Windows7, 8 and 10. Note: The spelling check routine will only work if Microsoft Word is loaded on the PC. WinDesc is available from the NGS website: www.ngs.noaa.gov/PC_PROD/pc_prod.shtml

After installing the program, change the permissions on the C:\NGS-Apps\ folder, subfolder and files to 'Modify' for all users.

The user should check the website periodically to check for new versions of the program. Be sure to uninstall the old version before installing the new one.

The program will prompt the user for intermediate updates periodically. The user must have access to the internet to download updates.


Disclaimer

This program and supporting information is furnished by the author and is accepted and used by the recipient with the understanding that the author makes no warranties, expressed or implied, concerning the accuracy, completeness, reliability, or suitability of this program, of its constituent parts, or of any supporting data. The author shall be under no liability whatsoever resulting from any use of this program. This program should not be relied upon as the sole basis for solving a problem whose incorrect solution could result in injury to person or property. This program is the property of the National Geodetic Survey. Therefore, the recipient further agrees not to assert proprietary rights therein and not to represent this program to anyone as being other than the NGS's program. Street Atlas® is a registered trademark of Delorme Corporation. Microsoft Word® is a product of Microsoft Inc. Google® and Google Earth® are registered trademarks of the Google Corporation. Any mention of these products does not constitute endorsement. This version of WinDesc is designed to work with Windows7, 8 and 10.


What's New

Version 5.03.02

1. Minor bug fixes

2. Data import limitations for NGS personnel removed.

Version 5.03.00

1. NGS web security update

2. Udated .net framework to 4.6.1

3. New RINEX tools added.

4. Bug fixes.

Version 5.01

1. New photo editing features added.

2. Now uses Multineighbor servlet for neighbor routine.

3. Ability to import descriptions for a .dsc file added.

4. Text editing window enhancements.

5. FPR code and height retrieval added.

6. Servlets changed to work with new station list format.

7. Neighbor routine now uses multineighbor servlet.

8. Military date conversion improved.

9. Photo renaming procedure improved.

10. Orthometric height code added to index listing.

11. Renumber geographically procedure added.

12. Numerous bugs fixed.

Version 5.0

1. The source code is now in Visual Basic 2010.

2. The most recently used file menu works slightly differently than previous versions.

3. Some routines should operate much faster than previous versions.

4. The installation process should work much more smoothely.

Version 4.17+

1. Support for dual monitors added.

2. CTRL + ALT + W moves the positions of the position and descriptive text windows back to a single monitor location.

3. CTRL + ALT + 0 moves all loaded windows to the upper left corner of the main monitor.

4. The output of the GPS project files export routine has been modified for the new ADJUST program and the 2011 adjustment.

5. A new webtool has been added to get CORS 4-character IDs.

6. PIDS have been added to the Positions list.

7. GPS Positional Sigmas have been added to the Position Window.

8. A geographic method for renumbering points has been added.

Version 4.17

1. An option to change the background picture has been added.

2. When starting the program after a new installation, the user is required to create the Windesc.ini and Defaults.txt file via a new tool.

3. An option to change the Windesc.ini and Defaults.txt file has been added.

4. The 'Tools>Get Positions From>a Delimited Text File' tool has been revamped.

5. Added CO-OPS database search tool to description header window.

6. Added NOS VM# label ability to photo editor.

7. Added a pop-up menu to the position form.

8. Minor change to digital photo numbering/access.

9. Added multi record viewing for CO-OPS database search tool.

10. VM number records no longer written to .dsc (D-File).

11. Gravity prediction webtools added.

12. Orthometric Ht, Dynamic Ht and Gravity view added.

13. NAD27 to HPGN webtools added.

14. Web browser added

15. Import from web recovery files added.

16. Import from xml (OPUS) added.

17. Import position from OPUS solution added.

18. Blank descriptive text allowed for some types of recoveries.

19. Required fields in position window highlighted.

20. Search feature added to report viewers.

21. Route from kml procedure has been improved.

22. Geoid Ht interpolation tool added.

23. Added photo and Geocaching links to Google Earth bubbles.

24. Checks for blank county names.

25. Fixed problem with SSN for free adjustments for AFiles.

26. Photo editing tools have been changed to work with 1024 x 768 digital photos.

27. Import from another .des file procedure added.

28. Photo brightness, contrast, and rotation tools added.

29. New program update procedure for NGS PCs running Windows 7.

30. Moved 'Spell Check All Descriptions' from 'Edit' menu to 'Check' menu.

31. Program now installs to the C:\NGS-Apps\WinDesc\ folder by default.

Version 4.16

1. Towns.txt file now includes towns for all states.

2. Approximate location procedure now limited to current State.

3. Aerial view of all neighbors added.

4. Aerial view of towns added.

5. Description load date checker added.

6. Delete photo for photos already loaded procedure added.

7. Export GPS project files modified.

8. Get historical text for all procedure added.

9. Approximate location for all procedure added.

10. File conversions now allow for converting multiple files at once.

11. Now handles up to 5 photos for each mark.

12. CORS 4-character ID checking added.

13. Force save with a right mouse click added.

14. Position, Text, Error windows can now remain open while switching between descriptions.

15. Not-recovered (N) code moved to D/R code box.

16. 'Recent locations' item added to text window insert dropdown.

17. 'Approximate location' now restricted to current State.

18. New text formatting functionality added.

19. Box score and recovery history record generation removed from .dsc export procedure.

20. Positions now truncate to 2 decimal places in .dsc export procedure.

21. Horizontal and vertical position source codes added to index file.

22. Text duplication checking added.

23. Tidal and water level code checking added.

24. Source/Order/Technique code combination checking added.

25. Minor fixes and enhancements.

26. Approximate location now works with Southern latitudes.

27. Erase and Re-Label functions added to photo viewer.

28. A new hand held file editor has been added.

29. A new hand held to .dsc file converter has been added.

30. New photo editing tools have been added.

31. One can now rename or delete a photo from the photo viewer window.

32. Get Datasheets for all PIDs has been added to WebTools.

33. Viewing of Visibility Diagrams has been added.

34. The description editor will now open to the last edited description automatically.

35. Help system enhanced.

36. 'F2 - Tidal Station Data' added to description header window.

37. 'Route from kml' procedure added to descriptive text.

Version 4.15

1. Minor modifications to 'Discrep for all' procedure.

2. Minimal constrained vertical file added to GPS project file creation.

3. Open file dialog now contains additional .dsc file types.

4. Procedure to list photos in IDB added.

5. Minor change to 'Neighbor for all' procedure.

6. Project proposal web page added.

7. Photo renaming tools enhanced.

8. Aerial viewing tool enhanced.

9. Ftp menu item moved to WebTools.

10. GNIS web page added.

11. F10 key is now a toggle.

12. Double-clicking the PID box now displays a list of PIDs in the area for the user to choose from.

13. Minor fixes to Turn-by-turn procedure.

14. Approximate location function now includes county seat option.

15. If units in defaults.txt file is 'METERS', then metric units will be first in descriptive text and reference object dialog.

16. Revision number added.

17. POI file creation tool added.

18. CSV file output added for renumber series procedure.

19. Aerial plotting shift added.

20. Save position to file for Geodetic Forward procedure added.

21. Photo directory data added to project data window.

22. Reference object dialog added to descriptive text window.

Version 4.14

1. Web tools menu item created.

2. Photo tools enhanced.

3. Positions from delimited text file enhanced.

4. Description renumbering enhanced.

5. Google Earth viewing for a single point added.

6. Photo retrieval from NGSIDB for a single point added.

7. Retrieval of historical text by PID added.

8. Neighbor procedure option added.

9. Data search & replace procedure enhanced.

10. Project dataset checking added.

11. Geodetic forward computation added.

Version 4.13

1. The official NGS datasheet can now be displayed by pressing the F8 key from the description header window.

2. Hand held file checking added.

3. .gpx file export procedure added.

4. Now appends to B-File instead of overwriting it for GPS projects.

5. Minor changes to 'file open' dialog.

6. Neighbor procedures now perform a geodetic inverse to all neighbors.

7. Rename photo utility now uses photo path.

8. Rename photo utility now uses photo file date if there is no photo date in the filename.

9. A new rename photo utility has been added for photos without descriptions.

10. View next and view previous buttons added to description header window.

11. 'FT' entry conversion added to FPR box in description header window.

12. Discrep list view added.

13. Number of towns for approximate location option added.

14. Distance conversions re-computed with descriptive text format operation.

15. Index file in .csv format procedure added.

16. Additional abbreviation conversions added.

17. PC to GP conversion tool added to position form.

18. Maximum plotting size increased.

19. Function key popup menu added to description header window.

20. Viewing of .txt files added.

21. Separate .err files are created for different functions.

Version 4.12

1. Fraction conversion functionality has been added to the descriptive text window.

2. Order and Technique coding has been changed for some types of horizontal positions.

3. Photo renaming tool added.

4. Get Positions from a .gpx file tool added.

5. Search and replace function enhanced.

6. Google Earth® viewing now works for all versions of Google Earth®.

Version 4.11

1. Minor modifications to FTP window.

2. Option to set FTP timeout added.

3. First observation date to recovery date checking added to .dsc file checker.

4. Added Google® .kml file export procedure.

5. Viewing of all three photos of a mark from the description header window added.

6. Turn-by-turn from waypoint data added to automatically create 'to reach' narratives.

7. Positions computed from GPPC window can now be saved to a mark description.

8. Minor modifications to .dsc checker.

9. Geodetic inverse procedure added to plot window.

10. Delete procedure added to plot window.

11. PID checking added to .dsc checker.

12. Minor changes to description header window.

13. Geographic position precision option added for .dsc file export.

Version 4.10

1. .des file now re-indexes after running Neighbor and Discrep.

2. Now works with datasheets in both new and old formats.

3. Converts yards to meters in the descriptive text.

Version 4.09

1. Minor bug fixes.

2. ( ) now allowed in USGS quad names.

3. One can now leave an error, neighbor, or discrep viewing window up while editing a description.

4. Plotting to D-sized sheets enhanced.

5. Loads URLs from the /etc/host file in the FTP window.

6. Printing of selected text enabled in viewing windows.

7. Lat/Lon error trapping added to Neighbor procedure.

8. Description converter for COOPS files added.

9. Projects as large as 252 km x 327 km can now be viewed in their entirety in the plot window.

10. Multiple datasheets can now be viewed from within the plot window.

11. Exporting to .dsc prompts the user for truncating geographic positions to 2 decimals.

Version 4.08

1. Minor bug fixes.

2. Additional items have been added to the global search and replace data procedure.

Version 4.07

1. Added a 'select all' feature to FTP.

2. Changed the url text box to a drop-down combobox.

3. Added a 'format' button to the spelling checker

4. One can now spell check all text in an entire file.

5. Added option for displaying the USGS quad name in the index file instead of the position.

6. Added additional data items to index file.

7. Moved the 'Format All Descriptions' procedure from 'Tools' to 'Edit' menu.

8. A procedure has been added to import unified description files into the main .des file.

9. Discrepancy file viewer added.

10. Neighbor file viewer added.

11. Fixed problem with counties for US territories.

12. Added an edit option to the FTP window.

13. Minor text formatting changes.

Version 4.06

1. Fixed minor formatting problem with the project title information.

2. Added 'Learn' option to descriptive text spelling checker.

3. Added ftp window.

4. Added a procedure to get PIDs from the .restart file (NGSHQ use only).

5. Added a procedure to get geographic positions for towns from NGS

6. Added a procedure to get elevations for all PIDs from NGS.

7. Improved error handling.

8. The spelling checker now works with Microsoft Office 10 and 11.

9. Additional error checking built into the .dsc file checker.

10. A legacy box has been added to the position form to handle transportation code and pack time.

11. A delete button has been to the descriptive header window.

12. Additional data items have been added to the neighbor output.

13. An additional item has been added to the discrep output.

14. Neighbor and Discrep can now be run on the entire file.

15. Designation checked for agency code.

16. Minor bug fixes.

Version 4.05

1. Added NGSIDB discrepancy checking procedure.

2. Now reads CORS datasheets (*.ds)

3. GPS files - Writes party chief name left-justified.

4. Fixed problem with latitudes in single degrees. Automatically formats latitudes and longitudes.

5. GPS files - Recognizes GPS-derived elevations.

6. Fixed problem creating an index when the path and filename exceeded 80 characters.

7. Fixed problem in checking procedure with certain agency names.

8. Added automatic viewing of error file.

9. Most-recently-used file list increased to 8 files.

10. New notes added to descriptive text menu.

11. Now works with Southern Latitudes.

12. Additional vertical datums added.

13. 'Load' check box added. D-File checking now reports which descriptions will be loaded.

14. GPPC procedure will now compute a combined factor given the geoid height and ellipsoid height.

15. Fixed program version information in .dsc file header record column 11-34.

16. Added 'Auto Format' option to descriptive text input and Abbreviations.txt file.

17. An undo function has been added to the edit menu of the descriptive text window.

18 Archive function added to description header window.

19. The renumbering procedure has been changed to allow for renumbering more than one mark at a time.

Version 4.04

1. Fixed data sheet problem for descriptions that were 'carried'.

2. Box score records are no longer written to .dsc file. Box score records were causing a problem with the chkddesc program.

3. A routine has been added to get new PIDs from a load (.ld) file, created by the loading process.

4. The abbreviation 'SPN' has been changed to 'SSN'.

5. The word 'MARK' is used instead of 'STATION' to avoid confusion.

6. For archiving purposes, a PID is now viewable on 'D' type descriptions by pressing 'F10' (NGS HQ use only).

7. Renaming photos has been revised to work with designations. This should be done after obtaining PIDs from the load file to rename photos to 'aa0000ph.jpg' where 'aa0000' is the new PID.

8. .HA files are now checked to see if 'GEODDESC', 'VERTDESC' or 'HORZDESC' is in the file. Presently only 'GEODDESC' will be translated properly.

9. The horizontal datum default has been added to the defaults.txt file.

10. The renumber routine now lists the marks to select from.

11. A count of description types is now printed at the bottom of an index file.

12. A problem with the monument category has been fixed.

13. The search and replace routine has been revised.

14. A subset of selected descriptions can now be created under a different filename.

15. Minor changes to D-File checking procedure.

16. Neighbor procedure added to description header window.

17. Status bar added to description header window.

18. User is now alerted if any changes are made to a description that have not been saved.

19. The escape key now closes a window or exits the program if the main window has the focus.

20. Clicking an existing SSN in the description window automatically loads the window.

Version 4.03

1. Spelling checker added.

2. GPS Project file creation procedure added.

3. Minor changes to preliminary dsdata sheet file creation.

4. Station list dropdown now contains horizontal and vertical order.

5. Outputs .dsc file stations by SPSN or alphabetically.

6. Imports a .dsc file in either DOS or UNIX format.

7. Exports a .dsc file in UNIX format only.

8. Fixed problem with historical text from .dsc file import.

9. Added 4-character ID for GPS stations in description header.

10. Most recently used (MRU) file listing added to File menu.

11. Converts East Longitudes to West Longitudes on the position form.

Version 4.02

1. Removes phrases in parentheses of downloaded contrib.dat file.

2. Numbers descriptions imported from the internet by PID in the order that the PIDs were supplied.

3. Fixed setting agency bug for recovered marks.

Version 4.01

1. Added projection zone 5.

2. Moved historical text to a separate tab.

3. Fixed problem with single letter abbreviation in descriptive text formatting.

4. Recovery history limit increased from 20 to 50 recoveries.

5. Minor fixes to Dsdatasheet output.

6. Box score data added to Dsdatasheet output.

7. Adjustment agency added to Dsdatasheet output.

8. CORS, FBN, CBN, PACS, SACS, and HT_MOD added to Dsdatasheet output.

9. Changed .des file specification to accommodate additional data items.

10. Get state and county tool added.

11. Import positions from a delimited text file added.

12. Error file 'quick-view' with F4 keypress added.

Version 3.12

1. Fixed selection box to allow multiple station selection easily.

2. Fixed minor problem with setting codes 37-40.

3. Fixed RecType setting with internet import.

4. Fixed 'subscript out of range' problem with internet import when no stations are found.

5. Fixed ft to m conversion problem when formatting text.

6. Fixed magnetic code problem with rod marks.

7. Removed 'Print Bluebook' and 'View Bluebook' functions.

Version 3.11

1. Speeded up internet import function dramatically.

2. Internet import increased to 1000 stations.

3. Added import by PID list.

4. Added additional internet import methods.

5. Added import options.

6. Added carry text.

7. Added text status.

8. Added ownership/contact template.

9. Export to ASCII of new text only.

10. Added = and / as valid characters for designations.

11. Added menu shortcut keys - ctrl x, c, v, h, a, f, o

12. Fixed international feet SPC.

13. Fixed quad name extraction.

14. Added multiple SPC zone computation.

15. Added exit position form without lat/lon entry.

16. Added East and South position capability.

17. Keep D/R code after import.

18. Update SPN box after import or display option.

19. Speeded up D-File creation.

20. Speeded up D-File checking.

21. Fixed File>Save As function.

22. Added Photo functionality.

23. Enhanced plotting capability, including color plots, pan, zoom, and find.

24. Added pop-up menu to plotting screen.

25. Added SPSN to printed description.

26. Fixed tidal data in D-File creation.

27. Added US National Grid Computation on DSheet.

28. Added Modeled Gravity for imported Bench Marks.

29. Added Dynamic Height for imported stations.

30. Added Garmin to HH Converter.

31. Now writes old .des file to recycle bin automatically.

32. Added 'find problem characters in a text file' function.

33. Fixed minor problem with DOS to Unix conversion tool.

Version 3.10

1. Added 'Print Plot'.

2. Now plots existing first and second order bench marks in solid black.

3. Download by Lat, Lon, Radius.

4. Download by Project Limits.

5. Added additional plot options.

6. Valid dates can be year only, and year and month only.

Version 3.09

1. Many text boxes on the description header form and the position form have been replaced by drop-down combo boxes.

2. A list box is now used for station listings.

3. The pipe character ( | ) will appear between old and new text. This allows the user to view and print old and new text together, but only the new text will be written to the .dsc file for submission to NGS.

4. The help system revised and updated.

5. The D-File checker has been added.

6. The FIPS code look-up has been fixed.

7. Stamping field cleared for not recovered marks.

8. D/R dropdown fixed.

9. Unix/DOS conversion tool added.

10. Pack time and transportation code fields have been removed.

11. Spell checking file creation added.

12. Combined factor computation added to State Plane/UTM utility.

13. Minor errors have been fixed with .ha file conversion.

14. Import .ha and .dsc have been moved to the Open File menu.

15. Project information form has been revised.

16. For recovery history, the last 20 recoveries are saved, rather than the first 20.

17. The USGS quad name look-up has been fixed.

18. The user can update the country.dat file now.


Supporting Files

Index

  • General
  • Abbreviations.txt
  • WinDesc.ini
  • Defaults.txt
  • Towns.txt
  • Zones.txt

General

Supporting files are installed with the program in the product directory. The user has the option to change the location of supporting files within the Windesc.ini file.

The existence of these files are checked when the program is started. If any are missing, a message will appear indicating which are missing. The user will then click 'Okay' and the program will abort. If this happens, uninstall and reinstall the program.

Here are lists of the supporting files:

Application.dat
Condition.dat
Contrib.dat
Cors.dat
Country.dat
Elevation_Source.dat
Elevation_Technique.dat
Ellipsoid.dat
GeoidModel.dat
Groups.dat
Horizontal_Datum.dat
Magnetism.dat
Monucat.dat
Monument.dat
Monument_Category.dat
Monumentation_Category.dat
Position_Order.dat
Position_Source.dat
Position_Technique.dat
RefObj.dat
Satellite_Usage.dat
Setting.dat
Smonuset.dat
Umonuset.dat
Underground_Setting.dat
Vertical_Datum.dat
Vertical_Stability.dat

Abbreviations.txt
Defaults.txt
Settings2.txt
StandTemp.txt
Towns.txt
UserDictionary.txt
usgs_maps.txt
zones.txt

CountyBdy.mdb
Spell.doc
123.ico
WinDesc.chm
PicFormat32.dll
PicFormat32.oca
PicFormat32.ocx

The Abbreviations.txt File

This file is used by AutoFormat and Format functions in the descriptive text window. It may be edited with Notepad or any ASCII text editor. Column 1-18 contains abbreviations and commonly misspelled words. Column 20+ contains the word or words that will replace the abbreviation or misspelled word. If changes are made to this file, the Windesc program must be restarted for the new changes to take effect.

The WinDesc.ini File

This file is used to provide appropriate paths for connections to the NGS web server and the locations of the supporting files.

[settings]
rem Do not change setting name (before '=').
rem Change the 'Support File Path' if you wish to keep program
rem defaults and support files in a common directory on a file server.
rem Then move all .txt and .dat files to that location.
Support File Path=C:\NGS-Apps\WinDesc\
Help File=C:\NGS-Apps\WinDesc\WinDesc.chm
rem Base Url=https://dev.ngs.noaa.gov
rem Base Url=https://test.ngs.noaa.gov
rem Base Url=https://beta.ngs.noaa.gov
Base Url=https://www.ngs.noaa.gov
Base ftp=ftp://ftpnos.woc.noaa.gov

The Defaults.txt File

This file is used by the program to determine default entries for various data items. This file should be stored in the same directory as all of the other supporting files. It may be edited with any ASCII text editor such as Notepad as shown below:

[settings]
rem Do not change setting name (before '=').
rem The following items are for several programs:
Ellipsoid a=6378137
Ellipsoid e2=0.006694380022903416
SPC Zone1=
SPC Zone2=
SPC Zone3=
SPC Zone4=
SPC Zone5=
Country=US
State=
Group=
Agency=
COP=
Units=FEET
Hemi1=N
Hemi2=W
Horizontal Datum=83
Vertical Datum=88
NewMarkCat=
NewMarkType=
NewMarkMagCode=
NewMarkSetCode=
NewMarkStability=
rem The following items are for the Translev program:
rem data items are by order/class 11,12,21,22,30
maxcoll=0.050,0.050,0.050,0.050,0.050
minnumread=3,3,3,3,3
maxreaderr=0.10,0.10,0.30,0.30,0.50
setupimbalance=2,5,5,10,10
runimbalance=4,10,10,10,10
maxsight=50,60,60,70,90
mdsh1-h2=0.30,0.30,0.60,0.70,1.30
sectionmisclosure=3,4,6,8,12

For SPC Zone entries, use the alphanumeric designation(s) such as 'VA S' rather than the four-digit numeric code.

Enter the 2-letter state abbreviation for State.

Enter the 1-letter agency group code for Group.

Enter the agency symbol for Agency.

Enter 3 letters for the default COP if desired.

If your agency sets new monuments, enter default values for the NewMark settings as appropriate.

Note: Windesc and Translev use the same Defaults.txt file!

The Towns.txt File

The Towns.txt file is used by the program to compute the airline distances and directions from the three closest towns to the mark in question. This file is an ASCII file located in the installed product directory. It may be edited by any text editor, but is column-specific. To edit the file in the Windesc program, select: 'Edit>Towns.txt File' from the main menu.

Select the town to be edited or select 'Insert' to insert a new town.

Enter the town name and the latitude and longitude of the center of the town to the nearest second. if the latitude is less than 10 degrees, precede the latitude with a 0. If the longitude is less than100 degrees, precede the longitude with a 0. Select the state the town is located in. Select the county the town is located in. If the town is the county seat, check 'County Seat'. Click 'Save' to save the information and return to the selection form.

The Zones.txt File

The zones.txt file is found in the program directory after installing the program.

This file is used by the program for computing state plane coordinates and universal transverse mercator (UTM) coordinates from geographic positions and vice-versa. It is an ASCII text file that can be edited with any ASCII text editor. File data is column-specific! In reality, only columns 221-223 should be edited to output data in us survey feet or international feet if so desired.

Warning! - Do not edit the projection parameters for a particular zone! This may produce undesirable results!

Zone parameters were taken from NOAA Manual NOS NGS 5 "State Plane Coordinate System of 1983" by James E. Stem, reprinted September 1995.

If incorrect parameters are found for a given zone, contact the author immediately to have the problem corrected.

The user can create their own projection zone be adding a new line of data with the appropriate parameters. - Good luck!

Here is a copy of the "zones.txt" file as installed:

AL E  0101 085:50   25000.0000        0.0000  3375406.7112  200000.0000             1.23256 30:30   085:50                                                                                                                      TM
AL W  0102 087:30   15000.0000        0.0000  3319892.0570  600000.0000             1.23262 30:00   087:30                                                                                                                      TM
AK 1  5001 133:40 1.000296461404 0.004426833926 6386186.73253 -0.327012955438 0.945019855334 1.001558917662 101.513839560 -5000000.0000 5000000.0000 -0.643501108793284 6.686920927E-03 5.20145840E-05 5.54430E-07 6.82E-09     OM
AK 2  5002 142:00   10000.0000        0.0000  5985317.4367  500000.0000             1.22473 54:00   142:00                                                                                                                      TM
AK 3  5003 146:00   10000.0000        0.0000  5985317.4367  500000.0000             1.22473 54:00   146:00                                                                                                                      TM
AK 4  5004 150:00   10000.0000        0.0000  5985317.4367  500000.0000             1.22473 54:00   150:00                                                                                                                      TM
AK 5  5005 154:00   10000.0000        0.0000  5985317.4367  500000.0000             1.22473 54:00   154:00                                                                                                                      TM
AK 6  5006 158:00   10000.0000        0.0000  5985317.4367  500000.0000             1.22473 54:00   158:00                                                                                                                      TM
AK 7  5007 162:00   10000.0000        0.0000  5985317.4367  500000.0000             1.22473 54:00   162:00                                                                                                                      TM
AK 8  5008 166:00   10000.0000        0.0000  5985317.4367  500000.0000             1.22473 54:00   166:00                                                                                                                      TM
AK 9  5009 170:00   10000.0000        0.0000  5985317.4367  500000.0000             1.22473 54:00   170:00                                                                                                                      TM
AK 10 5010 176:00 1000000.0000       0.0000 51:50 53:50 51:00                                                                                                                                                                   LC
AZ E  0201 110:10   10000.0000        0.0000  3430631.2260  213360.0000             1.23244 31:00   110:10                                                                                                                  iFT TM
AZ C  0202 111:55   10000.0000        0.0000  3430631.2260  213360.0000             1.23244 31:00   111:55                                                                                                                  iFT TM
AZ W  0203 113:45   15000.0000        0.0000  3430745.5918  213360.0000             1.23244 31:00   113:45                                                                                                                  iFT TM
AR N  0301 092:00  400000.0000       0.0000 34:56 36:14 34:20                                                                                                                                                               sFT LC
AR S  0302 092:00  400000.0000  400000.0000 33:18 34:46 32:40                                                                                                                                                               sFT LC
CA 1  0401 122:00 2000000.0000  500000.0000 40:00 41:40 39:20                                                                                                                                                               sFT LC
CA 2  0402 122:00 2000000.0000  500000.0000 38:20 39:50 37:40                                                                                                                                                               sFT LC
CA 3  0403 120:30 2000000.0000  500000.0000 37:04 38:26 36:30                                                                                                                                                               sFT LC
CA 4  0404 119:00 2000000.0000  500000.0000 36:00 37:15 35:20                                                                                                                                                               sFT LC
CA 5  0405 118:00 2000000.0000  500000.0000 34:02 35:28 33:30                                                                                                                                                               sFT LC
CA 6  0406 116:15 2000000.0000  500000.0000 32:47 33:53 32:10                                                                                                                                                               sFT LC
CO N  0501 105:30  914401.8289  304800.6096 39:43 40:47 39:20                                                                                                                                                               sFT LC
CO C  0502 105:30  914401.8289  304800.6096 38:27 39:45 37:50                                                                                                                                                               sFT LC
CO S  0503 105:30  914401.8289  304800.6096 37:14 38:26 36:40                                                                                                                                                               sFT LC
CT    0600 072:45  304800.6096  152400.3048 41:12 41:52 40:50                                                                                                                                                               sFT LC
DE    0700 075:25  200000.0000        0.0000  4207476.9816  200000.0000             1.23083 38:00   075:25                                                                                                                  sFT TM
FL E  0901 081:00   17000.0000        0.0000  2692050.5001  200000.0000             1.23387 24:20   081:00                                                                                                                  sFT TM
FL W  0902 082:00   17000.0000        0.0000  2692050.5001  200000.0000             1.23387 24:20   082:00                                                                                                                  sFT TM
FL N  0903 084:30  600000.0000       0.0000 29:35 30:45 29:00                                                                                                                                                               sFT LC
GA E  1001 082:10   10000.0000        0.0000  3319781.3865  200000.0000             1.23271 30:00   082:10                                                                                                                  sFT TM
GA W  1002 084:10   10000.0000        0.0000  3319781.3865  700000.0000             1.23271 30:00   084:10                                                                                                                  sFT TM
HI 1  5101 155:30   30000.0000        0.0000  2083150.1655  500000.0000             1.23570 18:50   155:30                                                                                                                      TM
HI 2  5102 156:40   30000.0000        0.0000  2249193.4045  500000.0000             1.23532 20:20   156:40                                                                                                                      TM
HI 3  5103 158:00  100000.0000        0.0000  2341506.4725  500000.0000             1.23527 21:10   158:00                                                                                                                      TM
HI 4  5104 159:30  100000.0000        0.0000  2415321.4658  500000.0000             1.23507 21:50   159:30                                                                                                                      TM
HI 5  5105 160:10       0.0000        0.0000  2396891.1333  500000.0000             1.23505 21:40   160:10                                                                                                                      TM
ID E  1101 112:10   19000.0000        0.0000  4614370.6555  200000.0000             1.22980 41:40   112:10                                                                                                                      TM
ID C  1102 114:00   19000.0000        0.0000  4614370.6555  500000.0000             1.22952 41:40   114:00                                                                                                                      TM
ID W  1103 115:45   15000.0000        0.0000  4614305.8890  800000.0000             1.22926 41:40   115:45                                                                                                                      TM
IL E  1201 088:20   40000.0000        0.0000  4059417.9793  300000.0000             1.23060 36:40   088:20                                                                                                                  sFT TM
IL W  1202 090:10   17000.0000        0.0000  4056280.6721  700000.0000             1.23068 36:40   090:10                                                                                                                  sFT TM
IN E  1301 085:40   30000.0000   250000.0000  4151863.7425  100000.0000             1.23062 37:30   085:40                                                                                                                  sFT TM
IN W  1302 087:05   30000.0000   250000.0000  4151863.7425  900000.0000             1.23062 37:30   087:05                                                                                                                  sFT TM
IA N  1401 093:30 1500000.0000 1000000.0000 42:04 43:16 41:30                                                                                                                                                                   LC
IA S  1402 093:30  500000.0000       0.0000 40:37 41:47 40:00                                                                                                                                                                   LC
KS N  1501 098:00  400000.0000       0.0000 38:43 39:47 38:20                                                                                                                                                                   LC
KS S  1502 098:30  400000.0000  400000.0000 37:16 38:34 36:40                                                                                                                                                                   LC
KY1Z  1600 085:45 1500000.0000 1000000.0000 37:05 38:40 36:20                                                                                                                                                               sFT LC
KY N  1601 084:15  500000.0000       0.0000 37:58 38:58 37:30                                                                                                                                                               sFT LC
KY S  1602 085:45  500000.0000  500000.0000 36:44 37:56 36:20                                                                                                                                                               sFT LC
LA N  1701 092:30 1000000.0000       0.0000 31:10 32:40 30:30                                                                                                                                                                   LC
LA S  1702 091:20 1000000.0000       0.0000 29:18 30:42 28:30                                                                                                                                                               sFT LC
LA SH 1703 091:20 1000000.0000       0.0000 26:10 27:50 25:30                                                                                                                                                               sFT LC
ME E  1801 068:30   10000.0000        0.0000  4836302.3615  300000.0000             1.22906 43:40   068:30                                                                                                                      TM
ME W  1802 070:10   30000.0000        0.0000  4744046.5583  900000.0000             1.22918 42:50   070:10                                                                                                                      TM
MD    1900 077:00  400000.0000       0.0000 38:18 39:27 37:40                                                                                                                                                               sFT LC
MA M  2001 071:30  200000.0000  750000.0000 41:43 42:41 41:00                                                                                                                                                               sFT LC
MA I  2002 070:30  500000.0000       0.0000 41:17 41:29 41:00                                                                                                                                                               sFT LC
MI N  2111 087:00 8000000.0000       0.0000 45:29 47:05 44:47                                                                                                                                                               iFT LC
MI C  2112 084:22 6000000.0000       0.0000 44:11 45:42 43:19                                                                                                                                                               iFT LC
MI S  2113 084:22 4000000.0000       0.0000 42:06 43:40 41:30                                                                                                                                                               iFT LC
MN N  2201 093:06  800000.0000  100000.0000 47:02 48:38 46:30                                                                                                                                                                   LC
MN C  2202 094:15  800000.0000  100000.0000 45:37 47:03 45:00                                                                                                                                                                   LC
MN S  2203 094:00  800000.0000  100000.0000 43:47 45:13 43:00                                                                                                                                                                   LC
MS E  2301 088:50   20000.0000        0.0000  3264526.0416  300000.0000             1.23258 29:30   088:50                                                                                                                  sFT TM
MS W  2302 090:20   20000.0000        0.0000  3264526.0416  700000.0000             1.23258 29:30   090:20                                                                                                                  sFT TM
MO E  2401 090:30   15000.0000        0.0000  3966785.2908  250000.0000             1.23126 35:30   090:30                                                                                                                      TM
MO C  2402 092:30   15000.0000        0.0000  3966785.2908  500000.0000             1.23126 35:30   092:30                                                                                                                      TM
MO W  2403 094:30   17000.0000        0.0000  4003800.5632  850000.0000             1.23124 36:10   094:30                                                                                                                      TM
MT    2500 109:30  600000.0000       0.0000 45:00 49:00 44:15                                                                                                                                                               iFT LC
NE    2600 100:00  500000.0000       0.0000 40:00 43:00 39:50                                                                                                                                                               sFT LC
NV E  2701 115:35   10000.0000  8000000.0000  3846473.6437  200000.0000             1.23106 34:45   115:35                                                                                                                      TM
NV C  2702 116:40   10000.0000  6000000.0000  3846473.6437  500000.0000             1.23106 34:45   116:40                                                                                                                      TM
NV W  2703 118:35   10000.0000  4000000.0000  3846473.6437  800000.0000             1.23106 34:45   118:35                                                                                                                      TM
NH    2800 071:40   30000.0000        0.0000  4707019.0442  300000.0000             1.22976 42:30   071:40                                                                                                                  sFT TM
NJ    2900 074:30   10000.0000        0.0000  4299571.6693  150000.0000             1.23078 38:50   074:30                                                                                                                      TM
NM E  3001 104:20   11000.0000        0.0000  3430662.4167  165000.0000             1.23242 31:00   104:20                                                                                                                  sFT TM
NM C  3002 106:15   10000.0000        0.0000  3430631.2260  500000.0000             1.23244 31:00   106:15                                                                                                                  sFT TM
NM W  3003 107:50   12000.0000        0.0000  3430688.4089  830000.0000             1.23240 31:00   107:50                                                                                                                  sFT TM
NY E  3101 074:30   10000.0000        0.0000  4299571.6693  150000.0000             1.22992 38:50   074:30                                                                                                                  sFT TM
NY C  3102 076:35   16000.0000        0.0000  4429252.1847  250000.0000             1.22983 40:00   076:35                                                                                                                  sFT TM
NY W  3103 078:35   16000.0000        0.0000  4429252.1847  350000.0000             1.22983 40:00   078:35                                                                                                                  sFT TM
NY L  3104 074:00  300000.0000       0.0000 40:40 41:02 40:10                                                                                                                                                               sFT LC
NC    3200 079:00  609601.2199       0.0000 34:20 36:10 33:45                                                                                                                                                               sFT LC
ND N  3301 100:30  600000.0000       0.0000 47:26 48:44 47:00                                                                                                                                                               iFT LC
ND S  3302 100:30  600000.0000       0.0000 46:11 47:29 45:40                                                                                                                                                               iFT LC
OH N  3401 082:30  600000.0000       0.0000 40:26 41:42 39:40                                                                                                                                                                   LC
OH S  3402 082:30  600000.0000       0.0000 38:44 40:02 38:00                                                                                                                                                                   LC
OK N  3501 098:00  600000.0000       0.0000 35:34 36:46 35:00                                                                                                                                                               sFT LC
OK S  3502 098:00  600000.0000       0.0000 33:56 35:14 33:20                                                                                                                                                               sFT LC
OR N  3601 120:30 2500000.0000       0.0000 44:20 46:00 43:40                                                                                                                                                               iFT LC
OR S  3602 120:30 1500000.0000       0.0000 42:20 44:00 41:40                                                                                                                                                               iFT LC
PA N  3701 077:45  600000.0000       0.0000 40:53 41:57 40:10                                                                                                                                                               sFT LC
PA S  3702 077:45  600000.0000       0.0000 39:56 40:58 39:20                                                                                                                                                               sFT LC
RI    3800 071:30  160000.0000        0.0000  4549799.4141  100000.0000             1.22998 41:05   071:30                                                                                                                  sFT TM
SC    3900 081:00  609600.0000       0.0000 32:30 34:50 31:50                                                                                                                                                               iFT LC
SD N  4001 100:00  600000.0000       0.0000 44:25 45:41 43:50                                                                                                                                                                   LC
SD S  4002 100:20  600000.0000       0.0000 42:50 44:24 42:20                                                                                                                                                                   LC
TN    4100 086:00  600000.0000       0.0000 35:15 36:25 34:20                                                                                                                                                               sFT LC
TX N  4201 101:30  200000.0000 1000000.0000 34:39 36:11 34:00                                                                                                                                                               sFT LC
TX NC 4202 098:30  600000.0000 2000000.0000 32:08 33:58 31:40                                                                                                                                                               sFT LC
TX C  4203 100:20  700000.0000 3000000.0000 30:07 31:53 29:40                                                                                                                                                               sFT LC
TX SC 4204 099:00  600000.0000 4000000.0000 28:23 30:17 27:50                                                                                                                                                               sFT LC
TX S  4205 098:30  300000.0000 5000000.0000 26:10 27:50 25:40                                                                                                                                                               sFT LC
UT N  4301 111:30  500000.0000 1000000.0000 40:43 41:47 40:20                                                                                                                                                               iFT LC
UT C  4302 111:30  500000.0000 2000000.0000 39:01 40:39 38:20                                                                                                                                                               iFT LC
UT S  4303 111:30  500000.0000 3000000.0000 37:13 38:21 36:40                                                                                                                                                               iFT LC
VT    4400 072:30   28000.0000        0.0000  4707007.8366  500000.0000             1.22948 42:30   072:30                                                                                                                      TM
VA N  4501 078:30 3500000.0000 2000000.0000 38:02 39:12 37:40                                                                                                                                                               sFT LC
VA S  4502 078:30 3500000.0000 1000000.0000 36:46 37:58 36:20                                                                                                                                                               sFT LC
WA N  4601 120:50  500000.0000       0.0000 47:30 48:44 47:00                                                                                                                                                               sFT LC
WA S  4602 120:30  500000.0000       0.0000 45:50 47:20 45:20                                                                                                                                                               sFT LC
WV N  4701 079:30  600000.0000       0.0000 39:00 40:15 38:30                                                                                                                                                                   LC
WV S  4702 081:00  600000.0000       0.0000 37:29 38:53 37:00                                                                                                                                                                   LC
WI N  4801 090:00  600000.0000       0.0000 45:34 46:46 45:10                                                                                                                                                               sFT LC
WI C  4802 090:00  600000.0000       0.0000 44:15 45:30 43:50                                                                                                                                                               sFT LC
WI S  4803 090:00  600000.0000       0.0000 42:44 44:04 42:00                                                                                                                                                               sFT LC
WY E  4901 105:10   16000.0000        0.0000  4484768.4357  200000.0000             1.22983 40:30   105:10                                                                                                                  sFT TM
WY EC 4902 107:20   16000.0000   100000.0000  4484768.4357  400000.0000             1.22983 40:30   107:20                                                                                                                  sFT TM
WY WC 4903 108:45   16000.0000        0.0000  4484768.4357  600000.0000             1.22983 40:30   108:45                                                                                                                  sFT TM
WY W  4904 110:05   16000.0000   100000.0000  4484768.4357  800000.0000             1.22983 40:30   110:05                                                                                                                  sFT TM
PR VI 5200 066:26  200000.0000  200000.0000 18:02 18:26 17:50                                                                                                                                                                   LC

Transverse Mercator Table Parameters

Parameter | Column(s)
State Projection Zone Zone Code Central Meridian Scale Ratio Origin (North) So Origin (East) 1/2 ro2 X 1014 Origin (Lat) Origin (Lon) iFT/sFT Type of Zone | 1-5 7-10 12-17 19-30 32-44 46-58 60-71 85-91 93-97 101-106 221-223 225-226

Lambert Conformal Table Parameters

Parameter

Column(s)

1-5
7-10
12-17
19-30
32-43
45-49
51-55
57-61
221-223
225-226

State Projection Zone
Zone Code
Central Meridian
False Easting
False Northing
South Standard Parallel
North Standard Parallel
Latitude of the False Northing
iFT/sFT
Zone Type


The Windesc.ini File

The Windesc.ini file is located in the product directory and is accessed by the program at start-up. The file may be edited by any ASCII text editor such as Notepad as shown below:

[settings]
rem Do not change setting name (before '=').
rem Change the 'Support File Path' if you wish to keep program
rem defaults and support files in a common directory on a file server.
rem Then move all .txt and .dat files to that location.
Support File Path=C:\NGS-Apps\WinDesc\
Help File=C:\NGS-Apps\WinDesc\WinDesc.chm
rem Base Url=https://dev.ngs.noaa.gov
rem Base Url=https://test.ngs.noaa.gov
rem Base Url=https://beta.ngs.noaa.gov
Base Url=https://www.ngs.noaa.gov
Base ftp=ftp://ftpnos.woc.noaa.gov

If the program is installed on a network, the supporting file location can be changed to a network drive. This will allow multiple users to always have the same preferences on different computers. Then, should updates to any of the supporting file be required, one need only change the particular supporting file on the file server, rather than on all computers.


Problems and Suggestions

Should you 'loose sight' of a loaded window, press Ctrl+Alt+0 while the main winndow or the description header window has the focus to move all loaded windows back to the upper left corner of the main monitor Press Ctrl+Alt+w to move the position and descriptive text windows back to their last single-monitor locations.

Should you encounter problems with the program you are encouraged to email the author with details of the problem, the operating system the program is running on, any data files you were working with and any other information that would be helpful to resolve the problem. System Information can be obtained by clicking 'Help>About>System Info...' from the main menu. Here is an example of system information:

If you would like to suggest enhancements, please forward them to Malcolm Archer-Shee at:

Malcolm.Archer-Shee@noaa.gov


Creating a New Description File

To create a new Windesc description file:

Select: 'File>New' from the menu or press Ctrl N. Type in the name of the file to be created.


Project Data

To access the project data form, select 'Edit>Project Data' from the main menu.

Fill in or modify the project data as appropriate. Enter the Agency category to populate the Agency symbol drop-down box. After the agency symbol is selected, the Agency Name will fill in automatically. To obtain an accession number for the project, contact NGS. Be sure to select the accession code, number and part if known. The project title must be filled in. Comments are optional. If you wish to include an email address, substitute AT for the @ symbol. The @ symbol is a control character used in the .dsc file format.

If latitudes and longitudes have been previously entered for mark descriptions, one can re-calculate the project limits by clicking the left hand 'compute' button. To compute a plotting shift when using the Aerial View, click the right hand 'Compute' button and enter both the actual geographic position and the geographic position of the point in the aerial view.

Select the horizontal datum and ellipsoid. After leaving the ellipsoid box, the Semi-Major Axis, Inverse Flattening, and/or Semi-Minor Axis will be displayed as appropriate.

Horizontal Information is used by the program in the creation of GPS project files . Be sure to enter the date the observations started and the date observations were completed.

Click 'Okay' to save the project data.


Renumbering a Mark

Warning: Marks should not be renumbered once the field leveling work has begun!

There are three methods by which points in the project may be renumbered. Individually works best when only a few of the points in the project need to be renumbered. Geographically works best when the project is generally linear. Series works best if one wishes to group marks together for different leveling parts.

Select 'Edit>Renumber' form the main menu:

If 'Individually' is selected, a list of marks will be displayed:

Click on the one to be changed and enter the new SSN in the input box and click 'Okay'. The new SSN will appear in the 'NEW SSN' column. When renumbering is complete, click 'Okay' at the bottom of the Renumber dialog to save the changes. If you wish to save the listing as a comma separated value file, click 'CSV'.

If 'Geographically' is selected, one can select any two points on the project to use as a baseline. Note: All points in the project must have geographic positions. Select a point at the beginning of the project. Next, select a point at the end of the project. Next, enter the starting number for the new series of point numbers.

The two points identified will be used to compute a baseline from which the relative order of the points will be determined. The order of the points in the project will be established by computing where a point would fall on the baseline at right angles to each point in the file. If the project contains spurs or loops, the points may not be renumbered in the preferred order, but generally only minor additional renumbering of the spur points will be required. Marks reported as 'Not recovered' or 'Destroyed' will be automatically renumbered to the 9000 series per accepted practice.

If 'Series' is selected, enter the amount that each SSN is to be increased or decreased for the entire file.


Deleting a Mark Description

Select 'Edit>Delete Descriptions' from the main menu:

A list of marks will be displayed. Select the marks(s) to delete and click 'Okay'.

One can also delete a description for a mark from the description header window:

Enter the SSN to retrieve the description for the mark.

Next, click the 'Delete' button. You will receive a warning. Click 'Yes' to delete the mark.

One can also delete a description from the plot window.

To delete a description, right-click on the mark to be deleted.

Left click 'delete' from the pop-up menu:


Replacing Text

To replace a string of text in one or all locations in the description (.des) file, select 'Edit>Search & Replace>Text' from the main menu.

A text window and the replace dialog will be displayed. Enter the word to search for in the top box. Next, enter the replacement in the lower box. Click 'Find Next' to search the entire file for the first description that contains the text. Click 'Replace' to make a single change or 'Replace All' to change the text in every description. USE WITH CAUTION! - Text for all marks can be replaced with one command in this manner. This is appropriate for cases where the name of a road, person, or place was not spelled correctly in the description for several marks. Click 'Close' to close the dialog.


Replacing Data

To replace all data of a particular type in the description (.des) file, select 'Edit>Search & Replace>Data' from the main menu.

The replace data dialog will be displayed.

Select the appropriate type of data to be replaced from the upper drop-down box. This will populate the middle and bottom boxes with valid entries for that data type.

Next, select the appropriate item to change from. Use * for all items to change. Leave blank to change only blank items.

Finally, select the appropriate item to change to. Click 'Okay' to make the changes.


Formatting All Descriptions

Select "Edit>Format All Descriptions" from the main menu or press the Ctrl and 'F' keys simultaneously:

Note: This will format the descriptive text for all descriptions in the file at once! After performing this function, the user should view the descriptive text for all marks to be sure that everything formatted correctly! In the event that undesirable results are obtained, you can restore an older version of the file through disaster recovery.


Descriptive Text

Table of Contents

  • Descriptive Text
  • To Reach Paragraph
  • Reference Objects
  • Inserting Special Notes
  • Creating Templates
  • Using Templates
  • Formatting Text
  • Undoing Changes
  • Checking Spelling
  • Flip Directions
  • Magnetic Declination
  • 'To FT

Descriptive Text

Only two types of descriptive text should be submitted to NGS. The first is to record a recent recovery and condition of the mark, such as 'RECOVERED AS DESCRIBED.' If the mark was difficult to recover because of changes in the 'to reach' or measurements to reference objects, a complete new description should be written. If one imported text from a dsdata sheet or from NGS via the internet, there will be historical text. Only the last 4900 characters of historical text will be saved to the file. To view the historical text, just click the tab that says 'Historical Descriptive Text'. Most editing tools are not available to the historical text window.

A complete description consists of at least four sections. An approximate location, a 'to reach' from a prominent landmark, distances and directions from nearby objects and specific details about the mark.

The approximate location consists of three airline distances and directions from nearby towns or localities. To automate this process, one can store the names and geographic coordinates of the towns in the region in which the project lies. This can easily be accomplished using the "towns.txt editor". Once the towns.txt file has been edited and the geographic position of the mark has been stored, select 'Insert>The mark is located...' from the descriptive text menu. If you have 'Include County Seat' option checked, the first distance and direction will be from the county seat.

If the mark is on private property, the owners name and address should be listed at the end of the approximate location paragraph. One can select 'Insert>Ownership' from the menu to facilitate this.

The next section is the 'To reach' section. Select 'Insert>To Reach From...> and then select courthouse, post office or intersection. The text will automatically be inserted at the cursor location. The following is a good example of a typical 'to reach':

To reach the mark from the post office in Grantsville, go Southwest on US 29 for 3.2 miles to a side road right.  Turn right and go Northwest on Blankenship road for 2.8 miles to a small cemetery and the mark on the right.  Ownership--Smithville United Methodist Church.

To Reach

The 'To reach' paragraph can be created automatically from waypoint positions or from Google Earth directions.

First, select 'AERIAL' from the description header window to plot the mark in Google Earth and bring up Google Earth.

Next, place a pushpin at the starting point. Right-click on the pushpin and select 'Directions from here'

Next, right-click on the point to go to and select 'Directions to here'. Google Earth will then draw a path with directions from the pushpin to a point opposite the mark.

Next, right-click on the the 'Untitled Placemark to ...' on the Directions tab and select 'Save to My Places' as shown.

Next, click 'File>Save>Save My Places' from the Google Earth Menu or exit Google Earth. This will save any changes to 'My Places'.

Next, click 'Insert>Route from kml' from the descriptive text window. By default, the first location will be 'J'.

Intermediate points will be labeled 'B' for 'bend in the road', 'I' for 'intersection', 'P' for ramp and 'M' for mark. If necessary, change these to the appropriate intersection type and add the road name. Leave the last position 'M' opposite the mark.

For the starting point, use A for Airport, J-Junction, B-Bridge, H-Courthouse, P-Post Office, I-Intersection. Put the crossing road first, an 'AND' and then the road to be traveled (see example).

For each subsequent point, change the type of point and the road name if applicable, B-Bend in the road, F-Fork, I-Intersection, P-Ramp, R-Reverse Y fork, S-Side road, T-Tee, X-Crossroads.

Next, select 'Insert>(Turn by turn with handheld pos) from the descriptive text menu:

The 'To-reach' narrative is automatically created:

Be sure to carefully check the 'To Reach' paragraph to make sure everything was created correctly.

To recall the positions of intersections for the next Turn-by-turn description, select 'Insert>Recent Locations' from the text menu.

Reference Objects

The next section describes the mark and list directions and distances from nearby objects. Good reference objects are house corners, utility poles, roadway centerlines, fences, unique trees, headstones, property markers, drainage pipes, ditches, bridges and other permanent structures. Use at least five reference objects if possible. Avoid trees that are not unique or are likely to be cut for timber. Avoid using more that one pole from the same utility (the utility company may move or remove all of their poles at the same time). Avoid using wooden highway signs as these are frequently replaced. When using corners of buildings, bridges or other large structures, state which corner is used. In all cases the center of the object is implied unless otherwise stated. The following is an example of the reference paragraph:

It is 50.6 ft Ne of the center of Blankenship Road, 35.2 ft Nw of power pole number 235, 27.6 ft Sse of telephone pole number 2, 15.0 ft s of the headstone of Mildred E. Thompson, 3.0 ft Sw of a witness post and set in the top of a 12-inch round concrete post flush with the ground.

To use the reference object dialog to create the reference object paragraph, select 'Insert>Reference Objects...' from the text menu.

The reference object dialog will appear:

Enter pertinent data or select items from the drop-down boxes as appropriate. Click the 'Okay' button to create the entire reference object paragraph. Reference objects will be sorted by distance from the longest to the shortest.

Inserting Special Notes

The insert a special note at the end of the last paragraph, position the cursor where you would like to insert the note and then select 'Insert>Note>' and the note to be inserted:

This will insert a line of text such as:

NOTE-ACCESS TO THE DATUM POINT IS THROUGH A 5-INCH LOGO CAP.

Note: Different insertion phrases will be available based upon description/recovery type. If the mark was not recovered, the menu will appear as shown below:

Creating Templates

To create a custom template from the descriptive text, type the text you wish to appear in the template on a blank form.

Next, select 'Template>Make Custom' from the descriptive text menu:

This will save the template for future use.

Using Templates

Templates can be used to facilitate creation of descriptive text. To use a template, select 'Templates>Use Standard' or 'Templates>Use Custom' from the descriptive text menu:

Formatting Text

Descriptive text may be formatted 'on-the-fly' by checking 'AutoFormat' under 'Options':

Autoformat:

As you type, each time you press the space bar, comma, or enter key, the word or abbreviation just entered will be compared to the list of words in the Abbreviations.txt file. If the word is found, it will be replaced with the word or words from column 20. In addition, metric measurements will be converted to English and vise-versa. The directional abbreviations N, S, E, W, NE, NW, SE, SW will NOT be expanded unless they follow 'GO', 'PROCEED', 'THE', 'IS', 'JUST, or the close parentheses character ')'. For example, '50 FT W OF THE CL OF E' will expand to '50 FT (15.2 M) WEST OF THE CENTERLINE OF E'.

Format Button:

In addition to the changes included in 'Autoformat', the 'Format' button located at the bottom of the descriptive text window will remove extra carriage returns and blank spaces at the end of the text and any missing articles for certain word combinations such as 'A', 'AN' or 'THE' will be inserted. Be sure to check the descriptive text after formatting to be sure that it is still correct.

Undoing Changes

Text changes can be undone by selecting 'Edit>Undo' from the descriptive text window:

Flip Directions

I one uses a hand held ranging device to get magnetic directions and distances to nearby objects, this tool will flip the directions, applying the magnetic declination.
To use this tool, first key in the directions and distances from the mark to the object. Example:

25.4 FT 225 DEG MAG TO THE NORTHEAST CORNER OF A BUILDING becomes
25.4 FT (7.7 M) NORTH-NORTHEAST OF THE NORTHEAST CORNER OF A BUILDING

Magnetic Declination

This tool will display the magnetic declination using the lat/lon from the position window and an internet connection.

'To FT

This tool will change the ft mark (apostrophe) to FT.

Checking Spelling

Note: Microsoft Word® 2002 or later must be installed on the PC in order to use the spelling checker.

Click 'Spelling' from the descriptive text window. Microsoft word will start in the background and load the current descriptive text:

Next, click 'Start' to start the spell checking process. If the spell checker finds a word that is not in its dictionary, it will usually (but not always) list several suggestions. You can change the word, add the word to the user dictionary, ignore the word, or cancel the process. The process will continue until all of the words for this description have been checked.

The spelling can also be checked on the entire file by selecting 'Checkt>Spell Check All Descriptions' from the main menu:

Learn:

If the 'Learn' option on the pull-down menu is checked and the user clicks 'change' to correct the spelling of a word, misspelled words and their correct spelling will be saved to the 'Abbreviations.txt' file. Subsequent uses of the 'AutoFormat' and 'Format' procedures will automatically correct the spelling of those words.

Note-The program must be exited and restarted for the changes to the Abbreviations.txt file to take effect.

Number of Towns:

This option will set the number of towns used when the 'Insert>The mark is located...' function is used.

Use 'Mark'/'Station' in text:

If 'Mark' is checked, all phrases that are added will use the word 'Mark' instead of the word 'Station'.


The .des File

This file format is the native file format used by the Windesc program. It is a random-access file of equal length records that is read from and written to during the editing process. The first record contains information about the geodetic project, including the project title, comments, submitting organization, accession number, etc. The remaining records contain information about each geodetic mark in the project, one record for each mark.

File Structure

To merge .des files, open the main .des file first by selecting 'File>Open' from the main menu. Next, select 'File>Merge .des Files' from the main menu. Select the file to be merged. Data from the selected file will be merged with the main file.


To Create or Modify a Description

Select 'Edit>Descriptive Data' from the main menu.

A blank description header form will be displayed. See 'The Description Header' for more information.


The Description Header

The description header is the location where important data about the mark are placed.

To create or edit a description header, select 'Edit>Descriptive Data' from the main menu. The descriptive header form will appear as shown:

Enter the point number for the point you wish to create or modify. Point numbers must be in the range of 1-9999. Press the 'tab' or 'enter' key. The cursor will jump to the next box. If a description header for the point exists, the information will be displayed in the appropriate boxes on the form. If the information does not exist, Select 'D' to enter information for a new mark, 'R' for a recovery or 'N' for a non-recovery and press the tab key.

For non-recovered marks, the user will be required to fill out the PID and other information about the mark. The text for the mark should include the degree of effort used to attempt to recover the mark and any other information that may be helpful in determining what happened to the mark.

If you wish to scroll through descriptions that have already been entered, click the '<' key to view the previous description, or '>' to view the next description. The current description will be checked and saved. To prevent checking the current description, use the right-mouse button instead of the left.

For recoveries, select the type of recovery (Rec code) and press the tab key. IT IS IMPORTANT TO SELECT THE CORRECT RECOVERY TYPE CODE! Depending upon the code selected, only certain types of data are required. The entry boxes for the remaining data types will disappear!

'F' is to fully describe a mark that was recovered and is not in the NGSIDB. This type will not have a PID. The user will be required to complete both the monumentation information and the recovery information for the mark. The descriptive text for the mark must be complete - including approximate location, to reach, distances and directions from nearby objects and another information not shown in the header section. Geodetic data such as position or elevation must not be entered in the descriptive text section. NOTE-Always run neighbor (F5) for this type of mark. Its possible that the mark is in the NGSIDB, but no publishable description exists for the mark. This often happens if the mark is a reference mark, azimuth mark, or calibration baseline mark.

'T' is used to totally re-describe a mark that was recovered. The user will be required to fill out the PID and other information about the mark. The user has the option of populating the data from a dsdata sheet or directly from NGS via the internet. The text for the mark must be complete - including approximate location, to reach, and distances and directions from nearby objects.

'M' is used to modify data for a mark that is in the NGSIDB. The user will be required to fill out the PID and other information about the mark. The user has the option of populating the data from a dsdata sheet or directly from NGS via the internet. The text for this type of recovery is considered to be incomplete. Such phrases as 'RECOVERED AS DESCRIBED' are typical.

To load information from a DSDATA sheet file, click the 'DSDATA' button.

To view the point in an aerial view using Google Earth, click 'Aerial'

The user should input the information that is available for the mark in the appropriate boxes from left to right and from the top down. For instance, the user must enter the appropriate setting agency category before the setting agency drop-down box will be populated with the valid items.

The load checkbox indicates whether or not the description should be loaded into the NGSIDB. This function is primarily for NGS when loading several interconnecting parts of a project to avoid loading the same description twice. It is also helpful when the project is a combined GPS and level project and some of the points are used for both.

For 'Surface Marker Category', select the material to which the datum point applies rather than its setting. For instance, a disk clamped to the top of a rod would be 'D' and the disk type 'DD', 'DV', 'DH', etc. with the setting code one of the codes from 46-60.

NOTE-For marks set in concrete sign bases and concrete light pole bases, use setting code '34'. For setting phrase, use 'LIGHT POLE BASE' or 'SIGN BASE' as appropriate. Do not include the word 'CONCRETE' in the setting phrase. For marks set in curbs, pavements, sidewalks, patios and other concrete structures with little depth, use setting code '31' with setting phrase 'CURB', 'SIDEWALK', 'PATIO', etc.

For non drop-down boxes such as setting date, double-click to display the current date. For COP, double-click to retrieve the last saved data for this item. Many of the boxes display tool tip text to guide the user when entering data. Mandatory fields must be filled in before the user is allowed to advance to the descriptive text form. Not all fields shown above will be displayed for some types of descriptions. When data entry is complete, click 'Text' to proceed to the Text section or click 'Position' to enter the mark's horizontal and/or vertical position.

For Tidal Station Information, press the (F2) key. If the state code is present, a list of tidal stations for that state will appear. If the state code is blank, a list of all tidal stations will appear. Select the desired Tidal Station from the list and press OK. A web browser will appear showing the requested tidal station information.

To check the NGS IDB to see if a mark has already been loaded, use the neighbor function (F5). This will query the database via an internet connection and retrieve all marks in the vicinity.

To check the heading information against the NGSIDB, use the discrepancy function (F6) or (F7). This will display any discrepancies.

To view the Official NGS Datasheet for a mark, press the (F8) key. If a PID was in the PID box, the official datasheet will be displayed. If not, PIDs for marks in the nearby area will be displayed. Select the appropriate mark to display the official datasheet and load the PID.

To view all historical text for any mark with a PID, press the (F11) key.

To retrieve elevation data for any mark with a PID, press the (F12) key.

To search the CO-OPS database, press the (Shift) and (F2) keys. Select the criteria to search by.

To view the original web recovery info, press the (Shift) and (F3) keys.

To view the Geocaching Website, press the (Shift) and (F4) keys.

To view text of a parent station, press the (Shift) and (F5) keys.

To view a list of projects that use this mark, press the (Shift) and (F6) keys.

To view the magnetic declination for this location, press the (Shift) and (F7) keys.

To view street address information, press the (Shift) and (F8) keys.

To activate the function key pop-up menu, right-click on a blank place of the description form. The popup menu will be displayed:

If you wish to delete the particular description from the file, click the Delete button.

At the bottom of the form is the status bar which displays the status of spell checking, neighbor checking and discrepancy checking.

If digital photos for the mark exist, click '1', '2, '3' to view the particular photo. The photo must be named according to NGS's rules for naming digital photographs.

1-Close-up

2-Tripod height

3-Location

If multiple locations photos exist for a point, a selection box will be displayed for one to choose the photo to view or edit.

If you wish to view visibility diagram for a point, click the 'V' button at the bottom.

If you wish to view a photo for a point that is in the NGSIDB, click the 'W' button at the bottom and select the photo from the dropdown box.

If you wish to view a photo for a point that is in the GEOCACHING database, click the 'G' button at the bottom and select the photo to view.

The 'Quad' box may be left blank at this time. If left blank, the quad will be filled in after the user enters a horizontal position for the mark.

When modifying or re-describing a description of a mark in the NGSIDB, the user has the option of importing the description and data for a mark from a dsdata file or directly from NGS's website by clicking the 'DSDATA' button and selecting the state, county, and designation. The user should check the type(s) of data they wish to import by checking the appropriate selection(s).

Note: Data that is imported will overwrite existing data for that particular mark!

Click 'D-Sheet' to view the data in a dsdata sheet format.

Click 'Save' to save all data for the mark and empty the form. Press (F9) key to save the data without checking.

Click 'Cancel' to exit the form without saving changes.

After the information for the mark has been saved, the form will clear. Enter a new SSN and repeat the process. If the user wishes to 'carry' some of the information to another mark, click 'carry' and then enter the SSN for the new mark.

After a .dsc (D-File) has been created and checked, one can press the F4 key to view the error file and make corrections.


The Position Form

To store positional information about a mark, select 'Position' from the header form. The positional data input form will be displayed. If positional information has been stored for the point it will be displayed. Enter or modify the data as desired. If a position is entered as an East Longitude, it will be converted to a West Longitude. Note-The positional information stored here is not designed to replace horizontal or vertical project data files that are part of a project to be submitted to NGS. In the case of vertical control, the geographic position of the mark is used for general reference and not to be used as horizontal control. If the bench mark is not used in a GPS project, the geographic position of the mark should be determined by a hand-held GPS receiver to the nearest one-tenth of a second in latitude and longitude or from a differentially corrected hand-held position to the nearest one-hundredth of a second. For 'source' select 'S-Scaled unless a published value is available. Adjustment date is the date the data was adjusted by NGS. For more information, see 'Converting a Garmin File'.

If you right-click on a blank portion of the form, a pop-up menu will be displayed:

The F1 key will bring up position help.

If connected to the internet, the F2 key will get the position of the point from the NGS IDB. The F4 key will get the elevation for the point.

One can enter the state plane North coordinate in the Latitude box and SPC East coordinate in the Longitude box, the correct SPC zone in the first SPCS zone box, and then press F3. This will convert the SPC to geographic coordinates.

If the USGS quad box is empty on the description form and a position is entered and saved on this form, the UGSG quad name will appear on the header form.

At the bottom, select the SPCS Zones where the mark is located (optional). Up to 5 projection zones may be selected, not including the UTM zone for the mark. While this will not affect the final .dsc file, but it will allow the program to display preliminary coordinates for a point with the 'D-Sheet' function.

For marks that have new network relative accuracies, an 'N' will appear in the Horizontal Order Box. When the .des file is exported to a .dsc file, the Horizontal Order will be blank.

To get the elevation from the NGS IDB, press the F4 key or select it from the popup menu..

To convert a NAD 27 position to NAD83 (HPGN), press the F5 key or select it from the popup menu.

To predict a gravity value, press the F6 key or select it from the popup menu. For best results, an orthometric height should be present, but it is not required.

To import an OPUS solution, press the F7 key or select it from the popup menu.

To get interpolated Geoid height press F8.

To get NAD 27 position, press F9.

To get a position from a parent box score, press F10


The Neighbor Function

Neighbor

The Neighbor procedure will check the NGSIDB for all marks in the vicinity of the point in question to see if the particular point has already been described and loaded into the database. To run the procedure from the description header window, first make sure a position for the point has been entered in the position window. Then, simply press the 'F5' key. Windesc will use an internet connection to query the database for all neighboring marks and display them. If the current description matches one of the ones returned by the procedure, then the mark has already been loaded and the type of description should be a recovery.

Here is a sample display with the Distance and Direction option:

Here is a sample display with the VmNumber and UID option:

The neighbor procedure can also be run on the entire file by selecting 'WebTools>Neighbor for all Marks' from the main menu:

This will create a file with the .nbr extension.

To view a neighbor file, select 'View>Neighbor File' from the main menu:


Discrep

This procedure will query the NGSIDB to see if there are any discrepancies between the information in the header and the NGSIDB. This function only applies to recovered marks that are in the NGSIDB. To run Discrep, press the F6 key. The first column is the data item, the second column is the File value and the third column is the NGSIDB value. An internet connection is required for this function.

If discrepancies exist, the mark should be revisited or the photograph of the mark should be viewed to verify that the new data is correct.

If a list view of discrepancies is desired, press the F7 key:

Note: Discrepancies in this listing are between the .des file and the NGSIDB. Any changes to data in the description header window must first be saved to the file to make the proper comparison.

To use the IDB data for a particular item, click the 'No' on the line to change it to 'YES'. To use all IDB data, click 'USE IDB' and all IDB data will be used. Click 'Okay' to make the changes. Warning! Do not arbitrarily use IDB data! Your data may be correct and the IDB data may be wrong or missing.

If you wish to create a comma separated value file for importing into a spreadsheet, click the 'CSV' button.

Discrep can be run on the entire file by selecting 'WebTools>Discrep for all PIDs' from the main menu:

To view the discrepancy file, select 'View>Discrepancy File' from the main menu:


The Index File

The index file is a summary listing of control points. An example is shown below. To create the index file, click 'View>Index File' from the main menu:

                                            MARK LISTING FOR:  l27001  30 December 2009
                                                                                S              C H H H V V V V   P S   D L
                                                                                D R    T              O S O T S O C T G H P N I O
                                                                                / E    A              N R R E R R L E P O E B S A
SSN  PID    DESIGNATION                         LATITUDE      LONGITUDE       ELEVATION R C SC B RPT DATE COP D C D C C D S C S T L R C D
1001 JV0706 T 121                               N390956       W0763833         23.34710 R M 38 B 20071101 MRA G S   5 A 1 2 N N Y Y Y Y Y
1002 JV0709 Q 121                               N391140.3     W0763919.9       36.24710 R M 32 C 20071101 MRA G O 4 W A 1 2 N Y Y Y Y Y Y
1004 JV6656 FRIEND                              N390942.21202 W0763926.94134   29.88160 R M 07 C 20071101 MRA G A 0 G A 2 1 N Y Y Y Y Y Y
1005 AA9297 BWI F                               N391017.92645 W0763955.57814   47.70000 R M 07 C 20071101 MRA G A 1 G S     G Y Y Y Y Y Y
1006 JV6455 GPS LR 3                            N391131.15358 W0763942.22469   42.70000 R M 59 D 20071129 MRA G A 1 G V       Y Y Y Y Y Y
1007 AB6219 BWI D                               N391110.53909 W0763954.19473   47.08000 R M 07 C 20071107 MRA G A 1 G S     G Y Y Y Y Y Y
1008 DJ8997 562                                 N391102.86    W0764001.21               R F 49 B 20071107 MRA G O 4 X         Y Y Y Y Y Y
1009        561                                 N391058.28    W0763944.09               R F 49 B 20071107 MRA G O 4 X         Y Y Y Y   Y
1010        560                                 N391051.58    W0763937.79               R F 49 B 20071127 MRA G O 4 X         Y Y Y Y   Y
1011        559                                 N391046.82    W0763940.91               R F 49 B 20071101 MRA G O 4 X         Y Y Y Y   Y
1012        558                                 N391044.11    W0763943.32               R F 15 D 20071101 MRA G O 4 X         Y Y Y Y   Y
1023 DJ9002 BWI G                               N391107.10125 W0764028.72734            D   07 C 20071127 BJH   A 1 G         Y Y Y Y Y Y
1025 DJ9003 BWI H                               N391021.90839 W0764123.97124            D   07 C 20071127 BJH   A 1 5         Y Y Y Y Y Y
1026 JV3774 U 121                               N390928.5     W0763715.2       17.93790 R M 16 C 20071101 MRA G O 4 W A 1 2 N   Y Y Y Y Y
1027 DJ9004 JA 1                                N391021.78    W0763849.73               D   07 C 20071115 MRA   O 4 X         Y Y Y Y Y Y
1028 DJ9005 JA 2                                N391057.32    W0763907.48               D   07 C 20071115 MRA   O 4 X         Y Y Y Y Y Y
1029 DJ9006 MON 101                             N391018.29156 W0764033.80667   40.54458 R F 07 C 20071203 MRA G A 1 G O       Y Y Y Y Y Y
1030 DF8458 MARYLAND CENTER OF POPULATION       N390821.29261 W0764942.20211   78.90000 R M 07 C 20071127 BJH G A 0 G S     G Y   Y Y Y Y
1032 DJ9007 2036                                N390945.0     W0764024.5                R F 15 D 20071222 MRA G O 4 W         Y Y Y Y Y Y
9001 JV0707 S 121                               N391034       W0763857         24.12860 N   32 C 20071201 MRA N S     A 1 2 N     Y Y Y Y
9003 JV3830 L 136                               N390956       W0763832         28.05260 N   46 B 20071201 MRA N S     A 1 2 N     Y Y Y Y
9004 JV0713 A 21                                N391109       W0764031         46.32190 N   36 B 20071201 MRA N S     A 1 2 N     Y Y Y Y
9005 JV0712 HH                                  N391107       W0764029         46.45560 N   30 D 20071107 MRA N S     A 1 2 N     Y Y Y Y
9006 JV6520 P 121 RESET                         N391112       W0764002         48.75000 N   34 C 20071115 MRA N S     R 3   N     Y Y Y Y
9008 JV0717 J 4                                 N391200       W0763923         44.02540 N   07 C 20071101 MRA N S     A 1 2 N     Y Y Y Y
9009 JV3831 M 137                               N391035       W0763810         26.44340 N   16 C 20071201 MRA N S     A 1 2 N     Y Y Y Y
                             Marks without PIDs:    4                New marks set:      4
                             Marks with PIDs:      22                Recovered marks:   22
                                                 ----                                 ----
                             Total marks:          26                Total marks:       26
                                                                     Marks to load:     26

Col | Item
1-4 6-11 13-47 49 50-61 63 64-76 78-87 89 91 93-94 96 98-105 107-109 111 113 115 117 119 121 123 125 127 129 131 133 135 137 | Station Serial Number (SSN) Point Identity (PID) Designation N/S Hemisphere Geodetic Latitude (DDMMSS.sssss) E/W Hemisphere Geodetic Longitude (DDDMMSS.sssss) Orthometric Height (meters) DNR Code Recovery Type Code Setting Code Stability Code Setting/Recovery Date Chief-Of-Party Condition Horizontal Source Code Horizontal Order Horizontal Positioning Technique Vertical Source Code Vertical Order Vertical Class Vertical Technique GPS Suitability Photo on hard drive indicator Spelling Checked Neighbor Run Discrepancy Run Load description into the NGS IDB

To view quad names rather than the positions of the marks, first select 'Tools>Options>Index-Quad from the main menu:

                                            MARK LISTING FOR:  l27001  15 November 2018

                                                                                S              C H H H V V V V V   P S   D L
                                                                                D R    T              O S O T S O C T C G H P N I O
                                                                                / E    A              N R R E R R L E O P O E B S A GPS
SSN  PID    DESIGNATION                         LATITUDE      LONGITUDE       ELEVATION R C SC B RPT DATE COP D C D C C D S C D S T L R C D ID

1001 JV0706 T 121                               N390956       W0763833         23.3471  R M 38 B 20071101 MRA G S   5 A 1 2 N   N   Y Y Y N
1002 JV0709 Q 121                               N391140.3     W0763919.9       36.2471  R M 32 C 20071101 MRA G O 4 W A 1 2 N   Y   Y Y Y N
1004 JV6656 FRIEND                              N390942.21202 W0763926.94134   29.8816  R M 07 C 20071101 MRA G A 0 G A 2 1 N   Y   Y Y Y N FRND
1005 AA9297 BWI F                               N391017.92645 W0763955.57814   47.7     R M 07 C 20071101 MRA G A 1 G S     G   Y   Y Y Y N BWIF
1006 JV6455 GPS LR 3                            N391131.15358 W0763942.22469   42.7     R M 59 D 20071129 MRA G A 1 G V         Y   Y Y Y N
1007 AB6219 BWI D                               N391110.53909 W0763954.19473   47.08    R M 07 C 20071107 MRA G A 1 G S     G   Y   Y Y Y N BWID
1008 DJ8997 562                                 N391102.86    W0764001.21               R F 49 B 20071107 MRA G O 4 X           Y   Y Y Y N
1009        561                                 N391058.28    W0763944.09               R F 49 B 20071107 MRA G O 4 X           Y   Y Y   Y
1010        560                                 N391051.58    W0763937.79               R F 49 B 20071127 MRA G O 4 X           Y   Y Y   Y
1011        559                                 N391046.82    W0763940.91               R F 49 B 20071101 MRA G O 4 X           Y   Y Y   Y
1012        558                                 N391044.11    W0763943.32               R F 15 D 20071101 MRA G O 4 X           Y   Y Y   Y
1023        BWI G                               N391107.10125 W0764028.72734            D   07 C 20071127 BJH   A 1 G           Y   Y Y Y N BWIG
1025        BWI H                               N391021.90839 W0764123.97124            D   07 C 20071127 BJH   A 1 5           Y   Y Y Y N BWIH
1026 JV3774 U 121                               N390928.5     W0763715.2       17.9379  R M 16 C 20071101 MRA G O 4 W A 1 2 N       Y Y Y N
1027        JA 1                                N391021.78    W0763849.73               D   07 C 20071115 MRA   O 4 X           Y   Y Y Y N
1028 DJ9005 JA 2                                N391057.32    W0763907.48               D   07 C 20071115 MRA   O 4 X           Y   Y Y Y N
1029 DJ9006 MON 101                             N391018.29156 W0764033.80667   40.54458 R F 07 C 20071203 MRA G A 1 G O         Y   Y Y Y N
1032 DJ9007 2036                                N390945.0     W0764024.5                R F 15 D 20071222 MRA G O 4 W           Y   Y Y Y N

                             Marks without PIDs:    7                New marks set:      4
                             Marks with PIDs:      11                Recovered marks:   14
                                                 ----                                 ----
                             Total marks:          18                Total marks:       18

                                                                     Marks to load:      4

The index file can also be created in .csv format for viewing with Microsoft Excel® by clicking 'File>Export>Index (.csv)' from the main menu:


The Dsdata File

  • General
  • Import data from a dsdata file
  • Import data from NGS web site
  • Get datasheets for all PIDs
  • Export a dsdata file from the main menu

General

The Dsdata file is also known as the 'Digital Datasheet' and has a file extension of .dat. This file contains information about published geodetic control points for a given geographical area (usually a county or parish). The Windesc program can generate preliminary digital datasheets for use with other programs, but these are not designed to replace official published data available from NGS.

For specific information about the digital datasheet, please visit www.ngs.noaa.gov.

To import data from a dsdata file:

Select 'File>Import>Dsdata (.dat)' from the main menu. Select the .dat file and click 'Open.' A list of all marks in the dsdata file will be displayed. Select the mark(s) to be imported. Click 'Okay' Enter the SSN to be assigned to the first mark and click 'Okay'

To import a dsdata description directly from NGS' web site:

Select 'File>Import>From Internet'. Select the state and county. A list of marks will be displayed. The user can then select one or more mark descriptions to import. Note-any number of mark descriptions may be imported at once this way, but a large number may take a significant amount of time to import, especially through a dial-up connection. Up to 1000 marks may be imported via the internet.

To get datasheets for all PIDs:

Select 'WebTools>Get>Datasheets for all PIDs' from the main menu.

To export a dsdata file from the main menu:

Select 'File>Export>Dsdata'

This will create a preliminary dsdata file of all descriptions. Note: These are preliminary descriptions and are not intended to replace official information obtained from NGS.

If the mark is a horizontal control mark, a 'box score' will appear on the datasheet. The sighted points in the box score will include any that were on the original datasheet for the point plus any monumented marks in the file within 1 kilometer and any landmark marks in the file within 10 kilometers.

Here is a sample digital datasheet:

1        National Geodetic Survey,   Retrieval Date = MAY 8, 2012
 AJ8019 ***********************************************************************
 AJ8019  CBN         - This is a Cooperative Base Network Control Station.
 AJ8019  DESIGNATION - HOWELL
 AJ8019  PID         - AJ8019
 AJ8019  STATE/COUNTY- MD/TALBOT
 AJ8019  COUNTRY     - US
 AJ8019  USGS QUAD   - TRAPPE (1988)
 AJ8019
 AJ8019                         *CURRENT SURVEY CONTROL
 AJ8019  ______________________________________________________________________
 AJ8019* NAD 83(2007) POSITION- 38 38 43.80563(N) 076 03 30.02957(W)   ADJUSTED
 AJ8019* NAD 83(2007) ELLIP HT-   -19.780 (meters)        (02/10/07)   ADJUSTED
 AJ8019* NAD 83(2007) EPOCH   -  2002.00
 AJ8019* NAVD 88 ORTHO HEIGHT -    15.112 (meters)        49.58 (feet) ADJUSTED
 AJ8019  ______________________________________________________________________
 AJ8019  NAD 83(2007) X  -  1,201,773.560 (meters)                     COMP
 AJ8019  NAD 83(2007) Y  - -4,841,044.955 (meters)                     COMP
 AJ8019  NAD 83(2007) Z  -  3,961,644.746 (meters)                     COMP
 AJ8019  LAPLACE CORR    -         -3.55  (seconds)                    DEFLEC09
 AJ8019  GEOID HEIGHT    -        -34.91  (meters)                     GEOID09
 AJ8019  DYNAMIC HEIGHT  -         15.103 (meters)        49.55 (feet) COMP
 AJ8019  MODELED GRAVITY -     980,023.7  (mgal)                       NAVD 88
 AJ8019
 AJ8019  VERT ORDER - SECOND CLASS I
 AJ8019
 AJ8019  FGDC Geospatial Positioning Accuracy Standards (95% confidence, cm)
 AJ8019  Type                                         Horiz  Ellip  Dist(km)
 AJ8019  -------------------------------------------------------------------
 AJ8019  NETWORK                                       0.71   1.31
 AJ8019  -------------------------------------------------------------------
 AJ8019  MEDIAN LOCAL ACCURACY AND DIST (056 points)   0.90   1.68     52.93
 AJ8019  -------------------------------------------------------------------
 AJ8019  NOTE: Click here for information on individual local accuracy
 AJ8019  values and other accuracy information.
 AJ8019
 AJ8019
 AJ8019.The horizontal coordinates were established by GPS observations
 AJ8019.and adjusted by the National Geodetic Survey in February 2007.
 AJ8019
 AJ8019.The datum tag of NAD 83(2007) is equivalent to NAD 83(NSRS2007).
 AJ8019.See www.ngs.noaa.gov/web/surveys/NSRS2007 for more information.
 AJ8019
 AJ8019.The horizontal coordinates are valid at the epoch date displayed above
 AJ8019.which is a decimal equivalence of Year/Month/Day.
 AJ8019
 AJ8019.The orthometric height was determined by differential leveling and
 AJ8019.adjusted in November 2003.
 AJ8019
 AJ8019.Photographs are available for this station.
 AJ8019
 AJ8019.The X, Y, and Z were computed from the position and the ellipsoidal ht.
 AJ8019
 AJ8019.The Laplace correction was computed from DEFLEC09 derived deflections.
 AJ8019
 AJ8019.The ellipsoidal height was determined by GPS observations
 AJ8019.and is referenced to NAD 83.
 AJ8019
 AJ8019.The dynamic height is computed by dividing the NAVD 88
 AJ8019.geopotential number by the normal gravity value computed on the
 AJ8019.Geodetic Reference System of 1980 (GRS 80) ellipsoid at 45
 AJ8019.degrees latitude (g = 980.6199 gals.).
 AJ8019
 AJ8019.The modeled gravity was interpolated from observed gravity values.
 AJ8019
 AJ8019. The following values were computed from the NAD 83(2007) position.
 AJ8019
 AJ8019;                    North         East     Units Scale Factor Converg.
 AJ8019;SPC MD       -   109,077.274   481,973.052   MT  0.99995788   +0 35 27.7
 AJ8019;SPC MD       -   357,864.36  1,581,273.25   sFT  0.99995788   +0 35 27.7
 AJ8019;UTM 18       - 4,277,969.953   407,899.651   MT  0.99970446   -0 39 39.5
 AJ8019
 AJ8019!             -  Elev Factor  x  Scale Factor =   Combined Factor
 AJ8019!SPC MD       -   1.00000310  x   0.99995788  =   0.99996098
 AJ8019!UTM 18       -   1.00000310  x   0.99970446  =   0.99970756
 AJ8019
 AJ8019                          SUPERSEDED SURVEY CONTROL
 AJ8019
 AJ8019 NAD 83(1991)-  38 38 43.80547(N)     076 03 30.02955(W) AD(       ) A
 AJ8019 ELLIP H (02/12/02)  -19.769  (m)                        GP(       ) 4 1
 AJ8019 NAVD 88 (02/12/02)   15.1    (m)   GEOID99 model used   GPS OBS
 AJ8019
 AJ8019.Superseded values are not recommended for survey control.
 AJ8019.NGS no longer adjusts projects to the NAD 27 or NGVD 29 datums.
 AJ8019.See file dsdata.txt to determine how the superseded data were derived.
 AJ8019
 AJ8019_U.S. NATIONAL GRID SPATIAL ADDRESS: 18SVH0789977969(NAD 83)
 AJ8019
 AJ8019_MARKER: DD = SURVEY DISK
 AJ8019_SETTING: 7 = SET IN TOP OF CONCRETE MONUMENT
 AJ8019_STAMPING: HOWELL 1990
 AJ8019_MARK LOGO: MDSHA
 AJ8019_MAGNETIC: N = NO MAGNETIC MATERIAL
 AJ8019_STABILITY: C = MAY HOLD, BUT OF TYPE COMMONLY SUBJECT TO
 AJ8019+STABILITY: SURFACE MOTION
 AJ8019_SATELLITE: THE SITE LOCATION WAS REPORTED AS SUITABLE FOR
 AJ8019+SATELLITE: SATELLITE OBSERVATIONS - August 29, 2006
 AJ8019
 AJ8019  HISTORY     - Date     Condition        Report By
 AJ8019  HISTORY     - 1990     MONUMENTED       MDSHA
 AJ8019  HISTORY     - 20000515 GOOD             MDSHA
 AJ8019  HISTORY     - 20020205 GOOD             MDSHA
 AJ8019  HISTORY     - 20020624 GOOD             MDSHA
 AJ8019  HISTORY     - 20021002 GOOD             USPSQD
 AJ8019  HISTORY     - 20060829 GOOD             JMTMD
 AJ8019
 AJ8019                          STATION DESCRIPTION
 AJ8019
 AJ8019'DESCRIBED BY MARYLAND DOT HIGHWAY ADMINISTRATION 2000 (SFK)
 AJ8019'THE STATION IS LOCATED ABOUT 0.5 MILES (0.8 KM) SOUTH OF TRAPPE, AND
 AJ8019'6.9 MILES (11.1 KM) NORTH OF CAMBRIDGE. TO REACH THE STATION FROM THE
 AJ8019'INTERSECTION OF U.S.HIGHWAY 50 AND STATE HIGHWAY 565 IN TRAPPE, GO
 AJ8019'SOUTH ALONG U.S.HIGHWAY 50 FOR 0.4 MILES (0.6 KM) TO THE STATION ON
 AJ8019'THE LEFT IN THE GRASS MEDIAN. THE STATION IS A MARYLAND STATE SURVEY
 AJ8019'DISK SET IN THE TOP OF A 8 INCH ROUND CONCRETE MONUMENT WHICH IS FLUSH
 AJ8019'WITH THE GROUND. IT IS 50.0 FEET (15.2 M) EAST OF THE CENTER LINE OF
 AJ8019'THE SOUTHBOUND LANES OF U.S.HIGHWAY 50, 33.0 FEET (10.1 M) WEST OF THE
 AJ8019'CENTER LINE OF THE NORTHBOUND LANES OF THE HIGHWAY, 55.5 FEET (16.9 M)
 AJ8019'NORTH OF THE CENTER OF A CONCRETE DROP INLET, 70.0 FEET (21.3 M)
 AJ8019'SOUTHWEST OF POWER POLE NUMBER 33823-03463, AND ABOUT LEVEL WITH THE
 AJ8019'NORTHBOUND LANES OF THE HIGHWAY.
 AJ8019
 AJ8019                          STATION RECOVERY (2002)
 AJ8019
 AJ8019'RECOVERY NOTE BY MARYLAND DOT HIGHWAY ADMINISTRATION 2002 (SFK)
 AJ8019'RECOVERED AS DESCRIBED.
 AJ8019
 AJ8019                          STATION RECOVERY (2002)
 AJ8019
 AJ8019'RECOVERY NOTE BY MARYLAND DOT HIGHWAY ADMINISTRATION 2002 (NLE)
 AJ8019'RECOVERED AS DESCRIBED.
 AJ8019
 AJ8019                          STATION RECOVERY (2002)
 AJ8019
 AJ8019'RECOVERY NOTE BY US POWER SQUADRON 2002 (KGS)
 AJ8019'RECOVERED IN GOOD CONDITION.
 AJ8019
 AJ8019                          STATION RECOVERY (2006)
 AJ8019
 AJ8019'RECOVERY NOTE BY JMT ENGINEERING 2006 (BJB)
 AJ8019'RECOVERED IN GOOD CONDITION.


Taking Digital Photographs

Digital Photos

  • General Information

  • Photo Types

  • File Names

  • Captioning (Labeling)

Purpose

This document clarifies how passive mark photos (Bluebooking and Benchmark Recovery) are to be formatted and validated, given the configuration of the current National Geodetic Survey Integrated Database (NGSIDB) loading software. User requirements, software, loading procedures, and outreach should support the goals outlined below. Note: This document does not intend to supersede any contract requirements or preclude future improvements to the loading process, nor does it address the submission of photos of CORS stations or the use of photos in the newly developed OPUS-Projects software.

Why store photos?

Photos are optional, valuable addenda to survey control, capturing mark identification and setting condition and quality information useful for data processing, mark recovery, and appraisal for future use.

Resolution and format:

Photos should have a resolution no larger than 1024 x 768 pixels; photos that are too large will be automatically resized upon upload to the NGSIDB. Orientation (landscape vs portrait) and extents are unimportant, but the photo should be rotated to open in a heads-up view. The .JPG format is preferred, but not required as all images are converted to .JPG format upon uploading into NGSIDB.

To automatically resize a series of photos in a directory, Click 'Tools>AutoResize Photos' from the main menu. This procedure will automatically resize photos to the maximum size (1024x768). Photos smaller than this will not be affected.

To automatically crop a series of photos in a directory, Click 'Tools>AutoCrop Photos' from the main menu. This procedure will automatically crop photos to the maximum size (1024x768). Photos smaller than this will not be affected.

Content:

As photos will be available to the public, the subject matter shall be in good taste and professional in nature. Photos of questionable quality or content, including possible privacy or copyright concerns, or distracting detail (personnel, company logos, etc.) will be rejected during a pre-load review by NGS.

Requirements:

Photos are optional. However, should a user wish to submit them, then NGS encourages (but does not require) that each mark have a minimum of 3 photos, consisting of a close up, eye level and horizontal type. These are described below. The submitted photos must follow the naming convention laid out later in this document or they will not be loaded.

Photo types:

CLOSE-UP - A photo taken directly above the survey mark, approximately 14-16 inches away from the disk. Remove any equipment, dirt, debris, water, or snow to show a clear image of the complete mark. Avoid shadow lines crossing the disk. If there is a logo cap, the logo cap should be open to show the datum point. The intent of this photo is to clearly show the mark, its condition, and all stamping on the mark or logo cap so that it is clearly legible. The stamping must be upright (not rotated). The disk should take up about 60% of the photo. Do not place a caption on top of the disk!

EYE-LEVEL - A photo taken directly above the survey mark from eye level to show the monument and cover an area about 1 meter in radius, all around the mark. Remove any equipment, dirt, debris, water, or snow from the mark to clearly show the disk and the setting. If it has a logo cap, the logo cap should be open to show the datum point. The intent of this photo is to show the general condition of the mark and the immediate surrounding area, especially any condition that would be a threat to the stability or permanency of the mark.

HORIZONTAL - A daylight photo oriented horizontally, with the tripod or a target highlighting the mark location, and with reference objects, significant obstructions, or possible multi-path sources in view. Remember to record the direction the photo is facing.

File names

Provide each photo as an individual digital file, using the file name to identify the content. The general format for file names is PID- DESIGNATION- TYPE- DATE.jpg

  • PID is the NGS ID for the mark, if any, e.g., AB1234. For new marks without PIDs, leave this blank and begin the file name with the designation.
  • DESIGNATION is the official name for the mark, up to 25 characters.
  • TYPE Use -1- for close-up, -2- for eye-level, and -3DIR- for horizontal photos, with DIR indicating the direction the photo is facing, e.g., 3ENE for east-northeastward-looking. NOTE: a direction is required for horizontal photos due to the current configuration of the NGSIDB
  • DATE is the date photographed, in YYYYMMDD format.
  • Use dashes “-”to separate the above fields. Spaces are not permitted in the file name. Use an underscore “_” in lieu of spaces within fields. These separators are required to minimize UNIX file handling problems.

Examples of photos taken on 31 January 2006:

Existing Marks (with PID)

'AB1234-SMITH_RM_2-1-20060131.jpg' is a close-up photo of NGS mark AB1234
'AB1234-SMITH_RM_2-2-20060131.jpg' is an eye-level photo
'AB1234-SMITH_RM_2-3N-20060131.jpg' is a horizon photo looking north
'AB1234-SMITH_RM_2-3SW-20060131.jpg' is a horizon photo looking southwest
'AB1234-SMITH_RM_2-3ENE-20060131.jpg' is a horizon photo looking east-northeast

New Marks (no PID)

'SMITH_AZ_MK-1-20060131.jpg' is a close-up of new mark “SMITH AZ MK”
'SMITH_AZ_MK-2-20060131.jpg’ is an eye-level photo
'SMITH_AZ_MK-3N-20060131.jpg' is a horizon photo looking north
'SMITH_AZ_MK-3NE-20060131.jpg' is a horizon photo looking northeast
'SMITH_AZ_MK-3WSW-20060131.jpg' is a horizon photo looking west-southwest

Captioning

Captioning is optional, but if done, must conform to the following convention. Note that the PID is after the designation, spaces are used instead of underscores and commas are used to separate the data items instead of dashes. Place the label at the very bottom of the photo using the 'Standard label' editing tool.

Examples of photos taken on 31 January 2006:

Existing Marks (with PID)

'SMITH RM 2, AB1234, 1, 20060131' is a close-up photo of NGS mark AB1234
'SMITH RM 2, AB1234, 2, 20060131' is an eye-level photo
'SMITH RM 2, AB1234, 3N, 20060131' is a horizon photo looking north
'SMITH RM 2, AB1234, 3SW, 20060131' is a horizon photo looking southwest
'SMITH RM 2, AB1234, 3ENE, 20060131' is a horizon photo looking east-northeast

New Marks (no PID)

'SMITH AZ MK, 1, 20060131' is a close-up of new mark “SMITH AZ MK”
'SMITH AZ MK, 2, 20060131’ is an eye-level photo
'SMITH AZ MK, 3N, 20060131' is a horizon photo looking north
'SMITH AZ MK, 3NE, 20060131' is a horizon photo looking northeast
'SMITH AZ MK, 3WSW, 20060131' is a horizon photo looking west-southwest

To place or replace a caption using WinDesc or DSWorld while in the photo editor, click 'EDIT>LABEL>STANDARD' from the main menu or press 'CTRL L'.

Press 'CTRL S' to save the changes and exit.

To automatically label (caption) a series of digital photos in a directory, click 'Tools>Autolabel Photos' from the main menu:

WARNING: The photos must be at the proper size and properly named in order for the autolabeling process to work properly!


The Error File

The Error (.err) File

This file is created as a result of checking the .dsc file. To view the error file, select 'View>Error File' from the main menu:

Here is a sample .err file:

WINDESC CHECK (Version 4.05)
LISTING FILE for: F:\TestDSCFiles\MergeDsc\Merged.dsc
TYPE OF USER: IN-HOUSE NGS
STARTED: 05:53:16 Mon 08 January 2007
--------------------------------------------------------------------------------
--(WARNING) Job code blank.
--(WARNING) Possible phone number(s) found in descriptive text.
          Remove any personal or private phone numbers.
          SSN: 0005
--(WARNING) Possible phone number(s) found in descriptive text.
          Remove any personal or private phone numbers.
          SSN: 0009
--(WARNING) Possible phone number(s) found in descriptive text.
          Remove any personal or private phone numbers.
          SSN: 0013
--(WARNING) Extra carriage return(s) found in descriptive text.
          SSN: 0013
--(WARNING) Setting date [1965] is different from possible stamping date [1087]
          SSN: 1002
--(ERROR) Monument category code [J] is invalid.
          SSN: 1005
--(ERROR) Monument code [DV] is invalid for condition code [G]
          and monument category code [J]
          SSN: 1005
--(WARNING) Setting date [1965] is different from possible stamping date [1120]
          SSN: 1007
--(ERROR) County FIPS code [073] does not match
          county full name [DEUEL]
          SSN: 1008
--(ERROR) Monument category code [2] is invalid.
          SSN: 1016
--(ERROR) Monument code [DR] is invalid for condition code [G]
          and monument category code [2]
          SSN: 1016
--(WARNING) Setting date [1998] is different from possible stamping date [1974]
          SSN: 1019
--(ERROR) Monument code [DB] is invalid for condition code [G]
          and monument category code [O]
          SSN: 1021
--(ERROR) Monument category code [T] is invalid.
          SSN: 1022
--(ERROR) Monument code [DD] is invalid for condition code [G]
          and monument category code [T]
          SSN: 1022
--(WARNING) Text may contain historical text.
          Please remove any historical text from description.
          SSN: 2019
--------------------------------------------------------------------------------
END OF WINDESC CHECK LISTING   DESCRIPTIONS PROCESSED: 94
ERRORS: 49
WARNINGS: 49
THE FOLLOWING DESCRIPTIONS ARE MARKED FOR LOADING:
0001 0002 0004 0005 0006 0007 0008 0009 0010 0011 0012 0013 1002 1003 1004 1005
1006 1007 1008 1009 1010 1011 1012 1013 1014 1015 1016 1017 1018 1019 1020 1021
1022 1023 1024 1025 1026 1027 1028 1030 1031 1032 1033 1034 1035 1036 1037 1038
1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1053 1054
1055 1056 1057 1058 1059 1060 1061 1062 1063 1064 1065 1066 1067 1068 1069 1070
2005 2006 2007 2010 2011 2012 2014 2017 2018 2019 2022 2031 2032 2033
THE FOLLOWING DESCRIPTIONS ARE NOT MARKED FOR LOADING:
LOAD STATUS: NOT READY
COMPLETED: 05:53:18 Mon 08 January 2007

To print a portion of the error file, highlight the lines to be printed prior to selecting 'File>Print' from the viewing window.

One can print the .err file from the viewing window or view errors for a specific point from the description header window by pressing the F4 key.

Once all warnings have been addressed and all errors have been fixed in the .des file, export a new .dsc file and re-check it for errors. If no errors are found, the load status will change to 'READY'.


Viewing the Record Index

An index of the records in the .des file may be reviewed in the event of duplications.

To view the record index, select 'View>Record Index' from the main menu:

The record index will be displayed:

Record number 1 is the record that contains the project information. Records are always in order by record number, not necessarily by SSN. It is possible to duplicate SSN's or designations, but never record numbers. Each record is exactly 12775 bytes long and the file size is (Number of marks + 1) * 12775.


Creating a Target

It is best to use a target of some type to indicate the location of the mark in relation to reference objects in the area such as road centerlines, utility poles, buildings, inlets, curbs, bridge decks and the like. A sample target is shown below:

To create a target, cut one piece of 1"x6" shelving 24" long. Next, cut one piece of 4"x6" 8" long for a base. Fasten the 1"x6" to the end of the 4"x6" with three wood screws as shown.

Paint the face of the target with two coats of white enamel paint. When it the second coat has dried thoroughly use masking tape to cover the parts of the target that will remain white. The base of the arrow should be about 3" above the bottom of the target so that grass will not hide the point of the arrow. The flukes of the arrow should extend to points about 15" above the bottom of the target or about 12" above the point of the arrow. The stem of the arrow should be about 1-1/2" wide.

Next, paint the face of the target with two coats of black enamel paint.


Google

Aerial View

  • All Marks
  • Selected Marks
  • Neighbors
  • Towns

Marks

This file is used to plot monuments using Google Earth. It is created by selecting 'WebTools>Aerial View>All Marks' from the main menu:

Here is a sample view of a plotted file:

Horizontal controls are shown with triangles and vertical controls are shown with squares. If a mark has both, a triangle will be plotted.

Pink is A order, brown is B order, blue is first order, red is second order and black is new or no order indicated.

If the plotted positions do not line up with the aerial photography, a shift can be applied to the plotted positions.

Selected Marks

This procedure will plot only those stations that are selected from a list.

Select 'WebTools>Aerial View>Selected Marks' from the main menu. Then select the desired marks to view from the list and click 'OK'.

Neighbors

This procedure will plot all neighboring marks in the Google Earth view.

Select 'WebTools>Aerial View>Neighbors' from the main menu.

Neighboring mark information will be retrieved from the NGS IDB.

Google Earth will appear with all neighboring marks indicated by Green, Yellow, or Red dots. Green indicates a mark that was set or recovered in good conditions. Yellow indicates a mark that was reported as 'not recovered'. Red are marks that were reported destroyed.

A neighbor file will be created in the same directory as the description file.

The .des file neighbor indicator will be changed to 'Y' for all marks.

Towns

This procedure will show all towns for a given state or all towns in a Towns.txt file as red dots.

Select 'WebTools>Aerial View>Towns' from the main menu.

'By State' will display all towns in the Towns.txt fle for a particular state.

'From File' will display towns from a USGS populated place file.


The .dsc File

Table of Contents

  • General
  • Opening a .dsc File
  • Exporting a .dsc File
  • Checking a .dsc File
  • Merging Multiple .dsc Files

General

This file format was developed by the National Geodetic Survey (NGS) and is thoroughly documented on their website: www.ngs.noaa.gov. A copy of this documentation is also in this help file.

Project submittals to NGS must contain a description file in this format. NGS will only accept description files in the .dsc and the .des formats.

Opening a .dsc File

To open and convert a d-file to a .des file, select 'File>Open' from the main menu and change the file type to .dsc:

Exporting a .dsc File

To create a d-file of all marks from the main menu, select 'File>Export>D-File> (.dsc)>All Marks'.

This will create a d-file and index file in the working directory. Currently, no ellipsoidal or geoidal data will be saved to the d-file. After exporting the d-file, prior to submitting to NGS, one should check the d-file using the d-file checking tool to insure that the file is adequate for submittal.

To create a d-file of selected marks from the main menu, select 'File>Export>D-File>Selected Marks'. A file dialog box will appear. Enter the name of the file to be exported. Next, a selection box showing the stations in the .des file will appear. Select the stations to be exported to the new D-File.

Checking the D-File (.dsc File)

To check a .dsc file, select 'Check>D-File (.dsc File)' from the main menu:

Next, select the .dsc file to be checked.

A dialog box will appear:

If you are an NGS employee working in the Silver Spring headquarters click 'Yes', otherwise click 'No'

During the checking process, a dialog box will appear indicating the SSN of the description being checked. Upon completion, a message box will appear indicating the number of description checked, the number of errors encountered, and the number of warning messages. The error file created will have the same filename as the .dsc file with a '.err' extension. This file may be viewed and printed within the program or with any editor.

The error file will also contain a listing of SSNs that are marked for loading and a list of those that are not. For NGS HQ personnel, the error report will also indicate the load status of the file.

Merging Multiple .dsc Files

To merge multiple .dsc files into a single .dsc file, selecte 'File>Merge>.dsc Files' from the main menu:

Next, select the .dsc files to be merged.

Next, enter the name of the merged .dsc file to be created in the file save dialog.


Importing Descriptions from NGS

Importing OPUS descriptions

This procedure is designed for NGS personnel only.

First, map the UNIX drive via samba.

Next, start WinDesc and click 'File>New' from the main menu:

A standard file dialog will appear. Enter a filename for the .des file and click 'save'

Next, click 'File>Import>OPUS (.xml)' from the main menu:

Another file dialog will appear.

Select the .xml file to import and click 'Open'. The description will be imported and save to the next unused SSN. Edit the description as necessary.

Once all editing has been completed, export and check the .dsc file. Fix any errors found and re-export as necessary. Once this is completed the .dsc file can be loaded into the NGS IDB using load_desc.


The B-File

The HZTLOBS file, also known as the b-file, is a collection of measurement, instrument, and data records that conform to BLUEBOOK specifications. Typically, this type of file is created for submittal to NGS and contains GPS and/or conventional horizontal surveying measurements. It is an ASCII file of records of 80 characters in length. For additional information, visit NGS's website at: www.ngs.noaa.gov

To import the b-file, select 'File>Import>HZTLOBS (B-File) from the main menu. If no project title information exists in the description file, it will be read from the b-file. Geographic positions, orthometric heights, ellipsoidal heights and geoid heights will also be read from the b-file and stored.

Here is a sample HZTLOBS (B-File)

000010*QQ*HZTLOBS MDSHA MARYLAND STATE HIGHWAY ADMINISTRATION 20031218
000020*10*US 50 /301 HORIZONTAL FIRST ORDER DENSIFICATION
000030*12*200206200311NLENEIL EPPIG 4MD10
000040*13*NORTH AMERICAN DATUM-83 GRS-80 63781370002982572221
000050*25*0001A1682AZ183SFK20310829
000060*26*
000070*27*00010206171738 2000 C C MM00000
000080*27*00010206171826 2000 C C MM00000
000090*25*0041A1682AQUAZGLM32310384
000100*26*
000110*27*00410206171735 2000 C C MM00000
000120*27*00410206171825 2000 C C MM00000
000130*25*0009A1682AB119DLW32110391
000140*26*
000150*27*00090206171738 2000 C C MM00111
000160*27*00090206171826 2000 C C MM00111
000170*25*0016A1682AD119KWA28810390
000180*26*
000190*27*00160206171738 2000 C C MM00110
000200*27*00160206171838 2000 C C MM00110
000210*25*0024A1682AHEAZDHW19410395
000220*26*
000230*27*00240206171739 2000 C C MM00100
000240*27*00240206171828 2000 C C MM00100
000250*25*0024A1692AHEAZDHW19410395
000260*26*
000270*27*00240206181409 2000 C C MM00100
000280*27*00240206181458 2000 C C MM00100
000290*25*0025A1692AHEB2SFK20310829
000300*26*


New Page 1

Importing Description From Another .des File

To import selected descriptions from another .des file, select 'File>Import>From Another .des File' from the main menu:

Next, select the descriptions to import from the list. If the SSN matches an SSN in the current file, the current description will be replaced by the imported one.


Importing Descriptions from NGS

Importing Descriptions from NGS via the Internet

To import descriptions from NGS website select "File>Import>From Internet"

Next, select 'By County', 'By Lat, Lon, Radius', 'By Project Limits', 'By Project' or 'By List of PIDs.

If 'By County' is selected, the user will be prompted for the state and county.

Note: States list alphabetically by abbreviation and will include states or regions of other countries.

The software will attempt to retrieve a mark listing from NGS via the internet. If you are using a proxy server, it may prompt the user for a userid and password. Next, select the types of data to be imported:

Select OK. The program will attempt to import a list of marks from the NGS website as shown:

Select the mark or marks to import and click OK. If a large number of marks are selected, it may take a significant amount of time to retrieve the data!

If the user selects 'By Lat, Lon, Radius', this dialog will appear:

Enter the Latitude, Longitude, and radius. Latitude must be six digits (nearest second) with no spaces or dashes. Longitude must be seven digits (nearest second) with no spaces or dashes. Radius should be less than 20 miles. The larger the radius, the more marks will be retrieved and the longer the process will take.

If the user selects 'By Project Limits', data will be retrieved within the project limits specified on the project information form.

If the user selects 'By Project', the user must enter the project ID such as L26859 or GPS123.

If the user selects 'By List of PIDs' another selection will be displayed:

For published points, select 'Pub'

For published and non-published points, select 'All'

The user will then be shown a blank form for PID input.

Up to 1000 marks may be downloaded using these routines. Progress is about 100 marks in 3.5 minutes.


Importing Descriptions from NGS

Importing Web Recoveries

This procedure is designed for NGS personnel only.

First, map the UNIX drive via samba.

Next, start WinDesc and click 'File>New' from the main menu:

A standard file dialog will appear. Enter a filename for the .des file and click 'save'

Next, click 'File>Import>Web Recoveries' from the main menu:

Another file dialog will appear:

Hold the 'shift' key down and select the files to import, or click 'Select All' to select all files in the directory. Once the files are selected, click ''Ok' to begin the procedure. A recovery description for each file will be created and any information not contained in the file for that particular PID will be imported from the NGS IDB automatically. In addition, any descriptive text will be formatted as well. Most unneeded text will be automatically deleted as part of the process. In addition, a summary listing of each file name, submitter and email address will be created and saved to a 'ContribList.rpt' file.

IMPORTANT NOTE: The importation process performs a lot of functions and will take some time to complete. A cable or DSL connection is recommended. To import a group of 2000 files will take about 10 minutes.

Once the import process is complete, one should go through each description and make any changes that are necessary. To see what the original submitted text was, press 'SHIFT F3' from the description header window, or select from a popup menu. One can view the header, descriptive text, position and original web report at the same time if desired.

Any geodetic coordinates found in the descriptive text will be converted to DMS format if necessary and shown in parentheses at the end of the descriptive text. This position should be updated in the position form and the text in the text window deleted.

Be sure to run spell check, descrep, and 'Check Recovery Dates for all Marks'. Remove any duplicate recoveries.

Once all editing has been completed, export and check the .dsc file. Fix any errors found and re-export as necessary. Once this is completed the .dsc file can be loaded into the NGS IDB using load_desc.


Exporting GPS Project Files

Prior to creating GPS Project files, be sure the following has been done:

1) Create or open a .des file.
2) Click 'WebTools>Get>Positions for all PIDs from the main menu. This will retrieve the current position, ellipsoid height, orthometric height and error estimates for each PID from the NGS IDB. If a scaled position for a point is in the NGS IDB and the file contains a better position, the file position will not be overwritten.

This procedure will create adjustment files and bluebook files. Select 'File>Export>GPS Project Files' from the main menu:

Next, review/edit the project data:

Note: The Semi-Major Axis, Inverse of Flattening, and/or Semi-Minor Axis of the ellipsoidal will appear when leaving the Ellipsoid box.

Next, click 'Okay' to continue.

Next, select the stations that are part of the GPS project (do not include stations where no GPS observations were made).

Next, select a single station to be held fixed in the horizontal free adjustment.

Next, select the marks to be constrained for the horizontally constrained adjustment.

Next, select a single mark for the vertically free adjustment, usually a bench mark.

Next, select a single mark to be constrained horizontally in the vertically free adjustment.

Next, select the marks to constrain for the vertically constrained adjustment.

The a-files, b-file, and serfile will be created.


The GEODDESC File

The GEODDESC File (.ha, .lst)

The GEOD DESC file or unified description file is an ASCII file of description information in 'BLUEBOOK' format. This type of file has been replaced by the .dsc file and will no longer be accepted by NGS. The Windesc program is able to read and write this type of file. Note-some data items stored in the .dsc and .des files are not supported by the old format and will not be saved in that format.

To open and convert a unified description file, select 'File>Open>GEODDESC (.ha, .lst)' from the main menu. Select the file to be opened.

To export data to a unified description file, select 'File>Export>GEODDESC (.ha, .lst)' from the main menu.

Here is a sample GEOD DESC file:

000010*QQ*GEODDESCMDSHA MARYLAND STATE HIGHWAY ADMINISTRATION 20041212
000030*01*US 50 /301 HORIZONTAL FIRST ORDER DENSIFICATION
000040*10*0011RMN392405W075521523.081 M MDCECIL JU4121
000050*13*CECILTON C 0000
000060*20* C/MDSHA 20020627NLE G
000070*26*07/ DH O C NGS
000080*28*CECILTON 1990
000090*30*RECOVERED AS DESCRIBED.
000100*10*0012RFN384710W076033616.656 M MDTALBOT
000110*13*CHAPEL C 0000
000120*20*C/MDSHA 1990 C/MDSHA 20020624NLE G
000130*26*30/CONCRETE DROP INLET DD O D MDSHA
000140*28*CHAPEL 1990
000150*30*THE STATION IS ABOUT 1.0 MI (1.6 KM) NORTHWEST OF EASTON ON THE
000160*30*MARYLAND STATE HIGHWAY ADMINISTRATION RIGHT-A-WAY. TO REACH THE
000170*30*STATION FROM THE INTERSECTION OF US RTE 50 AND MD RTE 404 GO 9.9 MI
000180*30*(15.9 KM) SOUTHEAST ON US RTE 50 AND FROM THE INTERSECTION OF US RTE
000190*30*50 AND MD RTE 331, GO 0.9 MI (1.4 KM) NORTHWEST ON US RTE 50 TO THE
000200*30*STATION IN THE GRASS MEDIAN STRIP. THE STATION IS A STANDARD SHA
000210*30*DISK SET IN THE SOUTHWEST CORNER OF A CONCRETE DROP INLET. IT IS
000220*30*11.0 FT (3.4 M) WEST OF THE NORTHBOUND LANES OF US RTE 50 AND
000230*30*15.5 FT (4.7 M) EAST OF THE SOUTHBOUND LANES OF US RTE 50.
000240*10*0013RMN393200W075482516.882 M MDCECIL AJ7992
000250*13*CITY C 0000
000260*20* C/MDSHA 20020626NLE G
000270*26*07/ DD N C MDSHA
000280*28*CITY 2000
000290*30*RECOVERED AS DESCRIBED.
000300*10*0014RMN391625W075512218.156 M MDKENT JU4399
000310*13*CLARK C 0000
000320*20* C/MDSHA 20020626NLE G
000330*26*07/ DD N C MDSHA
000340*28*CLARK 1989
000350*30*RECOVERED AS DESCRIBED WITH THE FOLLOWING CORRECTION. THE STAMPING
000360*30*ON THE DISK IS CLARK 1989.
000370*10*0015RMN391613W075505917.992 M MDKENT JU4400
000380*13*CLARK AZ MK C 0000
000390*20* C/MDSHA 20020626NLE G
000400*26*07/ DD N C MDSHA
000410*28*CLARK AZ 1989
000420*30*RECOVERED AS DESCRIBED.
000430*10*0016RMN382410W075380313.807 M MDWICOMICO HU0612
000440*13*D 119 C 0000
000450*20* C/MDSHA 20020531NLE G
000460*26*16/ DB O C CGS
000470*28*D 119 1971
000480*30*RECOVERED AS DESCRIBED.
000490*10*0017RMN390105W076044016.925 M MDQUEEN ANNES JV7261
000500*13*DENBEIGH C 0000
000510*20* C/MDSHA 20020529NLE G
000520*26*07/ DD N C MDSHA
000530*28*DENBEIGH 1989
000540*30*RECOVERED AS DESCRIBED WITH THE FOLLOWING CORRECTIONS. THE METAL
000550*30*GATE, FENCE LINE, AND POWER POLE ARE NOW GONE. THE STATION IS NEAR
000560*30*THE CORNER OF A POND AND A PLOWED FIELD. FOUR FOOT TALL CUT-OFF
000570*30*TELEPHONE POLES ARE OLD GATE POSTS. SINCE THE LAST DESCRIPTION AN
000580*30*UNDERGROUND POWER LINE WAS ESTABLISHED ADJACENT TO THE MONUMENT. THE
000590*30*CURRENT ELEVATION IS BELIEVED TO BE IN ERROR BY APPROXIMATELY
000600*30*0.09 FT (0.0 M) LOW.
000620*QQ*


The Street Atlas File

The description program can generate a script file that can be read by the Street Atlas® program for plotting control on electronic maps. To create the script file, select 'File>Export>Street Atlas (.txt)'. Here is a sample of plotted points in the Street Atlas Program:


The Handheld Position File

  • Creating
  • Converting

Creating the Handheld Position File

The handheld position file is a file used by NGS to import handheld GPS positions for existing marks into the NGSIDB. Only marks that have PID's can be imported in this manner.

To create a handheld position file:

Select 'File>Export>HandHeld Pos (hh.txt)' from the main menu. This will create the file in the same directory as the .des file. The file can then be submitted to NGS via email.

Here is a sample of a typical handheld position file:

HV0130|H 126|N385839.3|W0760757.8|HH2|MDSHA|20090110|MRA|G
JU1339|K 77|N390043.7|W0755939.7|HH2|MDSHA|20090110|MRA|G
HV0140|Q 75|N385906.4|W0760854.0|HH2|MDSHA|20090110|MRA|G
HV0311|R 122|N385931.8|W0760856.9|HH2|MDSHA|20090110|MRA|G

Columns 6-9 are optional. Only positions that have been assigned PID's may be loaded in the NGS IDB.

Converting a HH File to a hh.dsc File

To convert a HH File to a HH.dsc file, Click 'Tools>Convert HH to HH.dsc' from the main menu:

The HH.dsc file is a file in .dsc format designed to be loaded by the load_desc program. During the conversion process, the following things are checked:

1. There are at least 5 columns of data separated with pipe characters.

2. Each PID is valid.

3. Each PID matches the designation in the IDB.

4. Each Latitude and Longitude is valid.

5. Each latitude and longitude is within 35 seconds of the IDB value.

6. Each HH type is valid.

7. Each agency symbol is valid.

8. Each recovery date is valid, if present.

9. Each recovery COP is valid, if present.

10. Each condition is valid, if present.


Table of Contents

  • Plotting Marks
  • Plotting G-File Vectors

Plotting Marks

To create a plot of all marks in the description file, select 'File>Plot' from the main menu. Only those marks that have a stored position will be plotted.

Horizontal marks will be plotted as triangles, vertical marks will be plotted as squares, new marks will be plotted as 'X's. Blue indicates first order, red is second order, and black is third order.

To zoom in or out either click from the plot menu or drag a rectangle around the desired area.

To locate a particular mark select 'Find' from the plot menu and enter the SSN or the designation of the mark.

To change plotting options, select 'Options' from the Plot Menu:

To edit a particular mark, right-click on the point to display a pop-up menu. Then left-click 'Edit'.

To view a photo of the mark, select 'photo' and the type of photo from the popup menu:

To view a datasheet of the point, click 'D-Dheet'

To compute state plane coordinates, click 'GPPC'

To inverse between two points, right-click on the first one and select 'Inverse' from the popup menu. Then left-click on the mark to inverse to.

To delete the description for a point, click 'Delete' on the popup menu.

Plotting G-File Vectors

To plot the g-file vectors, the g-file name must have the same base filename as the .des file with a '.gfl' file extension and be located in the same directory as the .des file. Make sure the 'Options>Plot>G-File Vectors' menu item on the plotting window is checked.


Getting Positions From a Delimited Text File

First, remove any header lines from the file using a text editor such as Notepad and save the file. Next, Select 'Tools>Get Positions/Data From>a Delimited Text File' from the main menu:

Select the file to be imported. Next, a dialog box will appear showing the first line of the file and a series of drop-down boxes as shown:

Identify the type of data in each column. Next, select the type of delimiting character used. If state plane coordinates are used, the SPC zone input box will be displayed.

Click 'Okay' to import the data. If the mark is already in the .des file, the position will be upgraded. If not, a new description will be created using the PID, designation, and position from the delimited file.


To Get Positions from a Garmin File

Select "Tools>Get Positions/Data From a Garmin File" from the main menu as shown below:

This procedure will load positions from a Garmin file of handheld positions. If the PID in the Garmin File matches one in the .des file, and the position in the .des file is a scaled position or there is no position, the position in the .des file will be upgraded. If it is not found, a new description for the point will be created.

If the Garmin File does contain a designation for a point but no PID, then the .des file will be searched for a matching designation. If one is found and contains a scaled position or no position, the position will be upgraded. If it is not found, a new description will be created.


Getting Positions from a .gpx File

This procedure will allow the import of geographic positions from any .gpx file. A .gpx file is a standard file that can be created by most hand held GPS software such as Garmin Mapsource®. If the PID and Designation for a mark are already in the .des file, the position will be upgraded. If not, a new description for the point will be created and the position, PID, and Name will be stored.

To get positions from a .gpx file, select 'Tools>Get Positions From> a .gpx file' from the main menu:


Getting Positions From a .kml File

Select 'Tools>Get Positions/Data from...>a .kml File' from the main menu:

Select the file to be imported. If the positions in the .kml file are better than the .des file, they will be updated. The number of updated marks will be displayed.


Getting PIDs from the Load File

Getting PIDs from the Load File or Restart File

This procedure is designed for the personnel at NGS HQ.

To extract PIDs from the file created from the loading process, select 'Tools>Get PIDs from Load File' or 'Tools>Get PIDs from Restart File' from the main menu:

Next, a file dialog box will appear showing all files in the current directory with a .ld extension. Select the desired load file. The corresponding PIDs assigned from the loading process will be loaded into the .des file. To view a PID from the description header window, press the F10 key.


Geodetic Inverse

Geodetic Forward/Inverse

To compute a position from a known point or to compute the distance and azimuth between two point, select 'Tools>Geodetic Forward/Inverse' from the main menu:

Next, select the 'Geodetic Forward' or 'Geodetic Inverse' as appropriate.

Next, enter the station name, latitude, and longitude of the from station, or select from stations in the description file using the dropdown arrow.

For Geodetic Forward, enter the 'To Station' name. Then, enter the geodetic azimuth and distance from the starting station and click the 'Comp' button. The latitude and longitude of the 'To Station' will be computed and displayed along with the back azimuth. After the new position is computed for the 'To Station', you can save the position to the appropriate description by selecting the proper SSN and clicking the 'Save Position to File' button.

For Geodetic Inverse, enter the Station name or select a station in the file from the dropdown. Enter the latitude and longitude if necessary. Then click the 'Comp' button. The forward azimuth, back azimuth, and ellipsoidal distance will be computed and displayed.


Graphic Positions to State Plane and UTM

Graphic Position to State Plane or UTM Coordinates

This routine will compute state plane or UTM coordinates from Latitude and Longitude.

Select Tools>Geographic to State Plane and UTM from the main menu.

The GP-PC dialog will appear. In the "Settings" frame, select the appropriate option. For State Plane Coordinates, select the desired project zone. For UTM coordinates, the correct UTM zone will be determined from the keyed-in Longitude.

Next, enter the Latitude and Longitude for the point in question. You can also get the Latitude and Longitude from a point that has been stored in the description file. The format must be either DD-MM-SS.sssss. (Note-You can also use a comma or space to separate degrees and minutes and minutes and seconds.) After the Longitude is keyed-in, press Enter or Tab to perform the computation. If you want the combined factor to be computed, you must enter an elevation and geoid height. Once the Latitude and Longitude has been entered, one can change the projection zone if desired.

To compute Latitude and Longitude from plane coordinates, first select the appropriate zone. Next, delete any entries for the latitude and longitude input boxes. Next, enter the North and East coordinates in the appropriate boxes. Press the F3 key to perform the computation. If UTM coordinates were used, the user will be prompted for the UTM zone.

To save the computed Latitude and Longitude to a point description, enter the SSN of the point and click 'Save'.

Note-The program uses the zones.txt file to compute data for a given zone. This file is found in the installed program directory.


Unix to DOS / DOS to Unix Conversion

This process will change carriage-return line-feed sequences found in the DOS version of a file to line-feed sequences in a unix file and vise-versa. For most text files, this change is performed with a single command on the entire contents of the file. The .des file is not designed to work on Unix systems and therefore cannot be converted. When exporting a .dsc file in version 4.04 and later, only the unix version will be created. Version 4.04 and later can read either the DOS or unix versions of the .dsc file.

To convert a from one system format to another:

Select 'Tools>Convert>File from DOS to Unix' from the main menu as shown:

Select the file to be converted:

If you wish to convert a different file type, click the down arrow opposite 'Files of type:' to reveal 'All Files'.


Listing Options

Options

Auto Clipboard - When checked, this will automatically populate the Windows Clipboard with the PID from the description header window. This allows one to easitly paste the PID into any other document or window.

To change the background picture, select 'Tools>Options>Background Picture' from the main menu and select the .jpg file of your choice.

To change the Windesc.ini file or the Defaults.txt file, select 'Tools>Options>Change Program Defaults' from the main menu.

To change the font of the text displayed in various reports and windows, select 'Tools>Options>Text Font' from the main menu.

To adjust the ftp timeout setting, select 'Tools>Options>FTP Timeout' and enter the desired number of seconds.

To display USGS quad names in the index file instead of the Latitude, Longitude and elevation, Select 'Tools>Options>Index-Quad' from the main menu.

To have marks list in order of their SSN, select 'Tools>Options>List by SSN'

To have mark list in alphabetical order, select 'Tools>Options>List by Designation'

To have the neighbor list contain distance and direction, select 'Tools>Options>Neighbor with Distance and Direction'.

To have the neighbor list contain VmNumber and UID, select 'Tools>Options>Neighbor with UID'.

To suppress the photo renaming prompt, select 'Tools>Options>Suppress Photo Rename Prompt'.

To suppress the 3-paragraph check, check this item. 3-Paragraph format is expected for new mark descriptions.

To suppress the 9000 SSN check, check this item. The 9000 series SSNs are generally used for not recovered and destroyed descriptions.

To suppress the PIDs message box at startup, uncheck the 'View PIDs Message on Startup'.


Converting a Garmin Waypoint Fil

Converting a Garmin Waypoint File

To convert a Garmin waypoint file to a HH file for uploading into the NGSIDB select 'Tools>Convert>Garmin to HH' form the main menu:

Here is a sample Garmin Waypoint File:

Grid	Lat/Lon hddd°mm'ss.s"
Datum	NAD83
Header	Name	Description	Type	Position	Altitude	Depth	Proximity	Temperature	Display Mode	Color	Symbol	Facility	City	State	Country	Date Modified	Link	Categories
Waypoint	001	K 120 RESET	User Waypoint	N38 28 10.8 W76 17 36.3	5 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	002	TIDAL 4	User Waypoint	N38 28 32.8 W76 17 11.5	10 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	003	TIDAL 1	User Waypoint	N38 28 32.4 W76 17 08.6	22 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	004	TIDAL 2	User Waypoint	N38 28 32.2 W76 17 09.5	3 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	005	TIDAL 3	User Waypoint	N38 28 31.5 W76 17 09.0	18 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	008	PARSONS CREEK	User Waypoint	N38 29 30.0 W76 15 15.6	26 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0002	S 61	User Waypoint	N38 34 14.4 W76 03 47.4	20 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0004	T 61	User Waypoint	N38 35 28.0 W76 02 49.7	15 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0006	V 61	User Waypoint	N38 36 55.9 W76 03 09.9	56 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0009	T 127	User Waypoint	N38 38 32.0 W76 03 29.3	45 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0011	Y 61	User Waypoint	N38 39 18.1 W76 03 20.6	66 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0013	Z 61 RESET	User Waypoint	N38 40 09.5 W76 03 19.2	44 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0016	U 127	User Waypoint	N38 41 47.8 W76 03 35.9	63 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0117	Q 126	User Waypoint	N38 54 08.4 W76 03 43.3	53 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0019	C 62	User Waypoint	N38 42 44.9 W76 03 51.1	51 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0023	L 127	User Waypoint	N38 44 57.9 W76 04 17.8	32 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0114	V 126	User Waypoint	N38 51 40.0 W76 03 38.8	-41 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0115	S 126	User Waypoint	N38 52 20.2 W76 03 41.1	52 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0234	H 120	User Waypoint	N38 33 23.9 W76 03 21.9	18 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0235	J 120	User Waypoint	N38 33 38.8 W76 04 01.0	33 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0275	B 124	User Waypoint	N38 30 54.5 W76 08 04.6	17 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0276	C 124	User Waypoint	N38 30 21.0 W76 08 57.3	-4 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0277	D 124	User Waypoint	N38 30 07.5 W76 09 10.2	11 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0288	TIDAL 1 STA 20	User Waypoint	N38 30 38.6 W76 13 12.8	17 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV0437	W 124	User Waypoint	N38 28 26.5 W76 16 31.2	8 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV7767	J 124	User Waypoint	N38 27 25.3 W76 15 29.3	27 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV8271	B 170	User Waypoint	N38 35 30.7 W76 02 50.3	15 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV8884	R 126 RESET	User Waypoint	N38 53 12.6 W76 03 41.8	26 ft				Symbol & Name	Unknown	Flag, Blue
Waypoint	HV8888	S 127 RESET	User Waypoint	N38 37 25.9 W76 03 29.9	27 ft				Symbol & Name	Unknown	Flag, Blue

Note: Tab characters separate each column of data.

Here is the resulting HH file:

HV0002|S 61|N383414.4|W0760347.4|HH2|MDSHA
HV0004|T 61|N383528.0|W0760249.7|HH2|MDSHA
HV0006|V 61|N383655.9|W0760309.9|HH2|MDSHA
HV0009|T 127|N383832.0|W0760329.3|HH2|MDSHA
HV0011|Y 61|N383918.1|W0760320.6|HH2|MDSHA
HV0013|Z 61 RESET|N384009.5|W0760319.2|HH2|MDSHA
HV0016|U 127|N384147.8|W0760335.9|HH2|MDSHA
HV0117|Q 126|N385408.4|W0760343.3|HH2|MDSHA
HV0019|C 62|N384244.9|W0760351.1|HH2|MDSHA
HV0023|L 127|N384457.9|W0760417.8|HH2|MDSHA
HV0114|V 126|N385140.0|W0760338.8|HH2|MDSHA
HV0115|S 126|N385220.2|W0760341.1|HH2|MDSHA
HV0234|H 120|N383323.9|W0760321.9|HH2|MDSHA
HV0235|J 120|N383338.8|W0760401.0|HH2|MDSHA
HV0275|B 124|N383054.5|W0760804.6|HH2|MDSHA
HV0276|C 124|N383021.0|W0760857.3|HH2|MDSHA
HV0277|D 124|N383007.5|W0760910.2|HH2|MDSHA
HV0288|TIDAL 1 STA 20|N383038.6|W0761312.8|HH2|MDSHA
HV0437|W 124|N382826.5|W0761631.2|HH2|MDSHA
HV7767|J 124|N382725.3|W0761529.3|HH2|MDSHA
HV8271|B 170|N383530.7|W0760250.3|HH2|MDSHA
HV8884|R 126 RESET|N385312.6|W0760341.8|HH2|MDSHA
HV8888|S 127 RESET|N383725.9|W0760329.9|HH2|MDSHA


Renaming Photos

The format for naming digital photographs has changed.

To rename photos:

1. Open the description (.des) file in Windesc.

2. Select 'Tools>Get PIDs from Restart File' from the main menu:

This will populate each description with the new PID obtained from the loading process.

3. When the photos are for points in the .des file, select 'Tools>Rename Photos Using .des File' from the main menu as shown above. This will rename all of the photos in the directory according to the new file specification and create a report file ending in '_Ren.txt'.

If the photos are for points not in the .des file, select 'Tools>Rename Photos Without .des File' from the main menu. In order for photos to be renamed correctly, the photo filename must contain a PID for the point. If the filename does not contain a designation for the point, the procedure will use an internet connection to obtain one from the database. Photos that cannot be renamed automatically with this procedure will be renamed with the tilda ( ~ ) character.


Listing Options

List Bluebook Info

This procedure will scan a standard GPS bluebook file and create a summary of important information in a report. The report lists designation, SSN, 4-character ID, session, start time, stop time, antenna type, antenna serial number, ARP height, L1 height, receiver serial number and receiver type.


Listing Options

List RINEX Info

This procedure will scan an entire folder, including sub-folders containing RINEX files and create a report listing filename, agency, receiver, receiver type, antenna, antenna type, radome, deltaH, latitude, longitude, start date, start time, stop date, stop time, duration, character ID and nearest NGS control point.


Listing Options

Update RINEX Header Information

This procedure will scan an entire folder, including sub-folders containing RINEX files and update the header information.

First, edit the ReceiverAntenna.dat file in the c:\NGS-Apps\WinDesc\ folder to include the equipment and observer information used in your GPS project. You can make a different ReceiverAntenna.dat file for each project if the information is different.

Column | Length | Format | Data
1 | 3 | aaa | Observer's initials
5 | 6 | a/n | Agency code
12 | 12 | a/n | Receiver serial number
25 | 3 | nnn | Receiver blue book code
29 | 18 | a/n | Receiver make
48 | 8 | a/n | Receiver model
57 | 8 | a/n | Receiver firmware version
66 | 20 | a/n | Antenna serial number
87 | 16 | a/n | Antenna type
103 | 4 | a/n | Radome code
108 | 6 | n.nnnn | Antenna ARP height (Meters)

Next, select 'Tools>Update Rinex Headers' from the main menu.

Select the ReceiverAntenna.dat file to use as input.

Select the main RINEX folder. All RINEX files in this folder and any sub-folders will have their header information updated by this tool.


Geoid Heights

Note: An internet connection is required.

To obtain interpolated geoid heights for a point, press the F8 key or select from the popup menu on the Position Window:

The latitude and longitude of the point must be in the Lat Lon boxes prior to running this procedure.

To obtain interpolated geoid heights for all points in the .des file, select 'WebTools>Get>Geoid Hts for all marks' from the main menu:

To view geoid ht values for all marks, select 'View>Ortho, Dynam, Grav, Geoid' from the main menu:


Getting the State and County

Getting Elevations for All PIDs

Note: This procedure requires an internet connection.

To retrieve elevations for all PIDs from the NGSIDB, click 'WebTools>Get>Elevations for all PIDS' from the main menu:

If you are using a proxy server, you may have to supply a userid and password to proceed.

The elevations of all descriptions with PIDs will be updated from the NGSIDB to the 0.1 mm for adjusted bench marks.


To Get Positions For All Marks From NGS Web Site

To Get Positions for All Marks With PID's

Select "Tools>WebTools>Get>Positions For All PIDs" from the main menu as shown below:

This procedure will connect to NGS's database and retrieve geographic positions, geoid heights, ellipsoidal heights, elevations, and related data via an internet connection. If your connection is through a proxy server, you may be required to enter a userid and password to proceed. If it through a dial-up modem, you may see the connection dialog appear before dialing occurs.


Getting the State and County

Note: This procedure requires an internet connection. It is designed to determine the state and county in which a control point is located, provided these fields are blank.

To retrieve the state and county for marks in the file where these data items are blank, click 'WebTools>Get>States and Counties' from the main menu:

If you are using a proxy server, you may have to supply a userid and password to proceed.

The state and county for any mark where this fields are blank will be determined from the marks' latitude and longitude.


Getting the State and County

Getting Towns from NGS

Note: This procedure requires an internet connection.

To retrieve additional towns, select 'WebTools>Get Towns' from the main menu:

If you are using a proxy server, you may have to supply a userid and password to proceed.

This will add the towns for a particular state to the towns.txt file.


Gravity

Note: An internet connection is required.

To obtain modeled gravity for a point, press the F6 key or select from the popup menu on the Position Window:

The latitude and longitude of the point must be in the Lat Lon boxes prior to running this procedure. The orthometric height is optional.

To obtain modeled gravity values for all points in the .des file, select 'WebTools>Get>Gravity for all marks' from the main menu:

To view gravity values for all published bench marks, select 'View>Ortho, Dynam, Grav' from the main menu:


NADCON

NAD27 to NAD83(HPGN) Conversion

To convert from NAD 27 Latitude and Longitude to NAD 83 (HPGN), make sure a state code has been entered on the main description header window. Next, enter the 27 Latitude and Longitude for the point on the position window. Next, enter '27' in the Datum box. Press 'F5' or select from the popup window on the position window:

The latitude and longitude will be converted from NAD27 to NAD83(HPGN). The precision that was entered will be retained.

To convert NAD 27 positions for the entire file, click 'WebTools>Convert 27 to 83 (HPGN) from the main window:

Only those marks where the datum is listed as '27' will be converted.


Updating the Contrib.dat File

The Contrib.dat file is one of the supporting files used by the program. NGS maintains a list of contributors of geodetic control data which is supplied with the Windesc program. This list is called the "contrib.dat file." If an agency name is not listed in the dropdown box of agencies, you may need to update the contrib.dat file located in the program installation directory. To get an updated contrib.dat file from NGS:

Select 'WebTools>Update>Contrib.dat File' from the main menu.

Depending upon the type of internet connection, you may be required to supply a userid and password to continue.


Updating the Country.dat File

The country.dat file is one of the supporting files supplied with the program and available from NGS.

To update the country.dat file, select 'WebTools>Update>Country.dat File' from the main menu:

This will retrieve the latest version of the country.dat file from NGS's website. You may be prompted for a userid and password if you are using a proxy server for your internet connection.

Note: This will be installed in the program installation directory. If the supporting files have been moved to another location, the user may have to replace it manually.


Updating the WinDesc Program

Updating the Program

As changes to the program are made quite frequently, users are prompted when they have not checked for updates for over a week. Updating requires and internet connection. Due to the size of the files involved, use of a dialup modem is not recommended.

Users can also update the program and associated supporting files from the main menu. Select 'WebTools>Update>Program' from the main menu to start the procedure.

The program first downloads the update.txt file from the update website. It then checks to see if each file listed in the update.txt file exists on the local PC. If not, it downloads the file from the update website. If the file exists, the date is checked to see if it up to date. If the WinDesc.exe program itself is out-of-date, the user will be asked to restart the program after the update procedure completes. The old WinDesc.exe file is renamed 'WinDescOld.exe'. This is a safety precaution in the event that there is a problem with the new update.


The Description Processing Handbook
Chapter 1

(Updated August, 2010)

D-FILE Format (for Both Microsoft Windows 95/98/NT/2000/ME/XP and UNIX):The Format of a Description File (D-FILE)

by Janet K. Irwin
Computer Specialist
National Geodetic Survey

Table of Contents

  • 3.0 D-FILE Overview
  • 3.1 Record Formats
    • 3.1.1 Field Range Symbol
    • 3.1.2 Field Format Symbol
  • 3.2 D-FILE Format, Version 02.01.02
    • 3.2.1 Project Header Record
      • 3.2.1.1 Header Record
      • 3.2.1.2 Project Title Record
      • 3.2.1.3 Project Comment Record
      • 3.2.1.4 Project Header Terminator Record
  • 3.3 Descriptions
    • 3.3.1 Description Header Record
    • 3.3.2 Underground (Mark) Record
    • 3.3.3 Reset (Station Remonumentation) Record
    • 3.3.4 Reference Object (Box Score) Record
    • 3.3.5 Recovery History Record
    • 3.3.6 Position Record
    • 3.3.7 Orthometric Height Record
    • 3.3.8 Descriptive Text Record
    • 3.3.9 Vertical Mark Record
    • 3.3.10 Description Terminator Record
  • Appendix A - Summary of Codes Used in Description Files
    • A.1 Accession Prefix (Project Type)
    • A.2 Condition Code
    • A.3 Description Source Code
    • A.4 File Type Code
    • A.5 File Sub-type Code
    • A.6 Flush/Projected/Recessed (FPR) Code
    • A.7 Horizontal Datum Code
    • A.8 Latitude Hemisphere Code
    • A.9 Longitude Hemisphere Code
    • A.10 Magnetic Property Code
    • A.11 Monumentation (Marker) Category Code
    • A.12 Monumentation (Marker) Code
    • A.13 Object Type Code
    • A.14 Orthometric Height Class Code
    • A.15 Orthometric Height Order Code
    • A.16 Orthometric Height Source Code
    • A.17 Orthometric Height Technique Code
    • A.18 Orthometric Height Units
    • A.19 Position Order Code
    • A.20 Position Source Code
    • A.21 Position Technique Code
    • A.22 Projected/Recessed (PR) Distance Units
    • A.23 Record Identifiers
    • A.24 Reference Object Distance Units
    • A.25 Reference Object Type Code
    • A.26 Report Type Code
    • A.27 Rod/Pipe Depth Units
    • A.28 Satellite Usage Code
    • A.29 Setting (Class) Code
    • A.30 Sleeve Depth Units
    • A.31 Source Program Name
    • A.32 Special Application Code
    • A.33 Text Status
    • A.34 Transportation Code
    • A.35 Vertical Datum Code
    • A.36 Vertical Stability Code
  • Appendix B - A Sample Description File (D-FILE)

D-FILE Format

3.0 D-FILE Overview

The D-FILE format has been designed to accommodate two types of data: DATA SHEETs with positions, elevations, descriptive text, etc., and descriptions, which only have descriptive information. Descriptions should be seen as a subset of DATA SHEETs. D-FILES can be the output of several programs. The programs that can act on or produce a D-FILE are described in Appendix A, Source Program Names.

3.1 Record Formats

The following sections of this document are used to describe all the possible records found in a D-FILE. These sections are broken down by record and then by field. Each field is further broken down by: field number, field format, field length, field range, field option, field description, and field example. Some special symbols are used in the field format, field length, and the field range partitions. These special symbols are defined below.

Field Range Symbol | Definition
\n | newline character.
Field Format Symbol | Definition
A | Capitalized Alphabetic characters only [A..Z].
9 | Numeric, digits, sign and decimal point only [0..9, +, -, .] according to field format picture.
N | Capitalized Alphabetic characters and numeric characters only [A..Z, 0..9].
X | Capitalized Alphabetic characters, numeric characters [A..Z, 0..9], and special characters as specified in the field range.
. | Decimal Point or period.

Any field can be defined in short or long field format notation. For example, a field known as USGS quadrangle name is 10 characters long, and can contain the characters [A..Z, 0..9, -, &, (, ), space]. The field format can be represented in short notation as X(10), or in long notation as XXXXXXXXXX.

You might also see a field format like A(1-200). This means that this field is a variable length field and can have from 1 to 200 characters, and those characters are all in the set of capitalized alphabetic characters [A..Z].

3.2 D-FILE Format, Version 02.01.02

A description file, D-FILE, is made up of: (1) 1 Project Header record, and (2) 0 or more Description records.

3.2.1 Project Header Record

The project header record is made up of: (1) 1 Header Record, (2) 1 Project Title Record, (3) 0 or 1 Project Comment Record, and (4) 1 Project Header Terminator Record.

The project header record is an independent record used to provide summary information about a file. Summary information includes where the descriptions originated from, what organization submitted them, when the file was created, the area covered by the project, etc. In a D-FILE a project header record is a required record.

3.2.1.1 Header Record Format

The first sub-record in a project header record is known as the header record. This is a required sub-record for a project header record. This record is actually a standardized data set identification record that can be used among different file types.

Field No. | Field Name | Field Format | Field Range | Field Description
1 | File Type Code | A | [D]. See values in Appendix A, File Type Code. | A code which describes the type of file it is. In a D-FILE, the file type code is always set to "D" to signify that this file is a description file. This field is set by a program that creates a D-FILE.
2 | File Sub-Type Code | A | Values in Appendix A, File Sub-Type Code. | A code describing whether the file was generated from the NGS database or came from some other source (data would be new to the NGS database); This field is set by a program that creates or modifies a D-FILE.
3 | File Format Version Number | 99.99.99 | [01.00.00..99.99.99]. | A number which represents the version number of the file format of the D-FILE. When the D-FILE's data structure is modified, the file format version is updated. The latest file format version number is 02.01.02.
4 | Source Program Name | N(8) | Values in Appendix A, Source Program Name. | A code which contains the name of the program that created or modified the file last.
5 | Source Program Version Number | 99.99.99 | [01.00.00..99.99.99]. | A number which represents the version number of the last program which created or modified the D-FILE.
6 | File Creation Date | 9(8) or YYYYMMDD, where YYYY = year, MM = month, and DD = day | [18000101..present]. | A date which represents when the file was created or modified last. The creation date is generated by the program that created or modified the D-FILE.
Accession Code - An accession code is part of a header record. It is a code which is assigned by NGS to projects. Examples of projects are classical horizontal, Global Positioning System, differential leveling, etc. An accession code is composed of two parts: (1) Accession Prefix (a.k.a. Project Type), and (2) Accession Number (a.k.a. Project Number).
7 | Accession Prefix (Project Type) | AAA | Values listed in Accession Prefix (Project Type). | A code used to represent the type of project the file holds.
8 | Accession Number (Project Number) | 99999999 | [1..99999999]. | A code used to represent an agency specific pointer (number) to its own archives, usually given as a cataloging symbol, which identifies the block of data, possibly supplemented by a further job code or part number designation.
9 | Part Number | XXXX | [AAAA..9999]. | A supplemental number to the accession number.
10 | Job Code | AN | [AA..Z9]. | A code assigned to any vertical or horizontal control project submitted to NGS. Unless a job code is specifically assigned to a project by NGS, this job code may be sequentially assigned by the submitting/reporting organization (i.e. A1, A2, ... ZZ).
11 | Submitting/Reporting Organization Category Code | A | Values in ANNEX C, Contributors of Geodetic Data. | A code which represents the category of the agency or organization that submitted/reported the D-FILE to NGS.
12 | Submitting/Reporting Organization Code | X(6) | Values in ANNEX C, Contributors of Geodetic Data. | The NGS-defined symbol for the agency or organization that submitted/reported the D-FILE to NGS
13 | Submitting/Reporting Organization Fullname/Definition | X(80) | Values in ANNEX C, Contributors of Geodetic Data if submitting/reporting organization code is not "NEWAGY"; otherwise [A..Z, 0..9, space, -, +, (, )]. | The fullname/definition of the agency or organization that submitted/reported the D-FILE to NGS.
Area Covered by Project - All descriptions entered into the D-FILE must fall within the specified area covered by the project. An area is composed of four sub-records: (1) Maximum Latitude Record, (2) Minimum Latitude Record, (3) Maximum Longitude Record, and (4) Minimum Longitude Record. These records are further sub-divided into five fields: (1) hemisphere code, (2) degrees, (3) minutes, (4) seconds, and (5) decimal seconds. Information in these fields defines the rectangular boundaries of the project.
Maximum Latitude Record - The maximum latitude represents the largest latitude that can be allowed in the D-FILE. The fields comprising the maximum latitude are hemisphere, degrees, minutes, seconds, and decimal seconds. The overall format of the maximum latitude is (H DD MM SS.sssss) where H=hemisphere, D=degrees, M=minutes, S=seconds, and s=decimal seconds. The maximum latitude must be greater than the minimum latitude.
14 | Hemisphere Code | A | Values in Appendix A, Latitude Hemisphere Code. | A code representing the hemisphere part of the maximum latitude.
15 | Degrees | 99 | [00..90]. | A number representing the degree part of the maximum latitude.
16 | Minutes | 99 | [00..59]. | A number representing the minute part of the maximum latitude.
17 | Seconds | 99 | [00..59]. | A number representing the seconds part of the maximum latitude.
18 | Decimal Seconds | .99999 | [.00001 .. .99999]. | The fractional portion of the maximum latitude seconds.
Minimum Latitude Record - The minimum latitude represents the smallest latitude that can be allowed in the D-FILE. The fields comprising the minimum latitude are hemisphere, degrees, minutes, seconds, and decimal seconds. The overall format of the minimum latitude is (H DD MM SS.sssss) where H=hemisphere, D=degrees, M=minutes, S=seconds, and s=decimal seconds. The minimum latitude must be less than the maximum latitude.
19 | Hemisphere Code | A | Values in Appendix A, Latitude Hemisphere Code. | A code representing the hemisphere part of the minimum latitude.
20 | Degrees | 99 | [00..90]. | A number representing the degree part of the minimum latitude.
21 | Minutes | 99 | [00..59]. | A number representing the seconds part of the minimum latitude.
22 | Seconds | 99 | [00..59]. | A number representing the seconds part of the minimum latitude.
23 | Decimal Seconds | .99999 | [.00001 .. .99999]. | The fractional portion of the minimum latitude seconds.
Maximum Longitude Record - The maximum longitude represents the largest longitude that can be allowed in the D-FILE. The fields comprising the maximum longitude are hemisphere, degrees, minutes, seconds, and decimal seconds. The overall format of the maximum longitude is (H DDD MM SS.sssss) where H=hemisphere, D=degrees, M=minutes, S=seconds, and s=decimal seconds. The maximum longitude must be greater than the minimum longitude.
24 | Hemisphere Code | A | Values in Appendix A, Longitude Hemisphere Code. | A code representing the hemisphere part of the minimum longitude.
25 | Degrees | 999 | [00 to 360]. | A number representing the degree part of the minimum longitude.
26 | Minutes | 99 | [00 to 59]. | A number representing the seconds part of the minimum longitude.
27 | Seconds | 99 | [00 to 59]. | A number representing the seconds part of the minimum longitude.
28 | Decimal Seconds | .99999 | [.00001 to .99999]. | The fractional portion of the minimum longitude seconds.
Minimum Longitude Record - the minimum longitude represents the smallest longitude that can be allowed in the D-FILE. The fields comprising the minimum longitude are hemisphere, degrees, minutes, seconds, and decimal seconds. The overall format of the minimum longitude is (H DDD MM SS.sssss) where H=hemisphere, D=degrees, M=minutes, S=seconds, and s=decimal seconds. The minimum longitude must be less than the maximum longitude.
29 | Hemisphere Code | A | Values in Appendix A, Longitude Hemisphere Code. | A code representing the hemisphere part of the maximum longitude.
30 | Degrees | 999 | [00..360]. | A number representing the degree part of the maximum longitude.
31 | Minutes | 99 | [00..59]. | A number representing the seconds part of the maximum longitude.
32 | Seconds | 99 | [00..59]. | A number representing the seconds part of the maximum longitude.
33 | Decimal Seconds | .99999 | [.00001 .. .99999]. | The fractional portion of the maximum longitude seconds.

3.2.1.2 Project Title Record Format

The project title record consists of: (1) 1 Record Identifier, and (2) 1 Project Title.

This record is a required sub-record in the project header record. The project title record is where the user gives the project a title/name which describes the project.

Field No. | Field Name | Field Format | Field Range | Field Description
1 | Record Identifier | A | [A]. See values in Appendix A, Record Identifier. | A code which tells what type of record is expected to follow.
2 | Project Title | X(280) | [A..Z, 0..9, *, ,, ', =, (, -, ., +, ), /, space, \n]. | A project title holds a brief description of the project as a whole. The project title provides cross-referencing information for a project across different types of surveys. It is used for bookkeeping purposes.

3.2.1.3 Project Comment Record Format

The project comment record consists of: (1) 1 Record Identifier, and (2) 1 Project Comment.

The project comment record is an optional sub-record in the project header record. The project comment record holds additional information on a project that isn't already in the project title record.

Field No. | Field Name | Field Format | Field Range | Field Description
1 | Record Identifier | A | [B]. See values in Appendix A, Record Identifier. | A code which tells what type of record is expected to follow.
2 | Project Comments | X(280) | [A..Z, 0..9, *, ,, ', =, (, -, ., +, ), /, space, \n]. | A project comment holds information about the project that the user feels might be beneficial to NGS personnel. This field is a fixed length field. Example: No Comments.

3.2.1.4 Project Header Terminator Record Format

The project record terminator record consists of: (1) 1 Record Identifier.

The project record terminator record is an required sub-record in the project header record. The project comment record holds additional information on a project that isn't already in the project title record.

Field No. | Field Name | Field Format | Field Range | Field Description
1 | Record Identifier (Terminator) | X | [\n]. See values in Appendix A, Record Identifier. | The project header record terminator character, the newline character, signifies the end of the project header record. It is a required field.

3.3 Descriptions

Descriptions are what NGS uses to define characteristics about a monument or marker. The information can include the condition of the mark, the stamping on the marker, how the marker was set, some data on markers in the surrounding area, a history of the marker, and so forth.

To be more precise, a description is made up of:

  1. 1 Description Header Record
  2. 0 or 1 Underground (Mark) Record
  3. 0 or 1 Reset (Station Remonumentation) Record
  4. 0 or more Reference Object (Box Score) Records
  5. 0 or more Recovery History Records>
  6. 1 Position Record
  7. 0 or 1 Height Record
  8. 0 or 1 Descriptive Text Record
  9. 0 or more Vertical Mark Records
  10. Description Terminator Records

3.3.1 Description Header Record

The description header record is the main record in a description. This record is a required sub-record in a description record.

Field No. | Field Name | Field Format | Field Range | Field Description
1 | Record Identifier | X | [@]. See values in Appendix A, Record Identifiers. | A code which tells what type of record is expected to follow.
2 | Station Serial Number (SSN) | 9999 | [0001..9999]. | A which identifies a station within a project and is used as a cross reference between the various files in a project. The same SSN must be used for a station across all records in a project. It must be unique within each D-FILE. If the SSN number is less than 1000, the SSN field must contain leading zeros.
3 | Permanent Identifier (PID) | AANNNN | [AA0001..ZZZZZZ]. | A permanent identifier assigned to every recoverable survey point in the NGSIDB. Points new to the NGS database will be assigned a PID when they are loaded.
4 | Condition Code | A | Values in Appendix A, Condition Code. | A code indicating the condition or status of the monument or mark each time it is recovered.
5 | Designation | X(50) | [A..Z, 0..9, =, -, ., +, /, space] | The designation is the primary identifier by means of which the control point is known to the general public. For a mark already included in the NGS database, the designation should be given as published. For a new mark, if it is stamped, the designation is an edited version of the stamping. Detailed instructions for the assignment of designations are found in ANNEX D, Input Formats and Specifications of the National Geodetic Survey Data Base, Volume I, September 1994 (the bluebook).
6 | Alias | X(50) | [A..Z, 0..9, =, -, ., +, /, space]. | An alternate name used for a control point. This is to allow for different naming conventions used by other organizations. An alias should not be created unnecessarily.
7 | Stamping | X(50) | [A..Z, 0..9, =, -, ., +, /, space]. | The stamping as it appears on the geodetic control marker.
8 | USGS Quadragle Name | X(35) | [A..Z, 0..9, -, &, (, ), space] | The name of the 7.5 minute X 7.5 minute quadrant off the quadrant sheet.
9 | Special Application Codes | X(5) | Values in Appendix A, Special Application Code. | A code that represents a special use of the control point. More than one code from Appendix A, Special Application Code can apply to a control point. Although the special application codes field can be up to five characters in length, there are currently only a maximum of three application codes to choose from.
10 | Satellite Usage Code | A | Values in Appendix A, Satellite Usage Code. | A code indicating whether the mark is suitable for use in GPS surveys.
11 | Country Code | AA | Values in ANNEX A, NGS Country, State, and County Codes. | A code representing the country in which the monument or marker is located.
12 | State Code | AA | Values in ANNEX A, NGS Country, State, and County Codes. | A code representing the state in which the monument or marker is located.
13 | County FIPS Code | 999 | Values in ANNEX A, NGS Country, State, and County Codes. | A FIPS code representing the county FIPS code of the county in which the monument or marker is located.
14 | County Fullname/Definition | A(25) | The county fullname/definition must be one of those listed in ANNEX A, NGS Country, State, and County Codes. | The fullname of the county where the monument or marker is located.
15 | Monumentation (Marker) Category Code | A | Values in Appendix A, Monumentation (Monument) Category Code. | A code that identifies the category type of monument object, or landmark which represents the control point.
16 | Monumentation (Marker) Code | NN | Values in Appendix A, Monumentation (Marker) Code. | A code that identifies the type of monument object, or landmark which represents the control point
17 | Setting (Class) Code | 99 | Values in Appendix A, Setting (Class) Code. | A code which indicates how the mark is set.
18 | Specific Setting Text | X(32) | [A..Z, 0..9]. | A field where users can put added comments about the setting.
19 | Vertical Stability Code | A | Values in Appendix A, Vertical Stability Code. | A code representing the stability class of the mark.
20 | Magnetic Property Code | A | Values in Appendix A, Magnetic Property Code. | A code which indicates the magnetic property of the mark or monument.
21 | Flush/Projected/Recessed (FPR) Code | A | Values in Appendix A, Flush/Projected/Recessed (FPR) Code. | A code indicating whether the marker's setting is flush with (F), projects above (P), or is recessed below (R) the surrounding surface.
22 | Projecting/Recessed (PR) Distance | 9999 | [0CM..999CM]. | The distance by which the marker's setting projects or is recessed.
23 | Projecting/Recessed (PR) Distance Units | AA | Values in Appendix A, Projecting/Recessed (PR) Distance Units. | The units of measure for the PR distance.
24 | Rod/Pipe Depth | 9999 | [0.1M..999M] | The depth of the rod or pipe.
25 | Rod/Pipe Depth Units | AA | Values in Appendix A, Rod/Pipe Depth Units. | The units of measure for the rod/pipe depth.
26 | Sleeve Depth | 9999 | [0.1M..999M] | The depth of the rod or pipe's sleeve.
27 | Sleeve Depth Units | AA | Values in Appendix A, Sleeve Depth Units. | The units of measure for the sleeve depth.
28 | Organization Logo Category Code | A | Values in ANNEX C, Contributors of Geodetic Data. | A code which represents the category of the agency or organization whose name is on the marker.
29 | Organization Logo Code | X(6) | Values in ANNEX C, Contributors of Geodetic Data. | The NGS-defined symbol for the agency or organization whose name is on the marker.
30 | Organization Logo Fullname/Definition | X(80) | Values in ANNEX C, Contributors of Geodetic Data if organization logo code is not "NEWAGY"; otherwise [A..Z, 0..9, space, -, +, /, (, )]. | The fullname/definition of the agency whose name is on the marker.
31 | Setting/Establishing Organization Category Code | A | Values in ANNEX C, Contributors of Geodetic Data. | A code which represents the category of the agency or organization which established or set the mark.
32 | Setting/Establishing Organization Code | X(6) | Values in ANNEX C, Contributors of Geodetic Data. | The NGS-defined symbol for the agency or organization which established or set the mark.
33 | Setting/Establishing Organization Fullname/Definition | X(80) | Values in ANNEX C, Contributors of Geodetic Data if setting/establishing organization code is not "NEWAGY"; otherwise [A..Z, 0..9, space, -, +, /, (, )]. | The fullname/definition of the agency or organization which established or set the mark.
34 | Setting Date | 9(8) or YYYYMMDD, where YYYY = year, MM = month, and DD = day | [18000101..present]. | A date which represents when the mark was established or set.
35 | Recovery/Reporting Organization Category Code | A | Values in ANNEX C, Contributors of Geodetic Data. | A code which represents the category of the agency or organization which visited/recovered the mark.
36 | Recovery/Reporting Organization Code | X(6) | Values in ANNEX C, Contributors of Geodetic Data. | The NGS-defined symbol for the agency or organization which visited/recovered the mark.
37 | Recovery/Reporting Organization Fullname/Definition | X(80) | Values in ANNEX C, Contributors of Geodetic Data if recovery/reporting organization code is not "NEWAGY"; otherwise [A..Z, 0..9, space, -, +, /, (, )]. | The fullname/definition of the agency or organization which visited/recovered the mark.
38 | Chief of Party (COP) Initials | X(3) | [A..Z, space]. | The initials of the party chief who went to the mark.
39 | Recovery /Report Date | 9(8) or YYYYMMDD, where YYYY = year, MM = month, and DD = day | [18000101..present]. | A date which represents the exact date work was done at the mark.
40 | Transportation Code | A | Values in Appendix A, Transportation Code. | A code which indicates the mode of transportation used to reach the station.
41 | Pack Time | 9999 | [0000..9959]. | The time required to carry equipment from the last point of transportation to the station expressed in hours and minutes.
42 | Report Type | A | Values in Appendix A, Report Type. | A code which indicates the immediate source of the description. This code is used to properly load descriptions into the NGS database.
43 | Text Status | A | Values in Appendix A, Text Status. | A code which describes what kind of text is in the descriptive text record.
44 | Description Source | A | Values in Appendix A, Description Source. | A code which indicates whether or not the description came from the database or another source.
45 | Keyed-in Order | 9999 | [0001..9999]. | A number assigned to a description which represents the order in which the description was keyed-in to the D-FILE.

3.3.2 Underground (Mark) Record Format

The underground record is an optional sub-record in a description record. There can be zero or one underground record associated with a description. Information is entered into the underground record structure whenever there is an underground marker or monument associated with the current monument or marker.

Field No. | Field Name | Field Format | Field Range | Field Description
1 | Record Identifier | A | [G]. See values in Appendix A, Record Identifiers. | A code which tells what type of record is expected to follow.
2 | Monumentation (Marker) Category Code | A | [U]. See values in Appendix A, Monumentation (Marker) Category Code. | A code which identifies the category type of the monument object, or landmark which represents the underground control point.
3 | Monumentation (Marker) Code | NN | [A..D, DD, DE, DH, DO, DR, DS, DZ, E, G..Z]. Subset of values in Appendix A, Monumentation (Marker) Code. | A code which identifies the type of monument object, or landmark which represents the underground control point.
4 | Setting (Class) Code | 99 | [00, 02, 04, 15, 16, 65, 66, 80]. Subset of values in Appendix A, Setting (Class) Code. | A which indicates how the underground monument or marker is set.
5 | Setting Date | 9(8) or YYYYMMDD, where YYYY = year, MM = month, and DD = day | [18000101..present]. | A date which represents the date that the underground monument or marker was set.
6 | Magnetic Property Code | A | Values in Appendix A, Magnetic Property Code. | A code which indicates the magnetic property of the monument or marker.
7 | Vertical Stability Code | A | Values in Appendix A, Vertical Stability Code. | A code representing the stability class of the monument or marker.
8 | Record Terminator | X | [\0]. | The underground record terminator character, the null character, signifies the end of the underground record.

3.3.3 Reset (Station Remonumentation) Record

The reset record is an optional sub-record in a description record. There can be zero or one reset record associated with a description. Information is entered into the reset record structure whenever the original monument or marker has been dislodged, or destroyed.

Field No. | Field Name | Field Format | Field Range | Field Description
1 | Record Identifier | A | [H]. See values in Appendix A, Record Identifiers. | A code which tells what type of record is expected to follow.
2 | Permanent Identifier (PID) | AANNNN | [AA0001..ZZZZZZ]. | The PID of the old control point. A PID is a permanent identifier assigned to every recoverable survey point in the NGS database. Points new to the NGS database will be assigned a PID when they are loaded.
3 | Designation | X(50) | [A..Z, 0..9, +, -, ., +, /, space].. | The designation of the old control point. The designation is the primary identifier by means of which the control point is known to the general public. For a mark already included in the NGS database, the designation should be given as published. For a new mark, if it is stamped, the designation is an edited version of the stamping. Detailed instructions for the assignment of designations are found in ANNEX D, Input Formats and Specifications of the National Geodetic Survey Data Base, Volume I, September 1994 (the bluebook).
4 | Record Terminator | X | [\0]. | The reset record terminator character, the null character, signifies the end of the reset record.

3.3.4 Reference Object (Box Score) Record

A reference object is a station or a landmark, that an observer sees from the current mark/station. This reference record provides box score information, that is "runs", "hits", and "errors", about each reference mark. Reference objects are used as a aid in finding the main marker. Generally they are 20-50 meters from the main marker and have an arrow which points in the direction of the main marker and provide the surveyor with a distance from the main marker. A reference object record contains one sub-record: an azimuth record.

Any information appearing in a reference object record is the result of running the DS2D/WDS2D program to convert a DATA SHEET to a D-FILE. If reference object record information appears on a DATA SHEET, it is stored here in a D-FILE. This information never gets loaded into the NGS database. No reference object records exist when a new description is keyed-in or does not come from the NGS database. Therefore, if the D-FILE was not created via the DS2D/WDS2D program, no reference object records will exist. The information contained in a reference object record is FYI (for your information) only and should aid users in locating a monument (marker).

Field No. | Field Name | Field Format | Field Range | Field Description
1 | Record Identifier | A | [J]. See values in Appendix A, Record Identifiers. | A code which tells what type of record is expected to follow.
2 | Permanent Identifier (PID) | AANNNN | [AA0001..ZZZZZZ]. | The PID of the reference monument or marker. A PID is a permanent identifier assigned to every recoverable survey point in the NGS database. Points new to the NGS database will be assigned a PID when they are loaded.
3 | Reference Object Type | A | Values in Appendix A, Object Type Code. | A code which identifies the type of object that is being referenced.
4 | Reference Object Distance | 9999.999 | [.001 .. 9999.999]. | The distance from the reference monument or marker to the current monument or marker identified in the description header record.
5 | Reference Object Distance Units | AA | Values in Appendix A, Reference Object Distance Units. | The units of measure for the object distance field.
Geodetic Azimuth Record - The primary data of interest in a reference record is the geodetic azimuth sub-record. An azimuth is the horizontal angle reckoned clockwise from the meridian. In the basic control surveys of the US, and in those of many other countries, azimuths are currently reckoned clockwise from south. In military control surveys of most countries, including the US, azimuths are reckoned clockwise from north. The geodetic azimuth in the reference record is reckoned from the north. The geodetic azimuth sub-record is divided into degrees, minutes, seconds, decimal seconds, and error.
6 | Degrees | 999 | [000..360]. | The degree component of the horizontal angle reckoned clockwise from the meridian.
7 | Minutes | 99 | [00..59]. | The minute component of the horizontal angle reckoned clockwise from the meridian.
8 | Seconds | 99 | [00..59]. | The seconds component of the horizontal angle reckoned clockwise from the meridian.
9 | Decimal Seconds | .99 | [.01 .. 99]. | The decimal seconds component of the horizontal angle reckoned clockwise from the meridian.
10 | Error | 99.99 | [.01 .. 99.99]. | The amount of error that is possible in the azimuth angle specified in the geodetic azimuth degrees, minutes, seconds, and decimal seconds fields.
11 | Designation | X(50) | [A..Z, 0..9, +, -, ., +, /, space]. | The designation of the reference monument or marker. The designation is the primary identifier by means of which the control point is known to the general public. For a mark already included in the NGS database, the designation should be given as published. For a new mark, if it is stamped, the designation is an edited version of the stamping. Detailed instructions for the assignment of designations are found in ANNEX D, Input Formats and Specifications of the National Geodetic Survey Data Base, Volume I, September 1994 (the bluebook).
12 | Record Terminator | X | [\0]. | The reference object record terminator character, the null character, signifies the end of the reference object record.

3.3.5 Recovery History Record Format

A recovery history record provides historical data about the current monument or marker in the description header record. There can be zero or many recovery histories for a marker.

Any information appearing in a history record is the result of running the DS2D/WDS2D program to convert a DATA SHEET to a D-FILE. If history record information appears on a DATA SHEET, it is stored here in a D-FILE. This information never gets loaded into the NGS database. No history records exist when a new description is keyed-in or does not come from the NGS database. Therefore, if the D-FILE was not created via the DS2D/WDS2D program, no history records will exist. The information contained in a history record is FYI (for your information) only. It should provide users with an idea of what has happened to the monument (marker) since the time it was originally set.

Field No. | Field Name | Field Format | Field Range | Field Description
1 | Record Identifier | A | [K]. See values in Appendix A, Record Identifiers. | A code which tells what type of record is expected to follow.
2 | Recovery/Report Date | 9(8) or YYYYMMDD, where YYYY = year, MM = month, and DD = day | [18000101..present]. | A date which represents the exact date work was done at the mark.
3 | Recovery Condition Code | A | Values in Appendix A, Condition Code. | A code indicating the condition or status of the monument or mark when it is recovered.
4 | Recovery/Reporting Organization Category Code | A | Values in ANNEX C, Contributors of Geodetic Data. | A code which represents the category of the agency or organization which visited/recovered the mark.
5 | Recovery/Reporting Organization Code | X(6) | Values in ANNEX C, Contributors of Geodetic Data. | The NGS-defined symbol for the agency or organization which visited/recovered the mark.
6 | Recovery/Reporting Organization Fullname/Definition | X(80) | Values in ANNEX C, Contributors of Geodetic Data if recovery/reporting organization code is not "NEWAGY"; otherwise [A..Z, 0..9, space, -, +, /, (, )]. | The fullname/definition of the agency or organization which visited/recovered the mark.
7 | Chief of Party Initials (COP) | XXX | [A..Z, space]. | The initials of the party chief who recovered the mark.
8 | Satellite Usage Code | A | Values in Appendix A, Satellite Usage Code. | A code indicating whether the mark is suitable for use in GPS surveys.
9 | Transportation Code | A | Values in Appendix A, Transportation Code. | A code which indicates the mode of transportation used to reach the station.
10 | Pack Time | 9999 | [0000..9959]. | The time required to carry equipment from the last point of transportation to the station expressed in hours and minutes.
11 | Historical Descriptive Text | X(0-4900) | [A..Z, 0..9, *, ,, ', =, (, -, ., +, ), /, space, \n]. | Text that describes the monument or marker at a given date indicated in the History Record's Recovery/Report Date field.
12 | Record Terminator | X | [\0]. | The recovery history record terminator character, the null character, signifies the end of the recovery history record.

3.3.6 Position Record Format

The position record contains information about the exact horizontal location of the current monument or marker found in the description header record. The position record contains two sub-records: the latitude record and the longitude record. The position record itself is a required sub-record for the description record. There must be one position record in the D-FILE for each description. For users who are submitting new descriptions to NGS, the only sub-records and fields in a position record that are required are the record identifier field, the latitude sub-record, the longitude sub-record, the position source field, the horizontal datum code, and the record terminator field.

Any information appearing in the adjustment date field, the epoch field, the position order code field, and the position technique code field of a position record is the result of running the DS2D/WDS2D program to convert a DATA SHEET to a D-FILE. If this information appears on a DATA SHEET, it is stored here in a D-FILE. This information never gets loaded into the NGS database. This information does not exist when a new description is keyed-in or does not come from the NGS database. Therefore, if the D-FILE was not created via the DS2D/WDS2D program, these fields will be blank. The information in these fields is FYI (for your information) only. These fields should provide users with a better idea of the kind of position they are looking at.

Field No. | Field Name | Field Format | Field Range | Field Description
1 | Record Identifier | A | [L]. See values in Appendix A, Record Identifiers. | A code which tells what type of record is expected to follow.
Latitude Record - The latitude record contains latitude information about the current monument or marker in the description header record. The latitude record is a required sub-record for the position record. The fields comprising the latitude record are hemisphere, degrees, minutes, seconds, and decimal seconds. The overall format of the latitude is (H DD MM SS.sssss) where H=hemisphere, D=degrees, M=minutes, S=seconds, and s=decimal seconds. The latitude found in the position record must be greater than or equal to the minimum latitude in the project header record and less than or equal to the maximum latitude in the project header record.
2 | Hemisphere Code | A | Values in Appendix A, Latitude Hemisphere Code. | A code which represents the hemisphere part of the latitude.
3 | Degrees | 99 | [00..90]. | A number which represents the degree part of the latitude.
4 | Minutes | 99 | [00..59]. | A number which represents the minute part of the latitude.
5 | Seconds | 99 | [00..59]. | A number which represents the seconds part of the latitude.
6 | Decimal Seconds | .99999 | [.00001 .. .99999]. | The fractional portion of the latitude seconds.
Longitude Record - The longitude record contains longitude information about the current monument or marker in the description header record. The longitude record is a required sub-record for the position record. The fields comprising the longitude record are hemisphere, degrees, minutes, seconds, and decimal seconds. The overall format of the longitude is (H DDD MM SS.sssss) where H=hemisphere, D=degrees, M=minutes, S=seconds, and s=decimal seconds. The longitude found in the position record must be greater than or equal to the minimum longitude in the project header record and less than or equal to the maximum longitude in the project header record.
7 | Hemisphere Code | A | Values in Appendix A, Longitude Hemisphere Code. | A code which represents the hemisphere part of the longitude.
8 | Degrees | 999 | [00..360]. | A number which represents the degree part of the longitude.
9 | Minutes | 99 | [00..59]. | A number which represents the minute part of the longitude.
10 | Seconds | 99 | [00..59]. | A number which represents the seconds part of the longitude.
11 | Decimal Seconds | .99999 | [00001..99999]. | The fractional portion of the longitude seconds.
12 | Position Source Code | A | Values in Appendix A, Position Source Code. | A code describing where the position came from.
13 | Horizontal Datum Code | NN | Values in Appendix A, Horizontal Datum Code. | The commonly used abbreviation of the geodetic datum on which the horizontal coordinates are based.
14 | Epoch | 9999 or YYYY, where YYYY = year | [1800..present year]. | A particular instant of time from which an event or series of events is calculated, a starting point in time to which events are referred.
15 | Adjustment Date | 9(8) or YYYYMMDD, where YYYY = year, M = month, and D = day | [18000101..present]. | A date which represents the exact date that the position of the monument or marker was adjusted.
16 | Position Order Code | N | Values in Appendix A, Position Order Code. | A code defining the leveling order of the position.
17 | Position Technique Code | N | Values in Appendix A, Position Technique Code. | A code describing how the position was determined.
18 | Record Terminator | X | [\0]. | The position record terminator character, the null character, signifies the end of the position record.

3.3.7 Orthometric Height Record Format

The orthometric height record contains information about the exact elevation of the current monument or marker found in the description header record. The orthometric height record includes the marker's current orthometric height (elevation), the datum the orthometric height is for, and various other information pertaining to where and how the orthometric height data was collected. The orthometric height record itself is an optional sub-record for the description record. There may be zero or one orthometric height record in the D-FILE for each description. If a user chooses to submit a new description with a height record to NGS, then the only fields in a height record that are required are the record identifier field, the orthometric height field, the orthometric height units field, the orthometric height source code field, the vertical datum code field, and the record terminator field.

Any information appearing in the orthometric height record is the result of running the DS2D/WDS2D program to convert a DATA SHEET to a D-FILE. If this information appears on a DATA SHEET, it is stored here in a D-FILE. This information never gets loaded into the NGS database. This information does not exist when a new description is keyed-in or does not come from the NGS database. Therefore, if the D-FILE was not created via the DS2D/WDS2D program, these fields will be blank. The information in these fields is FYI (for your information) only. These fields should provide users with more information on the height they are looking at.

Field No. | Field Name | Field Format | Field Range | Field Description
1 | Record Identifier | A | [M]. See values in Appendix A, Record Identifiers. | A code which tells what type of record is expected to follow.
2 | Orthometric Height | 99999.9999 | [0.0001..99999.9999]. | The distance, in the direction of the zenith, between the top and bottom of an object (i.e. the height of a building or the height of a person). Can be negative. Leading zeros are not needed.
3 | Orthometric Height Units | AA | Values in Appendix A, Orthometric Height Units. | The units of measure for the orthometric height.
4 | Orthometric Height Source Code | A | Values in Appendix A, Orthometric Height Source Code. | A code which describes where the orthometric height (elevation) came from.
5 | Vertical Datum Code | NN | Values in Appendix A, Vertical Datum Code. | The commonly used abbreviation of the vertical datum on which the vertical coordinates are based.
6 | Epoch | 9999 or YYYY, where YYYY = year | [1800..present year]. | A particular instant of time from which an event or series of events is calculated, a starting point in time to which events are referred.
7 | Adjustment Date | 9(8) or YYYYMMDD, where YYYY = year, M = month, and D = day | [18000101..present]. | A date which represents the exact date that the height of the monument or marker was adjusted.
8 | Orthometric Height Order Code | N | Values in Appendix A, Orthometric Height Order Code. | A code defining the order of the orthometric height.
9 | Orthometric Height Class Code | N | Values in Appendix A, Orthometric Height Class Code. | A code which (1) provides the user of the survey with an immediate rough, but usually sufficient estimate of the precision of the orthometric height data being used and (2) provides the surveying organization with an efficient way of controlling the precision of surveys. Orthometric height class code is a subdivision of orthometric height order code.
10 | Orthometric Height Technique Code | N | Values in Appendix A, Orthometric Height Technique Code. | A code describing how the orthometric height (elevation) was determined.
11 | Record Terminator | X | [\0]. | The orthometric height record terminator character, the null character, signifies the end of the orthometric height record.

3.3.8 Descriptive Text Record Format

The descriptive text record provides textual information describing the current monument or marker in the description header record. If the marker has changed or does not have completed text, then new or updated text goes here. The text record can be a required, or optional sub-record in the description record, depending on the value of the condition code in the description header record.

Field No. | Field Name | Field Format | Field Range | Field Description
1 | Record Identifier | A | [T]. Values in Appendix A, Record Identifiers. | A code which tells what type of record is expected to follow
2 | Descriptive Text | X(0-4900) | [A..Z, 0..9, *, ,, ', =, (, -, ., +, ), /, space, \n]. | Text that describes the current monument or marker.
3 | Record Terminator | X | [\0]. | The descriptive text record terminator character, the null character, signifies the end of the descriptive text record.

3.3.9 Vertical Mark Record Format

NGS and the Ocean Products and Services Division (OPSD) have made an effort to integrate OPSD's tidal bench mark data with the NGS database (NGSIDB). The D-FILE may have zero or more tidal bench marks associated with a description. These tidal bench marks are associated/linked to individual descriptions by the PID field in a description. The PID field is located in the description header record. The vertical mark record provides information describing the vertical mark(s) that are associated with a description via the PID field.

Field No. | Field Name | Field Format | Field Range | Field Description
1 | Record Identifier | A | [V]. Values in Appendix A, Record Identifiers. | A code which tells what type of record is expected to follow.
2 | Vertical Mark (VM) Number | 9(6) | [1..999999] | NGS is integrating the NGS integrated database (a.k.a. NGSIDB), with the tidal benchmark database of the Ocean Products and Services Division (OPSD). The vertical mark number is the number assigned to a tidal bench mark by OPSD.
3 | Record Terminator | X | [\0]. | The vertical mark record terminator character, the null character, signifies the end of the vertical mark record.

3.3.10 Description Terminator Record Format

The description terminator record is used to signify that the end of the description was reached. Not only is this sub-record a required record for the description record, but it also must be the last sub-record in any description record.

Field No. | Field Name | Field Format | Field Range | Field Description
1 | Description Terminator | X | [\n] (newline character). See values in Appendix A, Record Identifiers. | A code which consists of a single newline character. This character signifies that we have reached the end of the description record.

A. Appendix A - Summary of Codes Used in Description Files

This Appendix contains lists of codes that are used in the preparation of projects, station descriptions, and recovery notes pertaining to geodetic control points.

A.1 Accession Prefix (Project Type)

An accession prefix is a one, two, or three-character code used to represent the type of project data the file holds.

Accession Prefix | Definition
A | Astronomy
D | Doppler satellite
G | (Geodetic) classical horizontal
GPS | Global Positioning System
GTZ | Geodetic Triangulation Computations
L | Leveling (differential)
ON | Old number: 5-digit leveling horizontal
P | Gravity
T | Three dimensional
TG | Trigonometric leveling
W | Water level transfers

A.2 Condition Code

A condition code is a one-character code indicating the condition or status of the mark (monument) each time it is recovered.

Condition Code | Definition
G | Recovered in good condition
N | Not recovered, not found
O | Other (see description for details)
P | Poor, disturbed, mutilated
S | Original setting (mark set on this date)
X | Surface mark known destroyed
Y | Underground mark destroyed

A.3 Description Source Code

The description source code is a one-character code indicating whether or not the description came from the NGS database.

Description Source Code | Definition
D | Description is from the NGS database (NGSIDB)
N | Description is from a source other than NGSIDB

A.4 File Type Code

The file type code field is a one-character code that describes the type of file you are creating. Currently, there is only one file type code.

File Type Code | Definition
D | Description

A.5 File Sub-type Code

The file sub-type code field is a one-character code describing the origins of the data.

File Sub-Type Code | Definition
N | New Description (new to NGSIDB)
H | Old Horizontal Description
R | Retrieved from the Database (NGSIDB)
U | Old Unified Description
V | Old Vertical Description

The programs that can modify the file subtype field are: DS2D/WDS2D, EXTRACT/WEXTRACT, MRGDESC/WMRGDESC, DESC/WDESC, OLDU2NEW, OLDV2NEW, and OLDH2NEW. Below is a diagram showing what valid file subtype codes come into and out of each of these program. Please refer to the specific documentation for each program for more details.

A.6 Flush/Projected/Recessed (FPR) Code

A fpr code is a one-character code indicating whether the marker's setting is flush with (F), projects above (P), or is recessed below (R) the surrounding surface.

FPR Code | Definition
F | Flush
P | Projected
R | Recessed

A.7 Horizontal Datum Code

The horizontal datum code is a code which represents the commonly used abbreviation of the geodetic datum on which the horizontal coordinates are based.

Horizontal Datum Code | Definition
00 | Undetermined
27 | North American Datum of 1927 (NAD27)
64 | International Great Lakes Datum of 1964 (IGLD64)
72 | World Geodetic System of 1972 (WGS72)
83 | North American Datum of 1983 (NAD83)
84 | World Geodetic System of 1984 (WGS84)
93 | International Terrestrial Reference Frame 1993, ITRF
94 | International Terrestrial Reference Frame 1994, ITRF
96 | 96 - International Terrestrial Reference Frame 1996, ITRF
97 | 97 - International Terrestrial Reference Frame 1997, ITRF
AN | Anchorage Pt Astro
AS | American Samoa 1962 (ASD62)
BA | Barter Island 1948
BS | BS-Bessel Spheroid
CC | Camp Colona 1890
CS | Charleston and Savannah
FX | Flaxman Island 1912
GO | Golofin Bay 1899
GU | Guam Datum 1963
HI | Old Hawaiian Datum
IL | Iliamna Astro
KW | Kripniyuk-Kwiklokchun
MI | Mary Is Pt Simpson Astro
MQ | Midway Astro 1961
NO | New Orleans and Mobile
PB | Point Barrow 1945
PC | Port Clarence Astro
PR | Puerto Rican Datum
PW | Prince William Sound
SE | Southeast Alaska
SG | St George 1897
SM | Saint Michael Astro
SP | Saint Paul 1897
UN | Unalaska
US | United States Standard Datum
VD | Valdez
YA | Yakutat 1892
YK | Yukon

A.8 Latitude Hemisphere Code

The latitude hemisphere code is the hemisphere that the latitude degrees, minutes, seconds, decimal seconds are for.

Latitude Hemisphere Code | Definition
N | North
S | South

A.9 Longitude Hemisphere Code

The longitude hemisphere code is the hemisphere that the longitude degrees, minutes, seconds, decimal seconds are for.

Longitude Hemisphere Code | Definition
E | East
W | West

A.10 Magnetic Property Code

The magnetic property code is a one-character code which indicates the magnetic property of the mark or monument.

Magnetic Property Code | Definition
A | Steel rod adjacent to monument
B | Bar magnet imbedded in monument
H | Bar magnet set in drill hole
I | Marker is a steel rod
M | Marker equipped with bar magnet
N | No magnetic material
O | Other (see description)
P | Marker is a steel pipe
R | Steel rod imbedded in monument
S | Steel spike imbedded in monument
T | Steel spike adjacent to monument

A.11 Monumentation (Marker) Category Code

The monumentation category code is a one character code which identifies the category type of the monument object, or landmark which represents the control point.

Monumentation Category Code | Definition
D | Disk monument
L | Landmark monument
O | Other monument
R | Rod monument
U | Underground monument

A.12 Monumentation (Marker) Code

The monumentation code is a one or two character code which identifies the type of monument object or landmark which represents the control point. Monumentation codes are subdivided into five monument categories: disk monuments (D), landmark monuments (L), other monuments (O), rod monuments (R), and underground monuments (U). Some monumentation codes appear in more than one category. The monumentation codes are also divided into generalized categories (see the grayed-out headings) for your convenience. This table is represented by the MONUCAT.DAT, and the MONUMENT.DAT ASCII files.

Monumentation Category | Monumentation Code | Definition
Not for Landmark Stations
O, U | A | Aluminum marker other than a disk included elsewhere in table
O, U | B | Bolt
O, U | C | Cap of cap-and-bolt pair
D | DA | Astro pier disk
D | DB | Bench mark disk
D, U | DD | Survey disk (other agency)
D, U | DE | Traverse station disk
D | DG | Gravity station disk
D, U | DH | Horizontal control disk
D | DJ | Tidal station disk
D | DK | Gravity reference mark disk
D | DM | Magnetic station disk
D, U | DO | Disk not specified (see description)
O | DP | Base line pier disk
D | DQ | Calibration base line disk
D, U | DR | Reference mark disk
D, U | DS | Triangulation station disk
D | DT | Topographic station disk
D | DU | Boundary marker
D | DV | Vertical control disk
D | DW | NOS hydrographic survey disk
D, U | DZ | Azimuth mark disk
O, U | E | Earthenware pot
R | F | Flange-encased rod
O, U | G | Glass bottle
O, U | H | Drill hole
R, U | I | Metal rod
O, U | J | Earthenware jug
O, U | K | Clay tile pipe
O, U | L | Gravity plug
O, U | M | Ammo shell casing
O, U | N | Nail
O, U | O | Chiseled circle
O, U | P | Pipe cap
O, U | Q | Chiseled square
O, U | R | Rivet
O, U | S | Spike
O, U | T | Chiseled triangle
O, U | U | Concrete post (without other marks)
O, U | V | Stone monument
O, U | W | Unmonumented
O, U | X | Chiseled cross
O, U | Y | Drill hole in brick
O, U | Z | See description
Landmarks not Listed
L | 0 | Other mark or intersection station, see description
Natural Objects
L | 01 | Lone tree
L | 02 | Conspicuous rock
L | 03 | Mountain peak
L | 04 | Rock pinnacle
L | 05 | Rock awash
Waterfront Landmarks and Visual Aids to Navigation
L | 11 | Piling
L | 12 | Dolphin
L | 13 | Lighthouse
L | 14 | Navigation light
L | 15 | Range marker
L | 16 | Daybeacon
L | 17 | Flag tower
L | 18 | Signal mast
Aeronautical and Electronic Aids to Navigation
L | 21 | Airport beacon
L | 22 | Airway beacon
L | 23 | VOR antenna
L | 24 | REN antenna
L | 25 | Radar antenna
L | 26 | Spherical radome
L | 27 | Radio range mast
L | 28 | LORAN mast
Broadcast and Communications Facilities
L | 41 | Antenna mast
L | 42 | Radio/TV mast
L | 43 | Radio/TV tower
L | 44 | Microwave mast
L | 45 | Microwave tower
Tanks and Towers
L | 51 | Tank
L | 52 | Standpipe tank
L | 53 | Elevated tank
L | 54 | Water tower
L | 55 | Tower
L | 56 | Skeleton tower
L | 57 | Lookout tower
L | 58 | Control tower
Miscellaneous Landmarks
L | 61 | Pole
L | 62 | Flagpole
L | 63 | Stack
L | 64 | Silo
L | 65 | Grain elevator
L | 66 | Windmill
L | 67 | Oil derrick
L | 68 | Commercial sign
L | 69 | Regulatory sign
L | 70 | Monument
L | 71 | Boundary monument
L | 72 | Cairn
L | 73 | Lookout house
L | 74 | Large cross
L | 75 | Belfry
Features of a Building
L | 81 | Gable
L | 82 | Finial
L | 83 | Flagstaff
L | 84 | Lightning rod
L | 85 | Chimney
L | 86 | Cupola
L | 87 | Dome
L | 88 | Observatory dome
L | 89 | Spire
L | 90 | Church spire
L | 91 | Church cross
L | 92 | Antenna on roof
L | 93 | Microwave antenna on building
L | 94 | Rooftop ventilator
L | 95 | Rooftop blockhouse

A.13 Object Type Code

The object type code is a one-character code which identifies the type of object that is being referenced.

Object Type Code | Definition
A | Primary Azimuth
B | Secondary Azimuth
N | Network Control
R | Reference
Z | Azimuth

A.14 Orthometric Height Class Code

The orthometric height class code is a one-character code which (1) provides the user of the survey with an immediate, rough, but usually sufficient estimate of the precision of the orthometric height data being used and (2) provides the surveying organization with an efficient way of controlling the precision of surveys. Orthometric height class is a subdivision of orthometric height order.

Orthometric Height Class Code | Definition
0 | Class 0
1 | Class 1
2 | Class 2
N | Not determined

A.15 Orthometric Height Order Code

The orthometric height order code is a one-character code which defines the order of the orthometric height.

Orthometric Height Order Code | Definition
1 | First order
2 | Second order
3 | Third order
4 | Fourth order
W | Weak, less than fourth order

A.16 Orthometric Height Source Code

The orthometric height source code is a one-character code which describes where the orthometric height (elevation) came from.

Orthometric Height Source Code | Definition
A | Last official adjusted
B | Unchecked adjusted
C | Computed using uncorrected height differences
F | Unadjusted field
H | HNB elevation
M | Older OBS applied to adjusted height generated from a more recent survey
N | Height from precise leveling connected at only one NSRS pt - for GPS check.
O | Other
P | Posted bench mark
R | Reset computation
S | Scaled, approximate
U | Unvalidated height from precise leveling connected at only one NSRS pt
X | Superseded adjustment

A.17 Orthometric Height Technique Code

The orthometric height technique code is a one-character code which describes how the orthometric height (elevation) was determined.

Orthometric Height Technique Code | Definition
A | Altimetry
B | Precise level from a bench mark
D | Doppler
F | Fly level
G | GPS
H | Level between control points not connected to bench mark
N | Normal differential leveling
P | Photogrammetric
T | Trigonometric leveling

A.18 Orthometric Height Units

The orthometric height units are the units of measure for the orthometric height.

Orthometric Height Units | Definition
FT | Feet
M | Meters

A.19 Position Order Code

The position order code is a one-character code which defines the leveling order of the position.

Position Order Code | Definition
0 | Network Relative Accuracy
1 | First order
2 | Second order
3 | Third order
4 | Fourth order, Hand held 1, Hand held 2
A | A order
B | B order
W | Weak

A.20 Position Source Code

The position source code is a one-character code which describes where the position came from. This field is part of the position record.

Position Source Code | Definition
A | Last official adjusted
O | Other
S | Scaled, approximate

A.21 Position Technique Code

The position technique code is a one-character code which describes how the position was determined.

Position Technique Code | Definition
1 | From USGS, based on 3rd order or better survey that is missing from NGSIDB
2 | Based on USGS transit traverse data
3 | Digitized by USGS from stable base media
4 | Digitized by USGS from paper media
5 | USGS hand plotted and scaled
A | Trilateration
B | Inertial
C | Combined
D | Doppler
E | Traverse
F | Triangulation
G | GPS
H | Resection
I | Intersection
J | Transcontinental traverse
L | Datum transformation program LEFTI
N | Datum transformation program NADCON4
P | Photogrammetric
V | VLBI
W | Hand Held 2 (AGPS)
X | Hand Held 1 (DGPS)

A.22 Projected/Recessed (PR) Distance Units

The pr distance units are the units of measure for the pr distance.

PR Distance Units | Definition
CM | Centimeter
IN | Inch

A.23 Record Identifiers

A D-FILE is composed of:

  1. 1 project header record
  2. 0 or more description records

A project header record, in turn, is broken down into sub-records: a header record, a project title record, and a comment record. Similarly, a description record is, composed of sub-records: a description header record, an underground record, a reset record, a reference objects (box score) record, a recovery history record, a position record, an orthometric height record, a descriptive text record, and a description terminator record. The record identifier tells what type of project sub-record or description sub-record is expected to follow.

Record Identifier | Definition
A | Project Title Record
B | Project Comment Record
@ | Description Header Record
G | Underground Record
H | Reset (Station Remonumentation) Record
J | Reference Object (Box Score) Record
K | Recovery History Record
L | Position Record
M | Orthometric Height Record
T | Descriptive Text Record
V | Vertical Mark Record
\n | Terminator Record

A header record, a sub-record of the project header record, does not have any record identifier.

A.24 Reference Object Distance Units

The reference object distance units are the units of measure for the reference object distance.

Reference Object Distance Units | Definition
M | Meter
KM | Kilometer

A.25 Reference Object Type Code

The object type code is a one-character code which identifies the type of object that is being referenced.

Object Type Code | Definition
A | Primary azimuth
B | Secondary Azimuth
N | Network control
R | Reference
Z | Azimuth

A.26 Report Type Code

The report type code is a one-character code indicating the immediate source of the description. This code is used to properly load descriptions into the NGS database.

Report Type Code | Definition
H | H_DESC_TEMP or files in horizontal format
I | Independent recoveries not in unified format
N | New description format
P | From old point GPS table; no text exists
S | From synoptic table entry only; no text exists
U | Post-breakup old unified description files
V | V_DESC or files in old vertical format
X | Do not load this description in the NGSIDB (12/11/06)

A.27 Rod/Pipe Depth Units

The rod/pipe depth units are the units of measure for the rod/pipe depth.

Rod/Pipe Depth Units | Definition
FT | Feet
M | Meters

A.28 Satellite Usage Code

The satellite usage code is a one-letter code which indicates whether the mark is suitable for use in GPS surveys.

Satellite Usage Code | Definition
Y | Yes mark is suitable for GPS use
N | No mark is not suitable for GPS use
 | Blank - GPS suitability unknown

A.29 Setting (Class) Code

The setting code is a one or two-digit code which indicates how the mark is set. Setting codes are subdivided into two setting categories: surface marker settings (S), and underground marker settings(U). Some setting (class) codes appear in more than one category. The setting (class) codes are also divided into generalized categories (see the grayed-out headings) for your convenience. This table is represented by the SMONUSET.DAT, the UMONUSET.DAT, and the SETTING.DAT ASCII files.

Setting Categories | Setting (Class) Code | Definition | Default Vertical Stability
Shallow Settings (less than 10 feet or 3.048 meters deep)
S, U | 0 | Unspecified setting | D
S, U | 2 | Object driven into ground | D
S, U | 4 | Object surrounded by mass of concrete | D
S | 7 | Set in top of concrete monument | C
S | 9 | Set in prefabricated concrete post | D
S, U | 15 | A metal rod driven into ground. See text for additional information. | D
S, U | 16 | A metal rod with base plate buried/screwed into ground | D
S | 17 | Set into or fastened to top of metal pipe driven into ground | D
S | 21 | Set in concrete in a clay tile pipe | D
Settings in Structures
S | 30 | Light structures (other than listed below) | D
S | 31 | Pavement (street, sidewalk, curb, etc.) | D
S | 32 | Retaining wall or concrete ledge | C
S | 33 | Piles or poles (e.g. spike in utility pole) | D
S | 34 | Footings of small/medium structures | C
S | 35 | Mat foundation or concrete slab other than pavement | C
S | 36 | Massive structures (other than listed below) | B
S | 37 | Massive retaining walls | B
S | 38 | Abutment or pier of large bridges | B
S | 39 | Tunnels | B
S | 40 | Large structures with deep foundations | A
S | 41 | Large structure with foundations on bedrock | A
Unsleeved Deep Settings (10ft+ or 3.048M+)
S | 45 | Unspecified deep unsleeved setting (10FT+ or 3.048M+) | C
S | 46 | Copper-clad steel rod without sleeve (10FT+ or 3.048M+) | B
S | 47 | Galvanized steel pipe without sleeve (10FT+ or 3.048M+) | B
S | 48 | Galvanized steel rod without sleeve (10FT+ or 3.048M+) | B
S | 49 | Stainless steel rod without sleeve (10FT+ or 3.048M+) | B
S | 50 | Aluminum alloy rod without sleeve (10FT+ or 3.048M+) | B
Sleeved Deep Settings (10FT+ or 3.048M+)
S | 55 | Unspecified pipe/rod in sleeve (10FT+ or 3.048M+) | B
S | 56 | Copper-clad rod in sleeve (10FT+ or 3.048M+) | B
S | 57 | Galvanized steel pipe in sleeve (10FT+ or 3.048M+) | B
S | 58 | Galvanized steel rod in sleeve (10FT+ or 3.048M+) | B
S | 59 | Stainless steel rod in sleeve (10FT+ or 3.048M+) | B
S | 60 | Aluminum alloy rod in sleeve (10FT+ or 3.048M+) | B
Settings in Rocks or Boulders
S, U | 65 | Unspecified rock or boulder | B
S, U | 66 | In rock outcrop or ledge | A
S, U | 80 | In a boulder | C

A.30 Sleeve Depth Units

The sleeve depth units are the units of measure for the sleeve depth.

Sleeve Depth Units | Definition
FT | Feet
M | Meters

A.31 Source Program Name

The source program name is the name of the program that last created/modified the D-FILE.

Source Program Name | Definition
CHKDDESC | Program Validates a D-FILE's component records, namely the project header record, and the description records. If the program found any errors in the data, then "NOLOAD" is placed in this field. Program is for NGS in-house use only.
DESC | A UNIX Vermont Views interactive program that allows the user to enter, edit, and view D-FILE information. All new descriptions entered into the D-FILE with this program are modifiable. Program is for NGS in-house use only.
DISCREP | A UNIX program which finds any discrepancies between D-FILE descriptions and descriptions in the NGS database (NGSIDB). If the program found any errors in the data, then "NODISCRE" is placed in this field. Program is for NGS in-house use only.
DS2D | A UNIX Vermont Views program which converts a DSDATA file (containing DATA SHEETs) to a D-FILE. Descriptions in this D-FILE are view only. Program is for NGS in-house use only.
EXTRACT | A UNIX Vermont Views program which allows the user to create a new D-FILE containing all or a subset of the descriptions in a D-FILE. Descriptions in the new D-FILE are modifiable. Program is for NGS in-house use only.
LOAD_DESC | A UNIX program which loads descriptions from a D-FILE into the NGS database (NGSIDB). Program is for NGS in-house use only.
MRGDESC | A UNIX Vermont Views program which merges two D-FILEs together. Program is for NGS use only.
NEIGHBOR | A UNIX program which finds all neighboring marks in the NGS database for each mark in the D-FILE. Program is for NGS in-house use only.
NUMDESC | A UNIX Vermont Views program which renumbers the SSN field of description records in a D-FILE. Program is for NGS in-house use only.
OLDU2NEW | A UNIX program which converts a unified description file to a D-FILE. Descriptions in the D-FILE are modifiable. Program is for NGS in-house use only.
OLDH2NEW | A UNIX program which converts an old horizontal file to a D-FILE. Descriptions in the D-FILE are modifiable. Program is for NGS in-house use only.
OLDV2NEW | A UNIX program which convert an old vertical file to a D-FILE. Descriptions in the D-FILE are modifiable. Program is for NGS in-house use only.
PRTDESC | A UNIX Vermont Views program which prints the various records of a D-FILE including a project header record, and the component records of a description record. Program is for NGS in-house use only.
UPD30 | Really the UPD_DFILE30 program. A UNIX program which updates a vertical observation file's observations with D-FILE description information. One can generate a D-FILE of descriptions without PIDs (ACRNs) via the program, as well as a D-FILE of descriptions that have no corresponding observation data. Program is for NGS in-house use only.
WCHKDESC | A Microsoft Windows program which validates a D-FILE's component records, namely the project header record, and the description records. If the program found any errors in the data, then "NOLOAD" is placed in this field.
WDESC | A Microsoft Windows interactive program that allows the user to enter, edit, and view D-FILE information. All new descriptions entered into the D-FILE with this program are modifiable.
WDS2D | A Microsoft Windows program which converts a DSDATA file (containing DATA SHEETs) to a D-FILE. Descriptions in this D-FILE are view only.
WEXTRACT | A Microsoft Windows program which allows the user to create a new D-FILE containing all or a subset of the descriptions in a D-FILE. Descriptions in the new D-FILE are modifiable.
WMRGDESC | A Microsoft Windows program which merges two D-FILEs together.
WNUMDESC | A Microsoft Windows program which renumbers the SSN field of description records in a D-FILE.
WPRTDESC | A Microsoft Windows program which prints the various records of a D-FILE including a project header record, and the component records of a description record.

A.32 Special Application Code

A special application code is a one-character code that represents a special use of the control point. More than one special application code can apply to a control point.

Special Application Code | Definition
F | Fault monitoring site
O | Other special application, see descriptive text
T | Tidal station
W | Water level station

A.33 Text Status

A one-character code which describes what kind of text is in the descriptive text.

Text Status | Definition
C | Complete, 1 pt., self-sufficient text that has been implicitly superseded
I | Text assumed to be incomplete
N | No text

A.34 Transportation Code

A one-letter code which indicates the mode of transportation used (or to be used) to reach the station or to reach the location where packing is begun if packing to the station site is required.

Transportation Code | Definition
A | Light airplane
B | Boat
C | Car (or station wagon)
F | Float airplane
H | Helicopter
O | Other (see descriptive text)
P | Light truck (pickup, carryall, etc.)
T | Truck (larger than 3/4 ton)
W | Tracked vehicle (weasel, snowcat, etc.)
X | Four-wheel drive vehicle

A.35 Vertical Datum Code

The vertical datum code is a code which represents the commonly used abbreviation of the vertical datum on which the vertical coordinates are based.

Vertical Datum Code | Definition
00 | Other
29 | National Geodetic Vertical Datum of 1929 (NGVD29)
55 | International Great Lakes Datum of 1955
85 | International Great Lakes Datum of 1985
88 | North American Vertical Datum of 1988 (NAVD88)
AS | American Samoa Vertical Datum of 2002 (ASVD02)
G1 | Guam Vertical Datum of 1963 (GUVD63)
GU | Guam Vertical Datum of 2004 (GUVD04)
LT | Local Tidal Datum
NM | Northern Marianas Vertical Datum of 2003
PR | Puerto Rico Vertical Datum of 2002 (PRVD02)
VI | Virgin Islands Vertical datum of 2009 (VIVD09)

A.36 Vertical Stability Code

The vertical stability code is a one-letter code representing the stability class of the mark.

Vertical Stability Code | Definition
A | Monuments of the most reliable nature which are expected to hold their position/elevation well
B | Monuments which probably hold their positions/elevations well
C | Monuments which may hold their positions/elevations well, but which are commonly subject to surface ground movements.
D | Monuments of questionable or unknown reliability

Appendix B - A Sample Description File (D-FILE)

The sample D-FILE below is the output D-FILE from the WEXTRACT program. This D-FILE contains 5 descriptions with SSNs of 0050, 0054, 0055, 0056, and 0058. These SSNs are highlighted in red and bolded for readablilty.

DN02.01.02WEXTRACT02.00.0720010724 AA N303540 N301207 W0852234 W0845757 A B

@0050BE2893GCAL 4 H FLDNR CAL 4H 1980 CLB JUNIPER CREEK (1993) USFL CALHOUN DE07 CNR25.0CM MNONE NONE DEFINED FLDNR 1980 FLDNR 1980 P0000NCD0050K1980 SCFLDNR FLORIDA DEPARTMENT OF NATURAL RESOURCES P0000DESCRIBED BY FL DEPT OF NAT RES 1980 4.55 MI WEST FROM CLARKSVILLE. BEGIN AT THE U.S. POST OFFICE IN CLARKSVILLE, PROCEED 4.55 MILES WEST ALONG STATE HIGHWAY 20 TO THE MARK. THE MARK BEARS 28.2 FEET NORTH OF HIGHWAY 20 CENTERLINE, 31.3 FEET EAST-SOUTHEAST OF PHONE CABLE BOX FRE, 74.0 FEET EAST-SOUTHEAST OF AN 11-INCH DIAMETER PINE TREE, AND 15 FEET SOUTH OF A METAL WITNESS POST. THE MARK IS 1 FT BELOW HIGHWAY. LN302600 W0851545 S83 M 52.366 M A88 199106 21

@0054BE2902GCAL 5 H RM 1 FLDNR CAL 5H NO 1 1980 BSM JUNIPER CREEK (1993) USFL CALHOUN DR07 CNR20.0CM MNONE NONE DEFINED FLDNR 1980 FLDNR 1980 P0000NCD0054K1980 SCFLDNR FLORIDA DEPARTMENT OF NATURAL RESOURCES P0000DESCRIBED BY FL DEPT OF NAT RES 1980 8.3 MI NE FROM YOUNGSTOWN. BEGIN AT THE INTERSECTION OF U.S. HIGHWAY 231 AND STATE HIGHWAY 20 NORTH OF YOUNGSTOWN, PROCEED 6.5 MILES EAST ALONG HIGHWAY 20 TO THE JUNCTION OF A SAND ROAD LEADING NORTH THROUGH A PLANTED PINE FOREST, PROCEED 0.55 MILE NORTH ALONG THE SAND ROAD TO A CROSSROAD, PROCEED WEST 0.3 MILE ALONG THE EAST/WEST SAND ROAD TO THE MARK. THE MARK BEARS 5.0 FEET NORTH OF THE ROAD CENTERLINE, 38.75 FEET WEST OF BENCH MARK CAL 5H 1980 BSM, 42 FEET WEST-NORTHWEST OF A WITNESS POST, AND 80.8 FEET SOUTHWEST OF ANOTHER WITNESS POST. LN302622 W0851959 S83 M 52.351 M A88 199106 21

@0055BE2903GCAL 5 H RM 2 FLDNR CAL 5H NO 2 1980 BSM JUNIPER CREEK (1993) USFL CALHOUN DR07 CNR20.0CM MNONE NONE DEFINED FLDNR 1980 FLDNR 1980 P0000NCD0055K1980 SCFLDNR FLORIDA DEPARTMENT OF NATURAL RESOURCES P0000DESCRIBED BY FL DEPT OF NAT RES 1980 8.3 MI NE FROM YOUNGSTOWN. BEGIN AT THE INTERSECTION OF U.S. HIGHWAY 231 AND STATE HIGHWAY 20 NORTH OF YOUNGSTOWN, PROCEED 6.5 MILES EAST ALONG HIGHWAY 20 TO THE JUNCTION OF A SAND ROAD LEADING NORTH THROUGH A PLANTED PINE FOREST, PROCEED 0.55 MILE NORTH ALONG THE SAND ROAD TO A CROSSROAD, PROCEED WEST 0.3 MILE ALONG THE EAST/WEST SAND ROAD TO THE MARK. THE MARK BEARS 59.75 FEET NORTH OF THE ROAD CENTERLINE, 60.7 FEET NORTH-NORTHEAST OF BENCH MARK CAL 5H 1980 BSM, 2.9 FEET SOUTH OF A WITNESS POST, AND 72.4 FEET NORTH-NORTHEAST OF ANOTHER WITNESS POST. LN302622 W0851959 S83 M 52.221 M A88 199106 21

@0056BE2852GCAL 6 FLDNR CAL 6 1980 BSM ALTHA WEST (1993) USFL CALHOUN DB07 CNR30.0CM MNONE NONE DEFINED FLDNR 1980 FLDNR 1980 P0000NCD0056K1980 SCFLDNR FLORIDA DEPARTMENT OF NATURAL RESOURCES P0000DESCRIBED BY FL DEPT OF NAT RES 1980 1.1 MI SOUTH FROM ALTHA. BEGIN AT THE U.S. POST OFFICE IN ALTHA, PROCEED 1.1 MILES SOUTH ALONG STATE HIGHWAY 71 TO THE MARK. THE MARK BEARS 16.5 FEET EAST OF HIGHWAY 71 CENTERLINE, 26.0 FEET NORTH OF A DIRT ROAD CENTERLINE, 12.0 FEET WEST OF A POWER POLE, AND 2.9 FEET WEST OF A WITNESS POST. THE MARK IS 1 FT BELOW HIGHWAY. LN303315 W0850739 S83 M 62.442 M A88 199106 21

@0058BE2853GCAL 7 FLDNR CAL 7 1980 BSM ALTHA WEST (1993) USFL CALHOUN DB07 CNF MNONE NONE DEFINED FLDNR 1980 FLDNR 1980 P0000NCD0058K1980 SCFLDNR FLORIDA DEPARTMENT OF NATURAL RESOURCES P0000DESCRIBED BY FL DEPT OF NAT RES 1980 3.0 MI SSW FROM ALTHA. BEGIN AT THE U.S. POST OFFICE IN ALTHA, PROCEED 3.0 MILES SOUTH ALONG STATE HIGHWAY 71 TO THE JUNCTION OF COUNTY ROAD C 275 AND THE MARK. THE MARK BEARS 62.2 FEET WEST-SOUTHWEST OF HIGHWAY 71 CENTERLINE, 59.1 FEET NORTH-NORTHWEST OF C 275 CENTERLINE, 35.7 FEET WEST OF THE FACE OF A CONCRETE CULVERT HEADWALL, AND 4.5 FEET EAST OF A WITNESS POST. THE MARK IS ABOVE LEVEL WITH HIGHWAY. LN303145 W0850759 S83 M 50.435 M A88 199106 21


Des File Documentation

The des file is a random access file of 12775-byte records. The first record contains project information. All subsequent records contain information for each geodetic control point.

The following is the format of the user-defined variable used to create each record:

Type DescV4 '12775 Bytes - Version 4.
'--------------------- Surface mark -------------------------
DRCode As String * 1
RecCode As String * 1
SSNum As String * 4
Pid As String * 6
Condition As String * 1
Designation As String * 50
Alias As String * 50
Stamping As String * 50
Quad As String * 35
QuadMapYr As String * 4 'Added 03/02/06
Application As String * 5
Satellite As String * 1
SatRptDt As String * 8 'Added 03/07/06
Country As String * 2
State As String * 2
County As String * 25
SurfCat As String * 1
SurfMkr As String * 2
SurfSet As String * 2
SurfSetPhrase As String * 32
StabOver As String * 1
SurfMag As String * 1
RFP As String * 1
RFPHeight As String * 4
RFPUnits As String * 2
RPDepth As String * 4
RPUnits As String * 2
SleeveDepth As String * 4
SlDepthUnits As String * 2
LogoAgcyCode As String * 6
MonAgcySymbol As String * 6
MonDate As String * 8
MonCOP As String * 3
RcvrAgcySymbol As String * 6
RcvrCOP As String * 3
RcvrDate As String * 8
Trans As String * 1
Pack As String * 4
DescSource As String * 1 '349 bytes
'---------------------------- Undergroung mark -----------------------------
UdgCat As String * 1
UdgMkr As String * 2
UdgSet As String * 2
UdgSetDate As String * 8
UdgMag As String * 1
UdgStab As String * 1
UdgStamp As String * 40 'Future? '406 bytes
'-------------------------------- Flags ------------------------------------
Supersede As String * 1 'Added 12/13/06
SpecialStatus As String * 1 'Added 12/12/06
LoadThisDesc As String * 1 'Load into NGSIDB 12/08/06
SpellCheck As String * 1 'Added 11/08/06
NeighborRun As String * 1 'Added 11/05/06
DiscrepRun As String * 1 'Added 11/05/06
'-------------------------- 4-character GPS id -----------------------------
CORSID As String * 4 'Added 9/02/06
'----------------------- Mod grav and Dynamic Ht ---------------------------
ModGrav As String * 8 'Modeled gravity (gals)
DynHt As String * 8
'-------------------------- Horiz Datam yr suffix --------------------------
HDatSuf As String * 6 'Revised 3/02/06
HAdjAgcy As String * 6 'Added 3/02/06 442 bytes
'--------------------- Laplace correction in seconds -----------------------
Laplace As String * 6
DeflecYr As String * 2 'New 3/02/06
'------------------------- SPCS zone information ---------------------------
SPCSZone1 As String * 5
SPCSZone2 As String * 5
SPCSZone3 As String * 5
SPCSZone4 As String * 5
SPCSZone5 As String * 5 '475 bytes
'------------------- CORS, FBN, CBN, PACS, SACS, HT_MOD -------------------
SpecCS As String * 5
'----------------------------- Reset record --------------------------------
RstPid As String * 6
RstDesig As String * 50
'------------------------------- Position ----------------------------------
Hemi1 As String * 1
Latitude As String * 12
Hemi2 As String * 1
Longitude As String * 13
HSource As String * 1
HDat As String * 2
HEpoch As String * 4
HAdjDate As String * 8
HOrder As String * 1
HTech As String * 1
HObsChk As String * 1 '581 bytes
'--------------------------- Ortho ht record -------------------------------
OHt As String * 10
OhtUnit As String * 2
VSource As String * 1
VDatum As String * 2
VEpoch As String * 4
VAdjDt As String * 8
VAdjAgcy As String * 6 'Added 03/03/06
VOrder As String * 1
VClass As String * 1
VTech As String * 1
VObsChk As String * 1 'Added 03/24/06
'------------------------------ Desc text ----------------------------------
DescriptiveText As String * 4900
HistoricalText As String * 4900 'Added 03/02/06
'------------------------------ Ellipsoid ----------------------------------
EHt As String * 8
Future As String * 2
EhtUnit As String * 2
ESource As String * 1
EDatum as String * 2
EEpoch As String * 4
EAdjDt As String * 8
EAdjAgcy As String * 6 'Added 03/02/06
EOrder As String * 1
EClass As String * 1
ETech As String * 1
'----------------------------- Tidal mark ----------------------------------
VMNum As String * 6
'-------------------------------- Geoid ------------------------------------
GHt As String * 10
GSource As String * 1
GModel As String * 4
'--------------------------- Recovery History ------------------------------
RecHistory As String * 900 'Revised 03/02/06 was 300 (20 recoveries)
'Date(8), Cond(1), Agcy(6), COP(3) * 50 Recoveries
'------------------------------- Box score ---------------------------------
BoxScore As String * 1120 '20 box score records (20*56) 05/12/10
'------------------- Misc file/record information --------- ---------------
NGVD29HtM As String * 8
CorrNE As String * 10
AccScaled As String * 1
NRAh As String * 6
NRAEllip As String * 6
LRADist As String * 9
GPSObsStartDt As String * 8
GPSObsEndDt As String * 8
CorrSn As String * 1
OrthoGModel as string * 3
OGHt As String * 6
ObsGrav As String *8
GravSigma As String * 5
Lat27 As String * 12
Lon27 As String * 13
SubmitName As String * 30 'New 02/07/11
NRAHorz As String * 6
NRADist As String * 6
SubmitEmail As String * 30 'New 02/07/11
RecFileName As String * 22 'New 09/15/10
VObsDt As String * 8 'New 07/01/10
VMNum2 As String * 6 'New 05/12/10
VMNum3 As String * 6 'New 05/12/10
VMNum4 As String * 6 'New 05/12/10
Photo As String * 1 'Photo available/included
UID As String * 8 'UID
OHC As String * 1
Future3 As String * 1
HClass As String * 1 'Horizontal class added V 4.13
Restart As String * 1 'PID loaded from restart file (Y/N)
LRAHorz As String * 4
LRANorth As String * 4 'Local rel acc in cm (North) V 4.10
LRAEast As String * 4 'Local rel acc in cm (East) V 4.10
LRAEllip As String * 4 'Local rel acc in cm (Ellip Ht) V 4.10
NRANorth As String * 6 'Network rel acc in cm (North) V 4.10
NRAEast As String * 6 'Network rel acc in cm (East) V 4.10
NRAEllip As String * 6'Network rel acc in cm (Ellip Ht) V 4.10
Epoch As String * 9 'New epoch Ex: 2002.7887
FileVersion As String * 5 'File version ex: 04.05
EndOfRecMkr As String * 1 '@'
'---------------------------------------------------------------------------'---------------------------------------------------------------------------
End Type


Disaster Recovery

If the .des file becomes corrupted, the program will attempt to repair it, record by record. If the record appears to be intact it will save it. If not, it will discard it. Usually only one description will need to be re-entered if this happens.

If the program is not able to repair the .des file, one can revert a previous version of the file using the procedure described below:

In the event that the .des file becomes corrupted, or a global replacement of data or text produces an undesirable result, previous versions of the file may be recovered from the recycle bin. Each time a particular .des file is opened, a copy is made in the recycle bin. To recover, click 'My computer' or 'Explorer' and select the 'Recycle bin':

Next, select the version of the file to be restored. If a version exists in the original directory, you will be asked if you want to replace it.


Problem Characters

Sometimes problem characters can corrupt a text file. Using a word processing program to edit a plain text file is a good example. Programs like Microsoft Word can insert control and formatting characters into a text file, making it unusable in certain circumstances. These problems can be difficult to diagnose without the help of a special file editor. The Windesc program contains a routine that will search a text file, character by character, and locate unusual or problem characters and create a report.

Select 'Tools>Find problem characters in a text file' From the main menu:

Here is a sample report:

Character# is the location of the character in the file.

Line# is the line where the character was found.

Column# is the column where the character is found.

ASCII# is the ASCII code for that character.

Character Type is the name or type of the character.

Note: The .dsc file will contain 'null' characters. This is normal! However, null characters should not be found within descriptive text, listings, dsdata files, etc. Some report files will contain Tab characters and Form Feed characters as well. Most files downloaded from the internet must be converted from Unix to DOS, but may not display any problem characters. If the number of carriage returns and the number of linefeeds are not the same, it may indicate that the file has been corrupted. To fix this, convert the file to unix and then back to DOS.


Description Checklist

Get hand-held GPS positions for all marks.

Take 3-5 digital photographs for all marks.

Name and label all photographs.

Get measurements to 5 reference objects for all new, fully-described and totally-re-described marks.

Format the text of all descriptions.

Check the spelling on all descriptive text.

Run Neighbor on all marks.

Run Discrep on all marks with PIDs.

Export and check the .dsc file. Fix any errors, re-export and re-check until clean.


1
 --0003 **********************************************************************
 --0003  SPSN        -  0003
 --0003  TIDAL BM    -  This is a Tidal Bench Mark.
 --0003  DESIGNATION -  21 BALTO
 --0003  PID         -  HU0236
 --0003  STATE/COUNTY-  MD/WORCESTER
 --0003  USGS QUAD   -  SNOW HILL (1966)
 --0003
 --0003                         *CURRENT SURVEY CONTROL
 --0003  __________________________________________________________________
 --0003* NAD 83(1986)-  38 10 36.1    (N)    075 23 35.2    (W)     HD_HELD2
 --0003* NAVD 88     -         5.868  (meters)      19.252  (feet)  ADJUSTED
 --0003  __________________________________________________________________
 --0003  GEOID HEIGHT-         -36.19  (meters)                     GEOID03
 --0003  DYNAMIC HT  -           5.864 (meters)      19.24  (feet)  COMP
 --0003  MODELED GRAV-     979,984.6   (mgal)                       NAVD 88
 --0003
 --0003  VERT ORDER  -  SECOND    CLASS I
 --0003
 --0003.Warning - This is a preliminary description created by Windesc!
 --0003
 --0003.The horizontal coordinates were established by autonomous hand held GPS
 --0003.observations and have an estimated accuracy of +/- 10 meters.
 --0003
 --0003.The orthometric height was determined by differential leveling
 --0003.and adjusted in June 1991.
 --0003
 --0003.This Tidal Bench Mark is designated as VM 17832
 --0003.by the Center for Operational Oceanographic Products and Services.
 --0003
 --0003.The geoid height was determined by GEOID03.
 --0003
 --0003.The dynamic height is computed by dividing the NAVD 88
 --0003.geopotential number by the normal gravity value computed on the
 --0003.Geodetic Reference System of 1980 (GRS 80) ellipsoid at 45
 --0003.degrees latitude (g = 980.6199 gals.).
 --0003
 --0003.The modeled gravity was interpolated from observed gravity values.
 --0003
 --0003;                    North         East    Units  Estimated Accuracy
 --0003;SPC MD       -    57,855.      540,794.      MT  (+/- 10 meters HH2 GPS)
 --0003
 --0003
 --0003                          SUPERSEDED SURVEY CONTROL
 --0003
 --0003.Superseded survey control exists for this station but is not shown.
 --0003
 --0003_U.S. NATIONAL GRID SPATIAL ADDRESS: 18SVH65562549(NAD 83)
 --0003_MARKER: DB = BENCH MARK DISK
 --0003_SETTING: 31 = SET IN PAVEMENT SUCH AS STREET, SIDEWALK, CURB, ETC.
 --0003_SP_SET: STONE PORCH
 --0003_STAMPING: 21 BALTO
 --0003_MARK LOGO: USGS
 --0003_MAGNETIC: O = OTHER; SEE DESCRIPTION
 --0003_STABILITY: D = MARK OF QUESTIONABLE OR UNKNOWN STABILITY
 --0003_SATELLITE: THE SITE LOCATION WAS REPORTED AS NOT SUITABLE FOR
 --0003+SATELLITE: SATELLITE OBSERVATIONS - October 03, 2003
 --0003
 --0003  HISTORY     - Date     Condition        Report By
 --0003  HISTORY     - UNK      MONUMENTED       USGS
 --0003  HISTORY     - 1962     GOOD             CGS
 --0003  HISTORY     - 19900807 GOOD             MDSHA
 --0003  HISTORY     - 19980716 GOOD             MDSHA
 --0003  HISTORY     - 20011006 GOOD             USPSQD
 --0003  HISTORY     - 20031003 GOOD             MDSHA
 --0003
 --0003                          STATION DESCRIPTION
 --0003
 --0003'DESCRIBED BY COAST AND GEODETIC SURVEY 1962
 --0003'AT SNOW HILL. AT SNOW HILL, WORCESTER COUNTY, AT THE COUNTY
 --0003'COURTHOUSE, 6 FEET NORTH OF THE MAIN ENTRANCE, IN THE NORTHWEST SIDE
 --0003'OF A STONE PORCH, AND 2 FEET ABOVE THE SIDEWALK.  A UNITED STATES
 --0003'GEOLOGICAL SURVEY STANDARD DISK, STAMPED 21 BALTO AND SET
 --0003'VERTICALLY.
 --0003'
 --0003                          STATION RECOVERY (1990)
 --0003
 --0003'RECOVERY NOTE BY MARYLAND DOT HIGHWAY ADMINISTRATION 1990
 --0003'RECOVERED IN GOOD CONDITION.
 --0003'
 --0003                          STATION RECOVERY (1998)
 --0003
 --0003'RECOVERY NOTE BY MARYLAND DOT HIGHWAY ADMINISTRATION 1998 (SFK)
 --0003'RECOVERED AS DESCRIBED.
 --0003'
 --0003                          STATION RECOVERY (2001)
 --0003
 --0003'RECOVERY NOTE BY US POWER SQUADRON 2001 (CGT)
 --0003'RECOVERED IN GOOD CONDITION.
 --0003'
 --0003                          STATION RECOVERY (2003)
 --0003
 --0003'RECOVERY NOTE BY MARYLAND DOT HIGHWAY ADMINISTRATION 2003 (SFK)
 --0003'RECOVERED AS DESCRIBED.
 --0003


File Naming Conventions

The following file types are used by the program:

.afl - A parameter file used for GPS adjustments.

.des - The native file format of the program.

.dat - A dsdata file or a data file used by the Windesc program such as the contrib.dat file.

.dis - A Discrepancy report file.

.dsc - A description file format required by the National Geodetic Survey.

.err - An ASCII file of error messages created by the D-File checking routine.

.ha - The old unified description (GEOD DESC) file format.

.bfl - A "Bluebook" file of horizontal observations

.gpx - GPS Exchange Format (similar to xml)

.inx - An index file of marks.

.jpg - An image or photo file.

.kml - A plain text file of html code for interpretation by Google Earth software.

.nbr - A neighbor report file.

.bak - A Windesc backup file.

.rpt - A report file.

.txt - Plain text supporting files used by WinDesc.

...sa6.txt - A text file for plotting points in the Street Atlas program

towns.txt - A file containing the names and geographical positions of towns in the region.


Permissions

The program needs to be able to read and write temporary files to the program's main folder. All users must have read/write/execute/create/delete (Modify) permission to the main folder and all files within it. Failure to allow this will produce many types of errors during operation of the program.


Positioning a Bench Mark with a Handheld GPS Receiver

General

Navigational grade receivers, which are typically hand-held devices, are usually accurate to about 3-5 meters under most conditions. Positions from this type of receiver should be submitted to NGS as HH2 positions and shown to 1 decimal place of a second of Latitude and Longitude. This type of receiver is considered an Autonomous GPS (AGPS) receiver, even though they receive a corrector of sorts via the WAAS signal.

GIS grade receivers, which are also hand-held devices, are usually accurate to less than 1 meter (3 ft) under most conditions. They receive a correction signal from the Coast Guard which corrects the signal to sub-meter precision. Positions from this type of receiver should be submitted to NGS as HH1 positions and shown to 2 decimal places of a second of Latitude and Longitude. This type of receiver is considered a Differential GPS (DGPS) receiver.

Survey grade receivers, usually tripod or pole mounted devices, are usually accurate to less than one centimeter (0.03 ft). These too can be submitted to NGS as HH1 positions and shown to 2 decimal places. One may also submit survey grade positions to NGS to 5 decimals, provided they meet NGS requirements for that type of positioning.

HH2 and HH1 Positioning

First, check to make sure the receiver is set up for NAD83, with the display in DDD MM SS.s format. The receiver must pick up the WAAS signal or other corrector.

Standing to the north side of the monument, hold the GPS receiver over the monument for several seconds. Note the estimated accuracy of the position displayed. For AGPS receivers the accuracy should be less than 20 ft (6 meters). For DGPS receivers, the estimated accuracy should be less than 3 ft. (1 meter). If the accuracy exceeds this amount, tree cover or satellite configuration may be causing the problem. Come back later when satellite configuration is more favorable.

Capture the position of the point. Change the name to the PID of the mark. Change the point description to the designation of the mark and save the point.

When all recovered points have been positioned, export the file to a .gpx file using software supplied by the manufacturer. The .gpx file can then be read into Windesc to update bench mark positions.


Recovering Geodetic Control Marks

On-Line Recovery Form

To enter a recovery note using the on-line recovery web page click here.

DSWorld Program

The best method for submitting recovery information is to use the DSWorld program, available from NGS.

To enter a recovery note using the DSWorld program, download the DSWorld program from the NGS software page .


The A-File

A-Files are used with NGS program ADJUST. They are designed to set constraints for the adjustment process and control the adjustment output. Refer to ADJUST documentation for further information.

Here is a sample A-File:

**      SECONDARY CONTROL - WILLCOX, AZ
**      HEIGHTS SHOWN ARE ELLIPSOID HEIGHTS
**      CONSTRAINED HORIZONTAL ADJUSTMENT
**
**        0010 CZ1780 CAS
CC        0010                              32135972749N110051299570W146276 E
**        1001 DG4259 COCHISE COUNTY CORS ARP
CC        1001                              31232445220N109553025112W147412 E
**        0014 CY0518 EXIT 3
CC        0014                              32213289998N109405368444W127072 E
**        0021 CF0202 L 420
CC        0021                              31542751207N109484785184W130571 E
**        0029 CY1152 PINERY 2
CC        0029                              32002691735N109262264975W150458 E
DD3
II059999
MM3NY
PP22


Getting Positions From a kml File

Getting Positions From an OPUS B-File

Select 'Tools>Get Positions/Data From...>an OPUS BFile' from the main menu:

Select the file to be imported. This will get the final adjusted positions from an OPUS Projects BFile.


Updating the Country.dat File

Updating the Cors.dat File

The Cors.dat file is one of the supporting files supplied with the program and available from NGS.

To update the Cors.dat file, select 'WebTools>Update>Cors.dat File' from the main menu:

This will retrieve the latest version of the Cors.dat file from NGS's website. You may be prompted for a userid and password if you are using a proxy server for your internet connection.

Note: This will be installed in the program installation directory. If the supporting files have been moved to another location, the user may have to replace it manually.